/*
 * Internal module API header file.
 *
 * Generated by SIP 6.9.1
 *
 * Copyright (c) 2024 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6-Graphs.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtGraphsAPI_H
#define _QtGraphsAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_Vulkan
#define SIP_FEATURE_PyQt_Permissions
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_Linux
#define SIP_TIMELINE_Qt_6_8_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_QItemModelSurfaceDataProxy__MultiMatchBehavior 0
#define sipName_QItemModelSurfaceDataProxy__MultiMatchBehavior &sipStrings_QtGraphs[0]
#define sipNameNr_QItemModelBarDataProxy__MultiMatchBehavior 47
#define sipName_QItemModelBarDataProxy__MultiMatchBehavior &sipStrings_QtGraphs[47]
#define sipNameNr_90 90
#define sipName_90 &sipStrings_QtGraphs[90]
#define sipNameNr_125 125
#define sipName_125 &sipStrings_QtGraphs[125]
#define sipNameNr_singleHighlightGradientQMLChanged 159
#define sipName_singleHighlightGradientQMLChanged &sipStrings_QtGraphs[159]
#define sipNameNr_QAbstract3DAxis__AxisOrientation 193
#define sipName_QAbstract3DAxis__AxisOrientation &sipStrings_QtGraphs[193]
#define sipNameNr_multiHighlightGradientQMLChanged 226
#define sipName_multiHighlightGradientQMLChanged &sipStrings_QtGraphs[226]
#define sipNameNr_plotAreaBackgroundVisibleChanged 259
#define sipName_plotAreaBackgroundVisibleChanged &sipStrings_QtGraphs[259]
#define sipNameNr_292 292
#define sipName_292 &sipStrings_QtGraphs[292]
#define sipNameNr_plotAreaBackgroundColorChanged 324
#define sipName_plotAreaBackgroundColorChanged &sipStrings_QtGraphs[324]
#define sipNameNr_singleHighlightGradientChanged 355
#define sipName_singleHighlightGradientChanged &sipStrings_QtGraphs[355]
#define sipNameNr_QAbstract3DSeries__SeriesType 386
#define sipName_QAbstract3DSeries__SeriesType &sipStrings_QtGraphs[386]
#define sipNameNr_labelBackgroundVisibleChanged 416
#define sipName_labelBackgroundVisibleChanged &sipStrings_QtGraphs[416]
#define sipNameNr_multiHighlightGradientChanged 446
#define sipName_multiHighlightGradientChanged &sipStrings_QtGraphs[446]
#define sipNameNr_selectionQueryPositionChanged 476
#define sipName_selectionQueryPositionChanged &sipStrings_QtGraphs[476]
#define sipNameNr_QAbstractDataProxy__DataType 506
#define sipName_QAbstractDataProxy__DataType &sipStrings_QtGraphs[506]
#define sipNameNr_QtGraphs3D__OptimizationHint 535
#define sipName_QtGraphs3D__OptimizationHint &sipStrings_QtGraphs[535]
#define sipNameNr_explodeDistanceFactorChanged 564
#define sipName_explodeDistanceFactorChanged &sipStrings_QtGraphs[564]
#define sipNameNr_secondarySubviewOnTopChanged 593
#define sipName_secondarySubviewOnTopChanged &sipStrings_QtGraphs[593]
#define sipNameNr_setPlotAreaBackgroundVisible 622
#define sipName_setPlotAreaBackgroundVisible &sipStrings_QtGraphs[622]
#define sipNameNr_sliceFrameThicknessesChanged 651
#define sipName_sliceFrameThicknessesChanged &sipStrings_QtGraphs[651]
#define sipNameNr_QAbstractSeries__SeriesType 680
#define sipName_QAbstractSeries__SeriesType &sipStrings_QtGraphs[680]
#define sipNameNr_708 708
#define sipName_708 &sipStrings_QtGraphs[708]
#define sipNameNr_autoColumnCategoriesChanged 736
#define sipName_autoColumnCategoriesChanged &sipStrings_QtGraphs[736]
#define sipNameNr_flatShadingSupportedChanged 764
#define sipName_flatShadingSupportedChanged &sipStrings_QtGraphs[764]
#define sipNameNr_isPlotAreaBackgroundVisible 792
#define sipName_isPlotAreaBackgroundVisible &sipStrings_QtGraphs[792]
#define sipNameNr_labelArmLengthFactorChanged 820
#define sipName_labelArmLengthFactorChanged &sipStrings_QtGraphs[820]
#define sipNameNr_labelBackgroundColorChanged 848
#define sipName_labelBackgroundColorChanged &sipStrings_QtGraphs[848]
#define sipNameNr_secondarySubViewportChanged 876
#define sipName_secondarySubViewportChanged &sipStrings_QtGraphs[876]
#define sipNameNr_singleHighlightColorChanged 904
#define sipName_singleHighlightColorChanged &sipStrings_QtGraphs[904]
#define sipNameNr_QBarSeries__LabelsPosition 932
#define sipName_QBarSeries__LabelsPosition &sipStrings_QtGraphs[932]
#define sipNameNr_QHeightMapSurfaceDataProxy 959
#define sipName_QHeightMapSurfaceDataProxy &sipStrings_QtGraphs[959]
#define sipNameNr_QItemModelScatterDataProxy 986
#define sipName_QItemModelScatterDataProxy &sipStrings_QtGraphs[986]
#define sipNameNr_QItemModelSurfaceDataProxy 1013
#define sipName_QItemModelSurfaceDataProxy &sipStrings_QtGraphs[1013]
#define sipNameNr_QSurface3DSeries__DrawFlag 1040
#define sipName_QSurface3DSeries__DrawFlag &sipStrings_QtGraphs[1040]
#define sipNameNr_multiHighlightColorChanged 1067
#define sipName_multiHighlightColorChanged &sipStrings_QtGraphs[1067]
#define sipNameNr_rotationRolePatternChanged 1094
#define sipName_rotationRolePatternChanged &sipStrings_QtGraphs[1094]
#define sipNameNr_rotationRoleReplaceChanged 1121
#define sipName_rotationRoleReplaceChanged &sipStrings_QtGraphs[1121]
#define sipNameNr_selectedBorderColorChanged 1148
#define sipName_selectedBorderColorChanged &sipStrings_QtGraphs[1148]
#define sipNameNr_setPlotAreaBackgroundColor 1175
#define sipName_setPlotAreaBackgroundColor &sipStrings_QtGraphs[1175]
#define sipNameNr_setSingleHighlightGradient 1202
#define sipName_setSingleHighlightGradient &sipStrings_QtGraphs[1202]
#define sipNameNr_QAbstract3DAxis__AxisType 1229
#define sipName_QAbstract3DAxis__AxisType &sipStrings_QtGraphs[1229]
#define sipNameNr_QGraphsTheme__ColorScheme 1255
#define sipName_QGraphsTheme__ColorScheme &sipStrings_QtGraphs[1255]
#define sipNameNr_QSurface3DSeries__Shading 1281
#define sipName_QSurface3DSeries__Shading &sipStrings_QtGraphs[1281]
#define sipNameNr_QtGraphs3D__RenderingMode 1307
#define sipName_QtGraphs3D__RenderingMode &sipStrings_QtGraphs[1307]
#define sipNameNr_QtGraphs3D__SelectionFlag 1333
#define sipName_QtGraphs3D__SelectionFlag &sipStrings_QtGraphs[1333]
#define sipNameNr_QtGraphs3D__ShadowQuality 1359
#define sipName_QtGraphs3D__ShadowQuality &sipStrings_QtGraphs[1359]
#define sipNameNr_firstBarSetSectionChanged 1385
#define sipName_firstBarSetSectionChanged &sipStrings_QtGraphs[1385]
#define sipNameNr_graphPositionQueryChanged 1411
#define sipName_graphPositionQueryChanged &sipStrings_QtGraphs[1411]
#define sipNameNr_horizontalPositionChanged 1437
#define sipName_horizontalPositionChanged &sipStrings_QtGraphs[1437]
#define sipNameNr_isPointInSecondarySubView 1463
#define sipName_isPointInSecondarySubView &sipStrings_QtGraphs[1463]
#define sipNameNr_labelBorderVisibleChanged 1489
#define sipName_labelBorderVisibleChanged &sipStrings_QtGraphs[1489]
#define sipNameNr_multiMatchBehaviorChanged 1515
#define sipName_multiMatchBehaviorChanged &sipStrings_QtGraphs[1515]
#define sipNameNr_primarySubViewportChanged 1541
#define sipName_primarySubViewportChanged &sipStrings_QtGraphs[1541]
#define sipNameNr_setLabelBackgroundVisible 1567
#define sipName_setLabelBackgroundVisible &sipStrings_QtGraphs[1567]
#define sipNameNr_setMultiHighlightGradient 1593
#define sipName_setMultiHighlightGradient &sipStrings_QtGraphs[1593]
#define sipNameNr_setSelectionQueryPosition 1619
#define sipName_setSelectionQueryPosition &sipStrings_QtGraphs[1619]
#define sipNameNr_useModelCategoriesChanged 1645
#define sipName_useModelCategoriesChanged &sipStrings_QtGraphs[1645]
#define sipNameNr_QGraphsTheme__ColorStyle 1671
#define sipName_QGraphsTheme__ColorStyle &sipStrings_QtGraphs[1671]
#define sipNameNr_QLogValue3DAxisFormatter 1696
#define sipName_QLogValue3DAxisFormatter &sipStrings_QtGraphs[1696]
#define sipNameNr_QPieSlice__LabelPosition 1721
#define sipName_QPieSlice__LabelPosition &sipStrings_QtGraphs[1721]
#define sipNameNr_QtGraphs3D__CameraPreset 1746
#define sipName_QtGraphs3D__CameraPreset &sipStrings_QtGraphs[1746]
#define sipNameNr_QtGraphs3D__GridLineType 1771
#define sipName_QtGraphs3D__GridLineType &sipStrings_QtGraphs[1771]
#define sipNameNr_autoRowCategoriesChanged 1796
#define sipName_autoRowCategoriesChanged &sipStrings_QtGraphs[1796]
#define sipNameNr_backgroundVisibleChanged 1821
#define sipName_backgroundVisibleChanged &sipStrings_QtGraphs[1821]
#define sipNameNr_columnRolePatternChanged 1846
#define sipName_columnRolePatternChanged &sipStrings_QtGraphs[1846]
#define sipNameNr_columnRoleReplaceChanged 1871
#define sipName_columnRoleReplaceChanged &sipStrings_QtGraphs[1871]
#define sipNameNr_edgeLabelsVisibleChanged 1896
#define sipName_edgeLabelsVisibleChanged &sipStrings_QtGraphs[1896]
#define sipNameNr_invalidSelectionPosition 1921
#define sipName_invalidSelectionPosition &sipStrings_QtGraphs[1921]
#define sipNameNr_isLabelBackgroundVisible 1946
#define sipName_isLabelBackgroundVisible &sipStrings_QtGraphs[1946]
#define sipNameNr_lastBarSetSectionChanged 1971
#define sipName_lastBarSetSectionChanged &sipStrings_QtGraphs[1971]
#define sipNameNr_setExplodeDistanceFactor 1996
#define sipName_setExplodeDistanceFactor &sipStrings_QtGraphs[1996]
#define sipNameNr_setSecondarySubviewOnTop 2021
#define sipName_setSecondarySubviewOnTop &sipStrings_QtGraphs[2021]
#define sipNameNr_setSliceFrameThicknesses 2046
#define sipName_setSliceFrameThicknesses &sipStrings_QtGraphs[2046]
#define sipNameNr_DrawSurfaceAndWireframe 2071
#define sipName_DrawSurfaceAndWireframe &sipStrings_QtGraphs[2071]
#define sipNameNr_PYQT_GRAPHS_VERSION_STR 2095
#define sipName_PYQT_GRAPHS_VERSION_STR &sipStrings_QtGraphs[2095]
#define sipNameNr_PyQt6_sip_simplewrapper 2119
#define sipName_PyQt6_sip_simplewrapper &sipStrings_QtGraphs[2119]
#define sipNameNr_QAbstract3DSeries__Mesh 2143
#define sipName_QAbstract3DSeries__Mesh &sipStrings_QtGraphs[2143]
#define sipNameNr_QAbstractAxis__AxisType 2167
#define sipName_QAbstractAxis__AxisType &sipStrings_QtGraphs[2167]
#define sipNameNr_2191 2191
#define sipName_2191 &sipStrings_QtGraphs[2191]
#define sipNameNr_2215 2215
#define sipName_2215 &sipStrings_QtGraphs[2215]
#define sipNameNr_QtGraphs3D__ElementType 2239
#define sipName_QtGraphs3D__ElementType &sipStrings_QtGraphs[2239]
#define sipNameNr_columnCategoriesChanged 2263
#define sipName_columnCategoriesChanged &sipStrings_QtGraphs[2263]
#define sipNameNr_devicePixelRatioChanged 2287
#define sipName_devicePixelRatioChanged &sipStrings_QtGraphs[2287]
#define sipNameNr_isPointInPrimarySubView 2311
#define sipName_isPointInPrimarySubView &sipStrings_QtGraphs[2311]
#define sipNameNr_isSecondarySubviewOnTop 2335
#define sipName_isSecondarySubviewOnTop &sipStrings_QtGraphs[2335]
#define sipNameNr_itemLabelVisibleChanged 2359
#define sipName_itemLabelVisibleChanged &sipStrings_QtGraphs[2359]
#define sipNameNr_plotAreaBackgroundColor 2383
#define sipName_plotAreaBackgroundColor &sipStrings_QtGraphs[2383]
#define sipNameNr_positionAbsoluteChanged 2407
#define sipName_positionAbsoluteChanged &sipStrings_QtGraphs[2407]
#define sipNameNr_setAutoColumnCategories 2431
#define sipName_setAutoColumnCategories &sipStrings_QtGraphs[2431]
#define sipNameNr_setLabelArmLengthFactor 2455
#define sipName_setLabelArmLengthFactor &sipStrings_QtGraphs[2455]
#define sipNameNr_setLabelBackgroundColor 2479
#define sipName_setLabelBackgroundColor &sipStrings_QtGraphs[2479]
#define sipNameNr_setRotationAxisAndAngle 2503
#define sipName_setRotationAxisAndAngle &sipStrings_QtGraphs[2503]
#define sipNameNr_setSecondarySubViewport 2527
#define sipName_setSecondarySubViewport &sipStrings_QtGraphs[2527]
#define sipNameNr_setSingleHighlightColor 2551
#define sipName_setSingleHighlightColor &sipStrings_QtGraphs[2551]
#define sipNameNr_singleHighlightGradient 2575
#define sipName_singleHighlightGradient &sipStrings_QtGraphs[2575]
#define sipNameNr_sliceFrameWidthsChanged 2599
#define sipName_sliceFrameWidthsChanged &sipStrings_QtGraphs[2599]
#define sipNameNr_useHighDefShaderChanged 2623
#define sipName_useHighDefShaderChanged &sipStrings_QtGraphs[2623]
#define sipNameNr_valueRolePatternChanged 2647
#define sipName_valueRolePatternChanged &sipStrings_QtGraphs[2647]
#define sipNameNr_valueRoleReplaceChanged 2671
#define sipName_valueRoleReplaceChanged &sipStrings_QtGraphs[2671]
#define sipNameNr_valuesMultiplierChanged 2695
#define sipName_valuesMultiplierChanged &sipStrings_QtGraphs[2695]
#define sipNameNr_verticalPositionChanged 2719
#define sipName_verticalPositionChanged &sipStrings_QtGraphs[2719]
#define sipNameNr_QItemModelBarDataProxy 2743
#define sipName_QItemModelBarDataProxy &sipStrings_QtGraphs[2743]
#define sipNameNr_2766 2766
#define sipName_2766 &sipStrings_QtGraphs[2766]
#define sipNameNr_alphaMultiplierChanged 2789
#define sipName_alphaMultiplierChanged &sipStrings_QtGraphs[2789]
#define sipNameNr_autoAdjustRangeChanged 2812
#define sipName_autoAdjustRangeChanged &sipStrings_QtGraphs[2812]
#define sipNameNr_backgroundColorChanged 2835
#define sipName_backgroundColorChanged &sipStrings_QtGraphs[2835]
#define sipNameNr_drawSliceFramesChanged 2858
#define sipName_drawSliceFramesChanged &sipStrings_QtGraphs[2858]
#define sipNameNr_isFlatShadingSupported 2881
#define sipName_isFlatShadingSupported &sipStrings_QtGraphs[2881]
#define sipNameNr_itemLabelFormatChanged 2904
#define sipName_itemLabelFormatChanged &sipStrings_QtGraphs[2904]
#define sipNameNr_labelsPrecisionChanged 2927
#define sipName_labelsPrecisionChanged &sipStrings_QtGraphs[2927]
#define sipNameNr_multiHighlightGradient 2950
#define sipName_multiHighlightGradient &sipStrings_QtGraphs[2950]
#define sipNameNr_preserveOpacityChanged 2973
#define sipName_preserveOpacityChanged &sipStrings_QtGraphs[2973]
#define sipNameNr_scalingAbsoluteChanged 2996
#define sipName_scalingAbsoluteChanged &sipStrings_QtGraphs[2996]
#define sipNameNr_selectionQueryPosition 3019
#define sipName_selectionQueryPosition &sipStrings_QtGraphs[3019]
#define sipNameNr_seriesGradientsChanged 3042
#define sipName_seriesGradientsChanged &sipStrings_QtGraphs[3042]
#define sipNameNr_setMultiHighlightColor 3065
#define sipName_setMultiHighlightColor &sipStrings_QtGraphs[3065]
#define sipNameNr_setRotationRolePattern 3088
#define sipName_setRotationRolePattern &sipStrings_QtGraphs[3088]
#define sipNameNr_setRotationRoleReplace 3111
#define sipName_setRotationRoleReplace &sipStrings_QtGraphs[3111]
#define sipNameNr_setSelectedBorderColor 3134
#define sipName_setSelectedBorderColor &sipStrings_QtGraphs[3134]
#define sipNameNr_sliceFrameColorChanged 3157
#define sipName_sliceFrameColorChanged &sipStrings_QtGraphs[3157]
#define sipNameNr_subSegmentCountChanged 3180
#define sipName_subSegmentCountChanged &sipStrings_QtGraphs[3180]
#define sipNameNr_userDefinedMeshChanged 3203
#define sipName_userDefinedMeshChanged &sipStrings_QtGraphs[3203]
#define sipNameNr_xPosRolePatternChanged 3226
#define sipName_xPosRolePatternChanged &sipStrings_QtGraphs[3226]
#define sipNameNr_xPosRoleReplaceChanged 3249
#define sipName_xPosRoleReplaceChanged &sipStrings_QtGraphs[3249]
#define sipNameNr_yPosRolePatternChanged 3272
#define sipName_yPosRolePatternChanged &sipStrings_QtGraphs[3272]
#define sipNameNr_yPosRoleReplaceChanged 3295
#define sipName_yPosRoleReplaceChanged &sipStrings_QtGraphs[3295]
#define sipNameNr_zPosRolePatternChanged 3318
#define sipName_zPosRolePatternChanged &sipStrings_QtGraphs[3318]
#define sipNameNr_zPosRoleReplaceChanged 3341
#define sipName_zPosRoleReplaceChanged &sipStrings_QtGraphs[3341]
#define sipNameNr_QValue3DAxisFormatter 3364
#define sipName_QValue3DAxisFormatter &sipStrings_QtGraphs[3364]
#define sipNameNr_axisXLabelFontChanged 3386
#define sipName_axisXLabelFontChanged &sipStrings_QtGraphs[3386]
#define sipNameNr_axisYLabelFontChanged 3408
#define sipName_axisYLabelFontChanged &sipStrings_QtGraphs[3408]
#define sipNameNr_axisZLabelFontChanged 3430
#define sipName_axisZLabelFontChanged &sipStrings_QtGraphs[3430]
#define sipNameNr_explodeDistanceFactor 3452
#define sipName_explodeDistanceFactor &sipStrings_QtGraphs[3452]
#define sipNameNr_invalidSelectionIndex 3474
#define sipName_invalidSelectionIndex &sipStrings_QtGraphs[3474]
#define sipNameNr_invalidSelectionPoint 3496
#define sipName_invalidSelectionPoint &sipStrings_QtGraphs[3496]
#define sipNameNr_labelAutoAngleChanged 3518
#define sipName_labelAutoAngleChanged &sipStrings_QtGraphs[3518]
#define sipNameNr_labelTextColorChanged 3540
#define sipName_labelTextColorChanged &sipStrings_QtGraphs[3540]
#define sipNameNr_labelsPositionChanged 3562
#define sipName_labelsPositionChanged &sipStrings_QtGraphs[3562]
#define sipNameNr_qDefaultSurfaceFormat 3584
#define sipName_qDefaultSurfaceFormat &sipStrings_QtGraphs[3584]
#define sipNameNr_rowRolePatternChanged 3606
#define sipName_rowRolePatternChanged &sipStrings_QtGraphs[3606]
#define sipNameNr_rowRoleReplaceChanged 3628
#define sipName_rowRoleReplaceChanged &sipStrings_QtGraphs[3628]
#define sipNameNr_selectedPointsChanged 3650
#define sipName_selectedPointsChanged &sipStrings_QtGraphs[3650]
#define sipNameNr_setFirstBarSetSection 3672
#define sipName_setFirstBarSetSection &sipStrings_QtGraphs[3672]
#define sipNameNr_setGraphPositionQuery 3694
#define sipName_setGraphPositionQuery &sipStrings_QtGraphs[3694]
#define sipNameNr_setHorizontalPosition 3716
#define sipName_setHorizontalPosition &sipStrings_QtGraphs[3716]
#define sipNameNr_setLabelBorderVisible 3738
#define sipName_setLabelBorderVisible &sipStrings_QtGraphs[3738]
#define sipNameNr_setMultiMatchBehavior 3760
#define sipName_setMultiMatchBehavior &sipStrings_QtGraphs[3760]
#define sipNameNr_setPrimarySubViewport 3782
#define sipName_setPrimarySubViewport &sipStrings_QtGraphs[3782]
#define sipNameNr_setUseModelCategories 3804
#define sipName_setUseModelCategories &sipStrings_QtGraphs[3804]
#define sipNameNr_sliceFrameGapsChanged 3826
#define sipName_sliceFrameGapsChanged &sipStrings_QtGraphs[3826]
#define sipNameNr_sliceFrameThicknesses 3848
#define sipName_sliceFrameThicknesses &sipStrings_QtGraphs[3848]
#define sipNameNr_subGridVisibleChanged 3870
#define sipName_subGridVisibleChanged &sipStrings_QtGraphs[3870]
#define sipNameNr_wireframeColorChanged 3892
#define sipName_wireframeColorChanged &sipStrings_QtGraphs[3892]
#define sipNameNr_QBarSeries__BarsType 3914
#define sipName_QBarSeries__BarsType &sipStrings_QtGraphs[3914]
#define sipNameNr_3935 3935
#define sipName_3935 &sipStrings_QtGraphs[3935]
#define sipNameNr_autoColumnCategories 3956
#define sipName_autoColumnCategories &sipStrings_QtGraphs[3956]
#define sipNameNr_borderVisibleChanged 3977
#define sipName_borderVisibleChanged &sipStrings_QtGraphs[3977]
#define sipNameNr_heightMapFileChanged 3998
#define sipName_heightMapFileChanged &sipStrings_QtGraphs[3998]
#define sipNameNr_isLabelBorderVisible 4019
#define sipName_isLabelBorderVisible &sipStrings_QtGraphs[4019]
#define sipNameNr_labelArmLengthFactor 4040
#define sipName_labelArmLengthFactor &sipStrings_QtGraphs[4040]
#define sipNameNr_labelBackgroundColor 4061
#define sipName_labelBackgroundColor &sipStrings_QtGraphs[4061]
#define sipNameNr_labelDecimalsChanged 4082
#define sipName_labelDecimalsChanged &sipStrings_QtGraphs[4082]
#define sipNameNr_labelDelegateChanged 4103
#define sipName_labelDelegateChanged &sipStrings_QtGraphs[4103]
#define sipNameNr_labelPositionChanged 4124
#define sipName_labelPositionChanged &sipStrings_QtGraphs[4124]
#define sipNameNr_labelsSectionChanged 4145
#define sipName_labelsSectionChanged &sipStrings_QtGraphs[4145]
#define sipNameNr_labelsVisibleChanged 4166
#define sipName_labelsVisibleChanged &sipStrings_QtGraphs[4166]
#define sipNameNr_pointDelegateChanged 4187
#define sipName_pointDelegateChanged &sipStrings_QtGraphs[4187]
#define sipNameNr_rowCategoriesChanged 4208
#define sipName_rowCategoriesChanged &sipStrings_QtGraphs[4208]
#define sipNameNr_secondarySubViewport 4229
#define sipName_secondarySubViewport &sipStrings_QtGraphs[4229]
#define sipNameNr_selectedColorChanged 4250
#define sipName_selectedColorChanged &sipStrings_QtGraphs[4250]
#define sipNameNr_selectedPointChanged 4271
#define sipName_selectedPointChanged &sipStrings_QtGraphs[4271]
#define sipNameNr_setAutoRowCategories 4292
#define sipName_setAutoRowCategories &sipStrings_QtGraphs[4292]
#define sipNameNr_setBackgroundVisible 4313
#define sipName_setBackgroundVisible &sipStrings_QtGraphs[4313]
#define sipNameNr_setColumnRolePattern 4334
#define sipName_setColumnRolePattern &sipStrings_QtGraphs[4334]
#define sipNameNr_setColumnRoleReplace 4355
#define sipName_setColumnRoleReplace &sipStrings_QtGraphs[4355]
#define sipNameNr_setEdgeLabelsVisible 4376
#define sipName_setEdgeLabelsVisible &sipStrings_QtGraphs[4376]
#define sipNameNr_setLastBarSetSection 4397
#define sipName_setLastBarSetSection &sipStrings_QtGraphs[4397]
#define sipNameNr_setTextureDimensions 4418
#define sipName_setTextureDimensions &sipStrings_QtGraphs[4418]
#define sipNameNr_shadowCastingChanged 4439
#define sipName_shadowCastingChanged &sipStrings_QtGraphs[4439]
#define sipNameNr_singleHighlightColor 4460
#define sipName_singleHighlightColor &sipStrings_QtGraphs[4460]
#define sipNameNr_slicingActiveChanged 4481
#define sipName_slicingActiveChanged &sipStrings_QtGraphs[4481]
#define sipNameNr_textureFormatChanged 4502
#define sipName_textureFormatChanged &sipStrings_QtGraphs[4502]
#define sipNameNr_textureHeightChanged 4523
#define sipName_textureHeightChanged &sipStrings_QtGraphs[4523]
#define sipNameNr_valuesSectionChanged 4544
#define sipName_valuesSectionChanged &sipStrings_QtGraphs[4544]
#define sipNameNr_PYQT_GRAPHS_VERSION 4565
#define sipName_PYQT_GRAPHS_VERSION &sipStrings_QtGraphs[4565]
#define sipNameNr_QGraphsTheme__Theme 4585
#define sipName_QGraphsTheme__Theme &sipStrings_QtGraphs[4585]
#define sipNameNr_4605 4605
#define sipName_4605 &sipStrings_QtGraphs[4605]
#define sipNameNr_baseGradientChanged 4625
#define sipName_baseGradientChanged &sipStrings_QtGraphs[4625]
#define sipNameNr_borderColorsChanged 4645
#define sipName_borderColorsChanged &sipStrings_QtGraphs[4645]
#define sipNameNr_columnCategoryIndex 4665
#define sipName_columnCategoryIndex &sipStrings_QtGraphs[4665]
#define sipNameNr_columnLabelsChanged 4685
#define sipName_columnLabelsChanged &sipStrings_QtGraphs[4685]
#define sipNameNr_facingCameraChanged 4705
#define sipName_facingCameraChanged &sipStrings_QtGraphs[4705]
#define sipNameNr_isBackgroundVisible 4725
#define sipName_isBackgroundVisible &sipStrings_QtGraphs[4725]
#define sipNameNr_labelVisibleChanged 4745
#define sipName_labelVisibleChanged &sipStrings_QtGraphs[4745]
#define sipNameNr_labelsFormatChanged 4765
#define sipName_labelsFormatChanged &sipStrings_QtGraphs[4765]
#define sipNameNr_labelsMarginChanged 4785
#define sipName_labelsMarginChanged &sipStrings_QtGraphs[4785]
#define sipNameNr_meshRotationChanged 4805
#define sipName_meshRotationChanged &sipStrings_QtGraphs[4805]
#define sipNameNr_multiHighlightColor 4825
#define sipName_multiHighlightColor &sipStrings_QtGraphs[4825]
#define sipNameNr_rotationRoleChanged 4845
#define sipName_rotationRoleChanged &sipStrings_QtGraphs[4845]
#define sipNameNr_rotationRolePattern 4865
#define sipName_rotationRolePattern &sipStrings_QtGraphs[4865]
#define sipNameNr_rotationRoleReplace 4885
#define sipName_rotationRoleReplace &sipStrings_QtGraphs[4885]
#define sipNameNr_segmentCountChanged 4905
#define sipName_segmentCountChanged &sipStrings_QtGraphs[4905]
#define sipNameNr_selectedBarsChanged 4925
#define sipName_selectedBarsChanged &sipStrings_QtGraphs[4925]
#define sipNameNr_selectedBorderColor 4945
#define sipName_selectedBorderColor &sipStrings_QtGraphs[4945]
#define sipNameNr_selectedItemChanged 4965
#define sipName_selectedItemChanged &sipStrings_QtGraphs[4965]
#define sipNameNr_seriesColorsChanged 4985
#define sipName_seriesColorsChanged &sipStrings_QtGraphs[4985]
#define sipNameNr_setColumnCategories 5005
#define sipName_setColumnCategories &sipStrings_QtGraphs[5005]
#define sipNameNr_setDevicePixelRatio 5025
#define sipName_setDevicePixelRatio &sipStrings_QtGraphs[5025]
#define sipNameNr_setItemLabelVisible 5045
#define sipName_setItemLabelVisible &sipStrings_QtGraphs[5045]
#define sipNameNr_setMeshAxisAndAngle 5065
#define sipName_setMeshAxisAndAngle &sipStrings_QtGraphs[5065]
#define sipNameNr_setPositionAbsolute 5085
#define sipName_setPositionAbsolute &sipStrings_QtGraphs[5085]
#define sipNameNr_setSliceFrameWidths 5105
#define sipName_setSliceFrameWidths &sipStrings_QtGraphs[5105]
#define sipNameNr_setSubGridPositions 5125
#define sipName_setSubGridPositions &sipStrings_QtGraphs[5125]
#define sipNameNr_setUseHighDefShader 5145
#define sipName_setUseHighDefShader &sipStrings_QtGraphs[5145]
#define sipNameNr_setValueRolePattern 5165
#define sipName_setValueRolePattern &sipStrings_QtGraphs[5165]
#define sipNameNr_setValueRoleReplace 5185
#define sipName_setValueRoleReplace &sipStrings_QtGraphs[5185]
#define sipNameNr_setValuesMultiplier 5205
#define sipName_setValuesMultiplier &sipStrings_QtGraphs[5205]
#define sipNameNr_setVerticalPosition 5225
#define sipName_setVerticalPosition &sipStrings_QtGraphs[5225]
#define sipNameNr_subTickCountChanged 5245
#define sipName_subTickCountChanged &sipStrings_QtGraphs[5245]
#define sipNameNr_textureDepthChanged 5265
#define sipName_textureDepthChanged &sipStrings_QtGraphs[5265]
#define sipNameNr_textureWidthChanged 5285
#define sipName_textureWidthChanged &sipStrings_QtGraphs[5285]
#define sipNameNr_tickIntervalChanged 5305
#define sipName_tickIntervalChanged &sipStrings_QtGraphs[5305]
#define sipNameNr_titleVisibleChanged 5325
#define sipName_titleVisibleChanged &sipStrings_QtGraphs[5325]
#define sipNameNr_DirectToBackground 5345
#define sipName_DirectToBackground &sipStrings_QtGraphs[5345]
#define sipNameNr_DirectlyAboveCCW45 5364
#define sipName_DirectlyAboveCCW45 &sipStrings_QtGraphs[5364]
#define sipNameNr_IsometricRightHigh 5383
#define sipName_IsometricRightHigh &sipStrings_QtGraphs[5383]
#define sipNameNr_MultiMatchBehavior 28
#define sipName_MultiMatchBehavior &sipStrings_QtGraphs[28]
#define sipNameNr_QAbstractDataProxy 5402
#define sipName_QAbstractDataProxy &sipStrings_QtGraphs[5402]
#define sipNameNr_5421 5421
#define sipName_5421 &sipStrings_QtGraphs[5421]
#define sipNameNr_autoSubGridChanged 5440
#define sipName_autoSubGridChanged &sipStrings_QtGraphs[5440]
#define sipNameNr_barDelegateChanged 5459
#define sipName_barDelegateChanged &sipStrings_QtGraphs[5459]
#define sipNameNr_borderColorChanged 5478
#define sipName_borderColorChanged &sipStrings_QtGraphs[5478]
#define sipNameNr_borderWidthChanged 5497
#define sipName_borderWidthChanged &sipStrings_QtGraphs[5497]
#define sipNameNr_colorSchemeChanged 5516
#define sipName_colorSchemeChanged &sipStrings_QtGraphs[5516]
#define sipNameNr_columnCountChanged 5535
#define sipName_columnCountChanged &sipStrings_QtGraphs[5535]
#define sipNameNr_firstBarSetSection 5554
#define sipName_firstBarSetSection &sipStrings_QtGraphs[5554]
#define sipNameNr_graphPositionQuery 5573
#define sipName_graphPositionQuery &sipStrings_QtGraphs[5573]
#define sipNameNr_gridVisibleChanged 5592
#define sipName_gridVisibleChanged &sipStrings_QtGraphs[5592]
#define sipNameNr_horizontalPosition 5611
#define sipName_horizontalPosition &sipStrings_QtGraphs[5611]
#define sipNameNr_isItemLabelVisible 5630
#define sipName_isItemLabelVisible &sipStrings_QtGraphs[5630]
#define sipNameNr_isPositionAbsolute 5649
#define sipName_isPositionAbsolute &sipStrings_QtGraphs[5649]
#define sipNameNr_labelFormatChanged 5668
#define sipName_labelFormatChanged &sipStrings_QtGraphs[5668]
#define sipNameNr_labelsAngleChanged 5687
#define sipName_labelsAngleChanged &sipStrings_QtGraphs[5687]
#define sipNameNr_lineVisibleChanged 5706
#define sipName_lineVisibleChanged &sipStrings_QtGraphs[5706]
#define sipNameNr_lowerSeriesChanged 5725
#define sipName_lowerSeriesChanged &sipStrings_QtGraphs[5725]
#define sipNameNr_multiMatchBehavior 5744
#define sipName_multiMatchBehavior &sipStrings_QtGraphs[5744]
#define sipNameNr_orientationChanged 5763
#define sipName_orientationChanged &sipStrings_QtGraphs[5763]
#define sipNameNr_primarySubViewport 5782
#define sipName_primarySubViewport &sipStrings_QtGraphs[5782]
#define sipNameNr_selectedBarChanged 5801
#define sipName_selectedBarChanged &sipStrings_QtGraphs[5801]
#define sipNameNr_setAlphaMultiplier 5820
#define sipName_setAlphaMultiplier &sipStrings_QtGraphs[5820]
#define sipNameNr_setAutoAdjustRange 5839
#define sipName_setAutoAdjustRange &sipStrings_QtGraphs[5839]
#define sipNameNr_setBackgroundColor 5858
#define sipName_setBackgroundColor &sipStrings_QtGraphs[5858]
#define sipNameNr_setDrawSliceFrames 5877
#define sipName_setDrawSliceFrames &sipStrings_QtGraphs[5877]
#define sipNameNr_setItemLabelFormat 5896
#define sipName_setItemLabelFormat &sipStrings_QtGraphs[5896]
#define sipNameNr_setLabelsPrecision 5915
#define sipName_setLabelsPrecision &sipStrings_QtGraphs[5915]
#define sipNameNr_setPreserveOpacity 5934
#define sipName_setPreserveOpacity &sipStrings_QtGraphs[5934]
#define sipNameNr_setScalingAbsolute 5953
#define sipName_setScalingAbsolute &sipStrings_QtGraphs[5953]
#define sipNameNr_setSeriesGradients 5972
#define sipName_setSeriesGradients &sipStrings_QtGraphs[5972]
#define sipNameNr_setSliceFrameColor 5991
#define sipName_setSliceFrameColor &sipStrings_QtGraphs[5991]
#define sipNameNr_setSubSegmentCount 6010
#define sipName_setSubSegmentCount &sipStrings_QtGraphs[6010]
#define sipNameNr_setUserDefinedMesh 6029
#define sipName_setUserDefinedMesh &sipStrings_QtGraphs[6029]
#define sipNameNr_setXPosRolePattern 6048
#define sipName_setXPosRolePattern &sipStrings_QtGraphs[6048]
#define sipNameNr_setXPosRoleReplace 6067
#define sipName_setXPosRoleReplace &sipStrings_QtGraphs[6067]
#define sipNameNr_setYPosRolePattern 6086
#define sipName_setYPosRolePattern &sipStrings_QtGraphs[6086]
#define sipNameNr_setYPosRoleReplace 6105
#define sipName_setYPosRoleReplace &sipStrings_QtGraphs[6105]
#define sipNameNr_setZPosRolePattern 6124
#define sipName_setZPosRolePattern &sipStrings_QtGraphs[6124]
#define sipNameNr_setZPosRoleReplace 6143
#define sipName_setZPosRoleReplace &sipStrings_QtGraphs[6143]
#define sipNameNr_sliceIndexXChanged 6162
#define sipName_sliceIndexXChanged &sipStrings_QtGraphs[6162]
#define sipNameNr_sliceIndexYChanged 6181
#define sipName_sliceIndexYChanged &sipStrings_QtGraphs[6181]
#define sipNameNr_sliceIndexZChanged 6200
#define sipName_sliceIndexZChanged &sipStrings_QtGraphs[6200]
#define sipNameNr_textureDataChanged 6219
#define sipName_textureDataChanged &sipStrings_QtGraphs[6219]
#define sipNameNr_textureFileChanged 6238
#define sipName_textureFileChanged &sipStrings_QtGraphs[6238]
#define sipNameNr_titleOffsetChanged 6257
#define sipName_titleOffsetChanged &sipStrings_QtGraphs[6257]
#define sipNameNr_upperSeriesChanged 6276
#define sipName_upperSeriesChanged &sipStrings_QtGraphs[6276]
#define sipNameNr_useModelCategories 6295
#define sipName_useModelCategories &sipStrings_QtGraphs[6295]
#define sipNameNr_DirectlyAboveCW45 6314
#define sipName_DirectlyAboveCW45 &sipStrings_QtGraphs[6314]
#define sipNameNr_IsometricLeftHigh 6332
#define sipName_IsometricLeftHigh &sipStrings_QtGraphs[6332]
#define sipNameNr_QAbstract3DSeries 6350
#define sipName_QAbstract3DSeries &sipStrings_QtGraphs[6350]
#define sipNameNr_6368 6368
#define sipName_6368 &sipStrings_QtGraphs[6368]
#define sipNameNr_QScatterDataProxy 6386
#define sipName_QScatterDataProxy &sipStrings_QtGraphs[6386]
#define sipNameNr_QSurfaceDataProxy 6404
#define sipName_QSurfaceDataProxy &sipStrings_QtGraphs[6404]
#define sipNameNr_autoRowCategories 6422
#define sipName_autoRowCategories &sipStrings_QtGraphs[6422]
#define sipNameNr_autoScaleYChanged 6440
#define sipName_autoScaleYChanged &sipStrings_QtGraphs[6440]
#define sipNameNr_categoriesChanged 6458
#define sipName_categoriesChanged &sipStrings_QtGraphs[6458]
#define sipNameNr_colorStyleChanged 6476
#define sipName_colorStyleChanged &sipStrings_QtGraphs[6476]
#define sipNameNr_colorTableChanged 6494
#define sipName_colorTableChanged &sipStrings_QtGraphs[6494]
#define sipNameNr_columnRoleChanged 6512
#define sipName_columnRoleChanged &sipStrings_QtGraphs[6512]
#define sipNameNr_columnRolePattern 6530
#define sipName_columnRolePattern &sipStrings_QtGraphs[6530]
#define sipNameNr_columnRoleReplace 6548
#define sipName_columnRoleReplace &sipStrings_QtGraphs[6548]
#define sipNameNr_componentComplete 6566
#define sipName_componentComplete &sipStrings_QtGraphs[6566]
#define sipNameNr_createNewInstance 6584
#define sipName_createNewInstance &sipStrings_QtGraphs[6584]
#define sipNameNr_createTextureData 6602
#define sipName_createTextureData &sipStrings_QtGraphs[6602]
#define sipNameNr_deselectAllPoints 6620
#define sipName_deselectAllPoints &sipStrings_QtGraphs[6620]
#define sipNameNr_drawSlicesChanged 6638
#define sipName_drawSlicesChanged &sipStrings_QtGraphs[6638]
#define sipNameNr_edgeLabelsVisible 6656
#define sipName_edgeLabelsVisible &sipStrings_QtGraphs[6656]
#define sipNameNr_isAutoAdjustRange 6674
#define sipName_isAutoAdjustRange &sipStrings_QtGraphs[6674]
#define sipNameNr_isScalingAbsolute 6692
#define sipName_isScalingAbsolute &sipStrings_QtGraphs[6692]
#define sipNameNr_labelColorChanged 6710
#define sipName_labelColorChanged &sipStrings_QtGraphs[6710]
#define sipNameNr_lastBarSetSection 6728
#define sipName_lastBarSetSection &sipStrings_QtGraphs[6728]
#define sipNameNr_legendDataChanged 6746
#define sipName_legendDataChanged &sipStrings_QtGraphs[6746]
#define sipNameNr_meshSmoothChanged 6764
#define sipName_meshSmoothChanged &sipStrings_QtGraphs[6764]
#define sipNameNr_percentageChanged 6782
#define sipName_percentageChanged &sipStrings_QtGraphs[6782]
#define sipNameNr_selectableChanged 6800
#define sipName_selectableChanged &sipStrings_QtGraphs[6800]
#define sipNameNr_setAllowNegatives 6818
#define sipName_setAllowNegatives &sipStrings_QtGraphs[6818]
#define sipNameNr_setAxisXLabelFont 6836
#define sipName_setAxisXLabelFont &sipStrings_QtGraphs[6836]
#define sipNameNr_setAxisYLabelFont 6854
#define sipName_setAxisYLabelFont &sipStrings_QtGraphs[6854]
#define sipNameNr_setAxisZLabelFont 6872
#define sipName_setAxisZLabelFont &sipStrings_QtGraphs[6872]
#define sipNameNr_setLabelAutoAngle 6890
#define sipName_setLabelAutoAngle &sipStrings_QtGraphs[6890]
#define sipNameNr_setLabelTextColor 6908
#define sipName_setLabelTextColor &sipStrings_QtGraphs[6908]
#define sipNameNr_setLabelsPosition 6926
#define sipName_setLabelsPosition &sipStrings_QtGraphs[6926]
#define sipNameNr_setRowRolePattern 6944
#define sipName_setRowRolePattern &sipStrings_QtGraphs[6944]
#define sipNameNr_setRowRoleReplace 6962
#define sipName_setRowRoleReplace &sipStrings_QtGraphs[6962]
#define sipNameNr_setSliceFrameGaps 6980
#define sipName_setSliceFrameGaps &sipStrings_QtGraphs[6980]
#define sipNameNr_setSubGridVisible 6998
#define sipName_setSubGridVisible &sipStrings_QtGraphs[6998]
#define sipNameNr_setSubTextureData 7016
#define sipName_setSubTextureData &sipStrings_QtGraphs[7016]
#define sipNameNr_setWireframeColor 7034
#define sipName_setWireframeColor &sipStrings_QtGraphs[7034]
#define sipNameNr_setlabelPositions 7052
#define sipName_setlabelPositions &sipStrings_QtGraphs[7052]
#define sipNameNr_startAngleChanged 7070
#define sipName_startAngleChanged &sipStrings_QtGraphs[7070]
#define sipNameNr_tickAnchorChanged 7088
#define sipName_tickAnchorChanged &sipStrings_QtGraphs[7088]
#define sipNameNr_titleColorChanged 7106
#define sipName_titleColorChanged &sipStrings_QtGraphs[7106]
#define sipNameNr_titleFixedChanged 7124
#define sipName_titleFixedChanged &sipStrings_QtGraphs[7124]
#define sipNameNr_InsideHorizontal 7142
#define sipName_InsideHorizontal &sipStrings_QtGraphs[7142]
#define sipNameNr_InsideTangential 7159
#define sipName_InsideTangential &sipStrings_QtGraphs[7159]
#define sipNameNr_ItemRowAndColumn 7176
#define sipName_ItemRowAndColumn &sipStrings_QtGraphs[7176]
#define sipNameNr_OptimizationHint 547
#define sipName_OptimizationHint &sipStrings_QtGraphs[547]
#define sipNameNr_QBarCategoryAxis 7193
#define sipName_QBarCategoryAxis &sipStrings_QtGraphs[7193]
#define sipNameNr_QScatter3DSeries 7210
#define sipName_QScatter3DSeries &sipStrings_QtGraphs[7210]
#define sipNameNr_QScatterDataItem 7227
#define sipName_QScatterDataItem &sipStrings_QtGraphs[7227]
#define sipNameNr_QSurface3DSeries 7244
#define sipName_QSurface3DSeries &sipStrings_QtGraphs[7244]
#define sipNameNr_QSurfaceDataItem 7261
#define sipName_QSurfaceDataItem &sipStrings_QtGraphs[7261]
#define sipNameNr_angleSpanChanged 7278
#define sipName_angleSpanChanged &sipStrings_QtGraphs[7278]
#define sipNameNr_baseColorChanged 7295
#define sipName_baseColorChanged &sipStrings_QtGraphs[7295]
#define sipNameNr_columnCategories 7312
#define sipName_columnCategories &sipStrings_QtGraphs[7312]
#define sipNameNr_dataArrayChanged 7329
#define sipName_dataArrayChanged &sipStrings_QtGraphs[7329]
#define sipNameNr_dataProxyChanged 7346
#define sipName_dataProxyChanged &sipStrings_QtGraphs[7346]
#define sipNameNr_devicePixelRatio 7363
#define sipName_devicePixelRatio &sipStrings_QtGraphs[7363]
#define sipNameNr_disconnectNotify 7380
#define sipName_disconnectNotify &sipStrings_QtGraphs[7380]
#define sipNameNr_draggableChanged 7397
#define sipName_draggableChanged &sipStrings_QtGraphs[7397]
#define sipNameNr_formatterChanged 7414
#define sipName_formatterChanged &sipStrings_QtGraphs[7414]
#define sipNameNr_heightMapChanged 7431
#define sipName_heightMapChanged &sipStrings_QtGraphs[7431]
#define sipNameNr_hoverableChanged 7448
#define sipName_hoverableChanged &sipStrings_QtGraphs[7448]
#define sipNameNr_isSubGridVisible 7465
#define sipName_isSubGridVisible &sipStrings_QtGraphs[7465]
#define sipNameNr_itemCountChanged 7482
#define sipName_itemCountChanged &sipStrings_QtGraphs[7482]
#define sipNameNr_itemLabelChanged 7499
#define sipName_itemLabelChanged &sipStrings_QtGraphs[7499]
#define sipNameNr_itemModelChanged 7516
#define sipName_itemModelChanged &sipStrings_QtGraphs[7516]
#define sipNameNr_labelFontChanged 7533
#define sipName_labelFontChanged &sipStrings_QtGraphs[7533]
#define sipNameNr_maxXValueChanged 7550
#define sipName_maxXValueChanged &sipStrings_QtGraphs[7550]
#define sipNameNr_maxYValueChanged 7567
#define sipName_maxYValueChanged &sipStrings_QtGraphs[7567]
#define sipNameNr_maxZValueChanged 7584
#define sipName_maxZValueChanged &sipStrings_QtGraphs[7584]
#define sipNameNr_meshAngleChanged 7601
#define sipName_meshAngleChanged &sipStrings_QtGraphs[7601]
#define sipNameNr_minXValueChanged 7618
#define sipName_minXValueChanged &sipStrings_QtGraphs[7618]
#define sipNameNr_minYValueChanged 7635
#define sipName_minYValueChanged &sipStrings_QtGraphs[7635]
#define sipNameNr_minZValueChanged 7652
#define sipName_minZValueChanged &sipStrings_QtGraphs[7652]
#define sipNameNr_rowCategoryIndex 7669
#define sipName_rowCategoryIndex &sipStrings_QtGraphs[7669]
#define sipNameNr_rowColorsChanged 7686
#define sipName_rowColorsChanged &sipStrings_QtGraphs[7686]
#define sipNameNr_rowLabelsChanged 7703
#define sipName_rowLabelsChanged &sipStrings_QtGraphs[7703]
#define sipNameNr_setBorderVisible 7720
#define sipName_setBorderVisible &sipStrings_QtGraphs[7720]
#define sipNameNr_setHeightMapFile 7737
#define sipName_setHeightMapFile &sipStrings_QtGraphs[7737]
#define sipNameNr_setLabelDecimals 7754
#define sipName_setLabelDecimals &sipStrings_QtGraphs[7754]
#define sipNameNr_setLabelDelegate 7771
#define sipName_setLabelDelegate &sipStrings_QtGraphs[7771]
#define sipNameNr_setLabelPosition 7788
#define sipName_setLabelPosition &sipStrings_QtGraphs[7788]
#define sipNameNr_setLabelsSection 7805
#define sipName_setLabelsSection &sipStrings_QtGraphs[7805]
#define sipNameNr_setLabelsVisible 7822
#define sipName_setLabelsVisible &sipStrings_QtGraphs[7822]
#define sipNameNr_setPointDelegate 7839
#define sipName_setPointDelegate &sipStrings_QtGraphs[7839]
#define sipNameNr_setPointSelected 7856
#define sipName_setPointSelected &sipStrings_QtGraphs[7856]
#define sipNameNr_setRowCategories 7873
#define sipName_setRowCategories &sipStrings_QtGraphs[7873]
#define sipNameNr_setSelectedColor 7890
#define sipName_setSelectedColor &sipStrings_QtGraphs[7890]
#define sipNameNr_setSelectedPoint 7907
#define sipName_setSelectedPoint &sipStrings_QtGraphs[7907]
#define sipNameNr_setShadowCasting 7924
#define sipName_setShadowCasting &sipStrings_QtGraphs[7924]
#define sipNameNr_setSlicingActive 7941
#define sipName_setSlicingActive &sipStrings_QtGraphs[7941]
#define sipNameNr_setTextureFormat 7958
#define sipName_setTextureFormat &sipStrings_QtGraphs[7958]
#define sipNameNr_setTextureHeight 7975
#define sipName_setTextureHeight &sipStrings_QtGraphs[7975]
#define sipNameNr_setValuesSection 7992
#define sipName_setValuesSection &sipStrings_QtGraphs[7992]
#define sipNameNr_sliceFrameWidths 8009
#define sipName_sliceFrameWidths &sipStrings_QtGraphs[8009]
#define sipNameNr_subGridPositions 8026
#define sipName_subGridPositions &sipStrings_QtGraphs[8026]
#define sipNameNr_textColorChanged 8043
#define sipName_textColorChanged &sipStrings_QtGraphs[8043]
#define sipNameNr_textureDataWidth 8060
#define sipName_textureDataWidth &sipStrings_QtGraphs[8060]
#define sipNameNr_titleFontChanged 8077
#define sipName_titleFontChanged &sipStrings_QtGraphs[8077]
#define sipNameNr_titleTextChanged 8094
#define sipName_titleTextChanged &sipStrings_QtGraphs[8094]
#define sipNameNr_useHighDefShader 8111
#define sipName_useHighDefShader &sipStrings_QtGraphs[8111]
#define sipNameNr_valueRoleChanged 8128
#define sipName_valueRoleChanged &sipStrings_QtGraphs[8128]
#define sipNameNr_valueRolePattern 8145
#define sipName_valueRolePattern &sipStrings_QtGraphs[8145]
#define sipNameNr_valueRoleReplace 8162
#define sipName_valueRoleReplace &sipStrings_QtGraphs[8162]
#define sipNameNr_valuesMultiplier 8179
#define sipName_valuesMultiplier &sipStrings_QtGraphs[8179]
#define sipNameNr_verticalPosition 8196
#define sipName_verticalPosition &sipStrings_QtGraphs[8196]
#define sipNameNr_AxisOrientation 210
#define sipName_AxisOrientation &sipStrings_QtGraphs[210]
#define sipNameNr_QAbstract3DAxis 8213
#define sipName_QAbstract3DAxis &sipStrings_QtGraphs[8213]
#define sipNameNr_QAbstractSeries 8229
#define sipName_QAbstractSeries &sipStrings_QtGraphs[8229]
#define sipNameNr_QBarModelMapper 8245
#define sipName_QBarModelMapper &sipStrings_QtGraphs[8245]
#define sipNameNr_QCategory3DAxis 8261
#define sipName_QCategory3DAxis &sipStrings_QtGraphs[8261]
#define sipNameNr_QCustom3DVolume 8277
#define sipName_QCustom3DVolume &sipStrings_QtGraphs[8277]
#define sipNameNr_8293 8293
#define sipName_8293 &sipStrings_QtGraphs[8293]
#define sipNameNr_QPieModelMapper 8309
#define sipName_QPieModelMapper &sipStrings_QtGraphs[8309]
#define sipNameNr_alphaMultiplier 8325
#define sipName_alphaMultiplier &sipStrings_QtGraphs[8325]
#define sipNameNr_backgroundColor 8341
#define sipName_backgroundColor &sipStrings_QtGraphs[8341]
#define sipNameNr_barWidthChanged 8357
#define sipName_barWidthChanged &sipStrings_QtGraphs[8357]
#define sipNameNr_barsTypeChanged 8373
#define sipName_barsTypeChanged &sipStrings_QtGraphs[8373]
#define sipNameNr_barsetsReplaced 8389
#define sipName_barsetsReplaced &sipStrings_QtGraphs[8389]
#define sipNameNr_capStyleChanged 8405
#define sipName_capStyleChanged &sipStrings_QtGraphs[8405]
#define sipNameNr_colCountChanged 8421
#define sipName_colCountChanged &sipStrings_QtGraphs[8421]
#define sipNameNr_deselectAllBars 8437
#define sipName_deselectAllBars &sipStrings_QtGraphs[8437]
#define sipNameNr_drawModeChanged 8453
#define sipName_drawModeChanged &sipStrings_QtGraphs[8453]
#define sipNameNr_drawSliceFrames 8469
#define sipName_drawSliceFrames &sipStrings_QtGraphs[8469]
#define sipNameNr_endAngleChanged 8485
#define sipName_endAngleChanged &sipStrings_QtGraphs[8485]
#define sipNameNr_explodedChanged 8501
#define sipName_explodedChanged &sipStrings_QtGraphs[8501]
#define sipNameNr_holeSizeChanged 8517
#define sipName_holeSizeChanged &sipStrings_QtGraphs[8517]
#define sipNameNr_isBorderVisible 8533
#define sipName_isBorderVisible &sipStrings_QtGraphs[8533]
#define sipNameNr_isPointSelected 8549
#define sipName_isPointSelected &sipStrings_QtGraphs[8549]
#define sipNameNr_isShadowCasting 8565
#define sipName_isShadowCasting &sipStrings_QtGraphs[8565]
#define sipNameNr_isSlicingActive 8581
#define sipName_isSlicingActive &sipStrings_QtGraphs[8581]
#define sipNameNr_itemLabelFormat 8597
#define sipName_itemLabelFormat &sipStrings_QtGraphs[8597]
#define sipNameNr_itemSizeChanged 8613
#define sipName_itemSizeChanged &sipStrings_QtGraphs[8613]
#define sipNameNr_labelsPrecision 8629
#define sipName_labelsPrecision &sipStrings_QtGraphs[8629]
#define sipNameNr_meshFileChanged 8645
#define sipName_meshFileChanged &sipStrings_QtGraphs[8645]
#define sipNameNr_positionChanged 8661
#define sipName_positionChanged &sipStrings_QtGraphs[8661]
#define sipNameNr_preserveOpacity 8677
#define sipName_preserveOpacity &sipStrings_QtGraphs[8677]
#define sipNameNr_reversedChanged 8693
#define sipName_reversedChanged &sipStrings_QtGraphs[8693]
#define sipNameNr_rotationChanged 8709
#define sipName_rotationChanged &sipStrings_QtGraphs[8709]
#define sipNameNr_rowCountChanged 8725
#define sipName_rowCountChanged &sipStrings_QtGraphs[8725]
#define sipNameNr_selectAllPoints 6622
#define sipName_selectAllPoints &sipStrings_QtGraphs[6622]
#define sipNameNr_selectedChanged 8741
#define sipName_selectedChanged &sipStrings_QtGraphs[8741]
#define sipNameNr_seriesGradients 8757
#define sipName_seriesGradients &sipStrings_QtGraphs[8757]
#define sipNameNr_setBaseGradient 8773
#define sipName_setBaseGradient &sipStrings_QtGraphs[8773]
#define sipNameNr_setBorderColors 8789
#define sipName_setBorderColors &sipStrings_QtGraphs[8789]
#define sipNameNr_setColumnLabels 8805
#define sipName_setColumnLabels &sipStrings_QtGraphs[8805]
#define sipNameNr_setFacingCamera 8821
#define sipName_setFacingCamera &sipStrings_QtGraphs[8821]
#define sipNameNr_setGridPoitions 8837
#define sipName_setGridPoitions &sipStrings_QtGraphs[8837]
#define sipNameNr_setLabelStrings 8853
#define sipName_setLabelStrings &sipStrings_QtGraphs[8853]
#define sipNameNr_setLabelVisible 8869
#define sipName_setLabelVisible &sipStrings_QtGraphs[8869]
#define sipNameNr_setLabelsFormat 8885
#define sipName_setLabelsFormat &sipStrings_QtGraphs[8885]
#define sipNameNr_setLabelsMargin 8901
#define sipName_setLabelsMargin &sipStrings_QtGraphs[8901]
#define sipNameNr_setMeshRotation 8917
#define sipName_setMeshRotation &sipStrings_QtGraphs[8917]
#define sipNameNr_setRotationRole 8933
#define sipName_setRotationRole &sipStrings_QtGraphs[8933]
#define sipNameNr_setSegmentCount 8949
#define sipName_setSegmentCount &sipStrings_QtGraphs[8949]
#define sipNameNr_setSelectedItem 8965
#define sipName_setSelectedItem &sipStrings_QtGraphs[8965]
#define sipNameNr_setSeriesColors 8981
#define sipName_setSeriesColors &sipStrings_QtGraphs[8981]
#define sipNameNr_setSliceIndices 8997
#define sipName_setSliceIndices &sipStrings_QtGraphs[8997]
#define sipNameNr_setSubTickCount 9013
#define sipName_setSubTickCount &sipStrings_QtGraphs[9013]
#define sipNameNr_setTextureDepth 9029
#define sipName_setTextureDepth &sipStrings_QtGraphs[9029]
#define sipNameNr_setTextureImage 9045
#define sipName_setTextureImage &sipStrings_QtGraphs[9045]
#define sipNameNr_setTextureWidth 9061
#define sipName_setTextureWidth &sipStrings_QtGraphs[9061]
#define sipNameNr_setTickInterval 9077
#define sipName_setTickInterval &sipStrings_QtGraphs[9077]
#define sipNameNr_setTitleVisible 9093
#define sipName_setTitleVisible &sipStrings_QtGraphs[9093]
#define sipNameNr_setValueChanged 9109
#define sipName_setValueChanged &sipStrings_QtGraphs[9109]
#define sipNameNr_setValueRemoved 9125
#define sipName_setValueRemoved &sipStrings_QtGraphs[9125]
#define sipNameNr_sliceFrameColor 9141
#define sipName_sliceFrameColor &sipStrings_QtGraphs[9141]
#define sipNameNr_subSegmentCount 9157
#define sipName_subSegmentCount &sipStrings_QtGraphs[9157]
#define sipNameNr_toggleSelection 9173
#define sipName_toggleSelection &sipStrings_QtGraphs[9173]
#define sipNameNr_userDefinedMesh 9189
#define sipName_userDefinedMesh &sipStrings_QtGraphs[9189]
#define sipNameNr_viewportChanged 9205
#define sipName_viewportChanged &sipStrings_QtGraphs[9205]
#define sipNameNr_xPosRoleChanged 9221
#define sipName_xPosRoleChanged &sipStrings_QtGraphs[9221]
#define sipNameNr_xPosRolePattern 9237
#define sipName_xPosRolePattern &sipStrings_QtGraphs[9237]
#define sipNameNr_xPosRoleReplace 9253
#define sipName_xPosRoleReplace &sipStrings_QtGraphs[9253]
#define sipNameNr_xSectionChanged 9269
#define sipName_xSectionChanged &sipStrings_QtGraphs[9269]
#define sipNameNr_yPosRoleChanged 9285
#define sipName_yPosRoleChanged &sipStrings_QtGraphs[9285]
#define sipNameNr_yPosRolePattern 9301
#define sipName_yPosRolePattern &sipStrings_QtGraphs[9301]
#define sipNameNr_yPosRoleReplace 9317
#define sipName_yPosRoleReplace &sipStrings_QtGraphs[9317]
#define sipNameNr_ySectionChanged 9333
#define sipName_ySectionChanged &sipStrings_QtGraphs[9333]
#define sipNameNr_zPosRoleChanged 9349
#define sipName_zPosRoleChanged &sipStrings_QtGraphs[9349]
#define sipNameNr_zPosRolePattern 9365
#define sipName_zPosRolePattern &sipStrings_QtGraphs[9365]
#define sipNameNr_zPosRoleReplace 9381
#define sipName_zPosRoleReplace &sipStrings_QtGraphs[9381]
#define sipNameNr_IsometricRight 9397
#define sipName_IsometricRight &sipStrings_QtGraphs[9397]
#define sipNameNr_LabelsPosition 944
#define sipName_LabelsPosition &sipStrings_QtGraphs[944]
#define sipNameNr_ObjectGradient 9412
#define sipName_ObjectGradient &sipStrings_QtGraphs[9412]
#define sipNameNr_PyQt6_QtGraphs 9427
#define sipName_PyQt6_QtGraphs &sipStrings_QtGraphs[9427]
#define sipNameNr_QCustom3DLabel 9442
#define sipName_QCustom3DLabel &sipStrings_QtGraphs[9442]
#define sipNameNr_9457 9457
#define sipName_9457 &sipStrings_QtGraphs[9457]
#define sipNameNr_QScatterSeries 9472
#define sipName_QScatterSeries &sipStrings_QtGraphs[9472]
#define sipNameNr_QXYModelMapper 9487
#define sipName_QXYModelMapper &sipStrings_QtGraphs[9487]
#define sipNameNr_StackedPercent 9502
#define sipName_StackedPercent &sipStrings_QtGraphs[9502]
#define sipNameNr_allowNegatives 9517
#define sipName_allowNegatives &sipStrings_QtGraphs[9517]
#define sipNameNr_axisXLabelFont 9532
#define sipName_axisXLabelFont &sipStrings_QtGraphs[9532]
#define sipNameNr_axisYLabelFont 9547
#define sipName_axisYLabelFont &sipStrings_QtGraphs[9547]
#define sipNameNr_axisZLabelFont 9562
#define sipName_axisZLabelFont &sipStrings_QtGraphs[9562]
#define sipNameNr_barSetsChanged 9577
#define sipName_barSetsChanged &sipStrings_QtGraphs[9577]
#define sipNameNr_barsetsRemoved 9592
#define sipName_barsetsRemoved &sipStrings_QtGraphs[9592]
#define sipNameNr_deselectPoints 9607
#define sipName_deselectPoints &sipStrings_QtGraphs[9607]
#define sipNameNr_isFacingCamera 9622
#define sipName_isFacingCamera &sipStrings_QtGraphs[9622]
#define sipNameNr_isLabelVisible 9637
#define sipName_isLabelVisible &sipStrings_QtGraphs[9637]
#define sipNameNr_isTitleVisible 9652
#define sipName_isTitleVisible &sipStrings_QtGraphs[9652]
#define sipNameNr_labelAutoAngle 9667
#define sipName_labelAutoAngle &sipStrings_QtGraphs[9667]
#define sipNameNr_labelPositions 7055
#define sipName_labelPositions &sipStrings_QtGraphs[7055]
#define sipNameNr_labelTextColor 9682
#define sipName_labelTextColor &sipStrings_QtGraphs[9682]
#define sipNameNr_labelsPosition 9697
#define sipName_labelsPosition &sipStrings_QtGraphs[9697]
#define sipNameNr_opacityChanged 9712
#define sipName_opacityChanged &sipStrings_QtGraphs[9712]
#define sipNameNr_pieSizeChanged 9727
#define sipName_pieSizeChanged &sipStrings_QtGraphs[9727]
#define sipNameNr_pointsReplaced 9742
#define sipName_pointsReplaced &sipStrings_QtGraphs[9742]
#define sipNameNr_removeMultiple 9757
#define sipName_removeMultiple &sipStrings_QtGraphs[9757]
#define sipNameNr_rowRoleChanged 9772
#define sipName_rowRoleChanged &sipStrings_QtGraphs[9772]
#define sipNameNr_rowRolePattern 9787
#define sipName_rowRolePattern &sipStrings_QtGraphs[9787]
#define sipNameNr_rowRoleReplace 9802
#define sipName_rowRoleReplace &sipStrings_QtGraphs[9802]
#define sipNameNr_scalingChanged 9817
#define sipName_scalingChanged &sipStrings_QtGraphs[9817]
#define sipNameNr_selectedPoints 9832
#define sipName_selectedPoints &sipStrings_QtGraphs[9832]
#define sipNameNr_setAutoSubGrid 9847
#define sipName_setAutoSubGrid &sipStrings_QtGraphs[9847]
#define sipNameNr_setBarDelegate 9862
#define sipName_setBarDelegate &sipStrings_QtGraphs[9862]
#define sipNameNr_setBarSelected 9877
#define sipName_setBarSelected &sipStrings_QtGraphs[9877]
#define sipNameNr_setBorderColor 9892
#define sipName_setBorderColor &sipStrings_QtGraphs[9892]
#define sipNameNr_setBorderWidth 9907
#define sipName_setBorderWidth &sipStrings_QtGraphs[9907]
#define sipNameNr_setColorScheme 9922
#define sipName_setColorScheme &sipStrings_QtGraphs[9922]
#define sipNameNr_setGridVisible 9937
#define sipName_setGridVisible &sipStrings_QtGraphs[9937]
#define sipNameNr_setLabelFormat 9952
#define sipName_setLabelFormat &sipStrings_QtGraphs[9952]
#define sipNameNr_setLabelsAngle 9967
#define sipName_setLabelsAngle &sipStrings_QtGraphs[9967]
#define sipNameNr_setLineVisible 9982
#define sipName_setLineVisible &sipStrings_QtGraphs[9982]
#define sipNameNr_setLowerSeries 9997
#define sipName_setLowerSeries &sipStrings_QtGraphs[9997]
#define sipNameNr_setOrientation 10012
#define sipName_setOrientation &sipStrings_QtGraphs[10012]
#define sipNameNr_setSelectedBar 10027
#define sipName_setSelectedBar &sipStrings_QtGraphs[10027]
#define sipNameNr_setSliceIndexX 10042
#define sipName_setSliceIndexX &sipStrings_QtGraphs[10042]
#define sipNameNr_setSliceIndexY 10057
#define sipName_setSliceIndexY &sipStrings_QtGraphs[10057]
#define sipNameNr_setSliceIndexZ 10072
#define sipName_setSliceIndexZ &sipStrings_QtGraphs[10072]
#define sipNameNr_setTextureData 10087
#define sipName_setTextureData &sipStrings_QtGraphs[10087]
#define sipNameNr_setTextureFile 10102
#define sipName_setTextureFile &sipStrings_QtGraphs[10102]
#define sipNameNr_setTitleOffset 10117
#define sipName_setTitleOffset &sipStrings_QtGraphs[10117]
#define sipNameNr_setUpperSeries 10132
#define sipName_setUpperSeries &sipStrings_QtGraphs[10132]
#define sipNameNr_setValueRanges 10147
#define sipName_setValueRanges &sipStrings_QtGraphs[10147]
#define sipNameNr_shadingChanged 10162
#define sipName_shadingChanged &sipStrings_QtGraphs[10162]
#define sipNameNr_sliceFrameGaps 10177
#define sipName_sliceFrameGaps &sipStrings_QtGraphs[10177]
#define sipNameNr_stringForValue 10192
#define sipName_stringForValue &sipStrings_QtGraphs[10192]
#define sipNameNr_textureChanged 10207
#define sipName_textureChanged &sipStrings_QtGraphs[10207]
#define sipNameNr_visibleChanged 10222
#define sipName_visibleChanged &sipStrings_QtGraphs[10222]
#define sipNameNr_wireframeColor 10237
#define sipName_wireframeColor &sipStrings_QtGraphs[10237]
#define sipNameNr_DirectlyAbove 10252
#define sipName_DirectlyAbove &sipStrings_QtGraphs[10252]
#define sipNameNr_DirectlyBelow 10266
#define sipName_DirectlyBelow &sipStrings_QtGraphs[10266]
#define sipNameNr_DrawWireframe 10280
#define sipName_DrawWireframe &sipStrings_QtGraphs[10280]
#define sipNameNr_IsometricLeft 10294
#define sipName_IsometricLeft &sipStrings_QtGraphs[10294]
#define sipNameNr_ItemAndColumn 10308
#define sipName_ItemAndColumn &sipStrings_QtGraphs[10308]
#define sipNameNr_LabelPosition 1732
#define sipName_LabelPosition &sipStrings_QtGraphs[1732]
#define sipNameNr_QAbstractAxis 10322
#define sipName_QAbstractAxis &sipStrings_QtGraphs[10322]
#define sipNameNr_QBarDataProxy 10336
#define sipName_QBarDataProxy &sipStrings_QtGraphs[10336]
#define sipNameNr_QCustom3DItem 10350
#define sipName_QCustom3DItem &sipStrings_QtGraphs[10350]
#define sipNameNr_QDateTimeAxis 10364
#define sipName_QDateTimeAxis &sipStrings_QtGraphs[10364]
#define sipNameNr_10378 10378
#define sipName_10378 &sipStrings_QtGraphs[10378]
#define sipNameNr_QSplineSeries 10392
#define sipName_QSplineSeries &sipStrings_QtGraphs[10392]
#define sipNameNr_RangeGradient 10406
#define sipName_RangeGradient &sipStrings_QtGraphs[10406]
#define sipNameNr_RenderingMode 1319
#define sipName_RenderingMode &sipStrings_QtGraphs[1319]
#define sipNameNr_SelectionFlag 1345
#define sipName_SelectionFlag &sipStrings_QtGraphs[1345]
#define sipNameNr_ShadowQuality 1371
#define sipName_ShadowQuality &sipStrings_QtGraphs[1371]
#define sipNameNr_connectNotify 7383
#define sipName_connectNotify &sipStrings_QtGraphs[7383]
#define sipNameNr_deselectPoint 10420
#define sipName_deselectPoint &sipStrings_QtGraphs[10420]
#define sipNameNr_gridPositions 10434
#define sipName_gridPositions &sipStrings_QtGraphs[10434]
#define sipNameNr_heightMapFile 10448
#define sipName_heightMapFile &sipStrings_QtGraphs[10448]
#define sipNameNr_isBarSelected 10462
#define sipName_isBarSelected &sipStrings_QtGraphs[10462]
#define sipNameNr_isGridVisible 10476
#define sipName_isGridVisible &sipStrings_QtGraphs[10476]
#define sipNameNr_isLineVisible 10490
#define sipName_isLineVisible &sipStrings_QtGraphs[10490]
#define sipNameNr_itemsInserted 10504
#define sipName_itemsInserted &sipStrings_QtGraphs[10504]
#define sipNameNr_labelDecimals 10518
#define sipName_labelDecimals &sipStrings_QtGraphs[10518]
#define sipNameNr_labelDelegate 10532
#define sipName_labelDelegate &sipStrings_QtGraphs[10532]
#define sipNameNr_labelPosition 10546
#define sipName_labelPosition &sipStrings_QtGraphs[10546]
#define sipNameNr_labelsChanged 10560
#define sipName_labelsChanged &sipStrings_QtGraphs[10560]
#define sipNameNr_labelsSection 10574
#define sipName_labelsSection &sipStrings_QtGraphs[10574]
#define sipNameNr_labelsVisible 10588
#define sipName_labelsVisible &sipStrings_QtGraphs[10588]
#define sipNameNr_pointDelegate 10602
#define sipName_pointDelegate &sipStrings_QtGraphs[10602]
#define sipNameNr_pointReplaced 10616
#define sipName_pointReplaced &sipStrings_QtGraphs[10616]
#define sipNameNr_rowCategories 10630
#define sipName_rowCategories &sipStrings_QtGraphs[10630]
#define sipNameNr_selectAllBars 8439
#define sipName_selectAllBars &sipStrings_QtGraphs[8439]
#define sipNameNr_selectedColor 10644
#define sipName_selectedColor &sipStrings_QtGraphs[10644]
#define sipNameNr_selectedPoint 10658
#define sipName_selectedPoint &sipStrings_QtGraphs[10658]
#define sipNameNr_seriesChanged 10672
#define sipName_seriesChanged &sipStrings_QtGraphs[10672]
#define sipNameNr_setAutoScaleY 10686
#define sipName_setAutoScaleY &sipStrings_QtGraphs[10686]
#define sipNameNr_setCategories 10700
#define sipName_setCategories &sipStrings_QtGraphs[10700]
#define sipNameNr_setColorStyle 10714
#define sipName_setColorStyle &sipStrings_QtGraphs[10714]
#define sipNameNr_setColorTable 10728
#define sipName_setColorTable &sipStrings_QtGraphs[10728]
#define sipNameNr_setColumnRole 10742
#define sipName_setColumnRole &sipStrings_QtGraphs[10742]
#define sipNameNr_setDrawSlices 10756
#define sipName_setDrawSlices &sipStrings_QtGraphs[10756]
#define sipNameNr_setLabelColor 10770
#define sipName_setLabelColor &sipStrings_QtGraphs[10770]
#define sipNameNr_setMeshSmooth 10784
#define sipName_setMeshSmooth &sipStrings_QtGraphs[10784]
#define sipNameNr_setSelectable 10798
#define sipName_setSelectable &sipStrings_QtGraphs[10798]
#define sipNameNr_setStartAngle 10812
#define sipName_setStartAngle &sipStrings_QtGraphs[10812]
#define sipNameNr_setTickAnchor 10826
#define sipName_setTickAnchor &sipStrings_QtGraphs[10826]
#define sipNameNr_setTitleColor 10840
#define sipName_setTitleColor &sipStrings_QtGraphs[10840]
#define sipNameNr_setTitleFixed 10854
#define sipName_setTitleFixed &sipStrings_QtGraphs[10854]
#define sipNameNr_setValueAdded 10868
#define sipName_setValueAdded &sipStrings_QtGraphs[10868]
#define sipNameNr_textureFormat 10882
#define sipName_textureFormat &sipStrings_QtGraphs[10882]
#define sipNameNr_textureHeight 10896
#define sipName_textureHeight &sipStrings_QtGraphs[10896]
#define sipNameNr_valuesChanged 10910
#define sipName_valuesChanged &sipStrings_QtGraphs[10910]
#define sipNameNr_valuesRemoved 10924
#define sipName_valuesRemoved &sipStrings_QtGraphs[10924]
#define sipNameNr_valuesSection 10938
#define sipName_valuesSection &sipStrings_QtGraphs[10938]
#define sipNameNr_CameraPreset 1758
#define sipName_CameraPreset &sipStrings_QtGraphs[1758]
#define sipNameNr_GridLineType 1783
#define sipName_GridLineType &sipStrings_QtGraphs[1783]
#define sipNameNr_InsideNormal 10952
#define sipName_InsideNormal &sipStrings_QtGraphs[10952]
#define sipNameNr_OrangeSeries 10965
#define sipName_OrangeSeries &sipStrings_QtGraphs[10965]
#define sipNameNr_PurpleSeries 10978
#define sipName_PurpleSeries &sipStrings_QtGraphs[10978]
#define sipNameNr_QBar3DSeries 10991
#define sipName_QBar3DSeries &sipStrings_QtGraphs[10991]
#define sipNameNr_QBarDataItem 11004
#define sipName_QBarDataItem &sipStrings_QtGraphs[11004]
#define sipNameNr_QGraphsTheme 11017
#define sipName_QGraphsTheme &sipStrings_QtGraphs[11017]
#define sipNameNr_QValue3DAxis 11030
#define sipName_QValue3DAxis &sipStrings_QtGraphs[11030]
#define sipNameNr_RowAndColumn 7180
#define sipName_RowAndColumn &sipStrings_QtGraphs[7180]
#define sipNameNr_YellowSeries 11043
#define sipName_YellowSeries &sipStrings_QtGraphs[11043]
#define sipNameNr_axisXChanged 11056
#define sipName_axisXChanged &sipStrings_QtGraphs[11056]
#define sipNameNr_axisYChanged 11069
#define sipName_axisYChanged &sipStrings_QtGraphs[11069]
#define sipNameNr_axisZChanged 11082
#define sipName_axisZChanged &sipStrings_QtGraphs[11082]
#define sipNameNr_barsetsAdded 11095
#define sipName_barsetsAdded &sipStrings_QtGraphs[11095]
#define sipNameNr_baseGradient 11108
#define sipName_baseGradient &sipStrings_QtGraphs[11108]
#define sipNameNr_borderColors 11121
#define sipName_borderColors &sipStrings_QtGraphs[11121]
#define sipNameNr_colorChanged 11134
#define sipName_colorChanged &sipStrings_QtGraphs[11134]
#define sipNameNr_columnLabels 11147
#define sipName_columnLabels &sipStrings_QtGraphs[11147]
#define sipNameNr_countChanged 11160
#define sipName_countChanged &sipStrings_QtGraphs[11160]
#define sipNameNr_deselectBars 11173
#define sipName_deselectBars &sipStrings_QtGraphs[11173]
#define sipNameNr_firstChanged 11186
#define sipName_firstChanged &sipStrings_QtGraphs[11186]
#define sipNameNr_isMeshSmooth 11199
#define sipName_isMeshSmooth &sipStrings_QtGraphs[11199]
#define sipNameNr_isSelectable 11212
#define sipName_isSelectable &sipStrings_QtGraphs[11212]
#define sipNameNr_isTitleFixed 11225
#define sipName_isTitleFixed &sipStrings_QtGraphs[11225]
#define sipNameNr_itemsChanged 11238
#define sipName_itemsChanged &sipStrings_QtGraphs[11238]
#define sipNameNr_itemsRemoved 11251
#define sipName_itemsRemoved &sipStrings_QtGraphs[11251]
#define sipNameNr_labelChanged 11264
#define sipName_labelChanged &sipStrings_QtGraphs[11264]
#define sipNameNr_labelStrings 11277
#define sipName_labelStrings &sipStrings_QtGraphs[11277]
#define sipNameNr_labelsChange 11290
#define sipName_labelsChange &sipStrings_QtGraphs[11290]
#define sipNameNr_labelsFormat 11303
#define sipName_labelsFormat &sipStrings_QtGraphs[11303]
#define sipNameNr_labelsMargin 11316
#define sipName_labelsMargin &sipStrings_QtGraphs[11316]
#define sipNameNr_meshRotation 11329
#define sipName_meshRotation &sipStrings_QtGraphs[11329]
#define sipNameNr_modelChanged 11342
#define sipName_modelChanged &sipStrings_QtGraphs[11342]
#define sipNameNr_populateCopy 11355
#define sipName_populateCopy &sipStrings_QtGraphs[11355]
#define sipNameNr_rangeChanged 11368
#define sipName_rangeChanged &sipStrings_QtGraphs[11368]
#define sipNameNr_removeLabels 11381
#define sipName_removeLabels &sipStrings_QtGraphs[11381]
#define sipNameNr_rotationRole 11394
#define sipName_rotationRole &sipStrings_QtGraphs[11394]
#define sipNameNr_rowsInserted 11407
#define sipName_rowsInserted &sipStrings_QtGraphs[11407]
#define sipNameNr_segmentCount 11420
#define sipName_segmentCount &sipStrings_QtGraphs[11420]
#define sipNameNr_selectPoints 9609
#define sipName_selectPoints &sipStrings_QtGraphs[9609]
#define sipNameNr_selectedBars 11433
#define sipName_selectedBars &sipStrings_QtGraphs[11433]
#define sipNameNr_selectedItem 11446
#define sipName_selectedItem &sipStrings_QtGraphs[11446]
#define sipNameNr_seriesColors 11459
#define sipName_seriesColors &sipStrings_QtGraphs[11459]
#define sipNameNr_setAllowZero 11472
#define sipName_setAllowZero &sipStrings_QtGraphs[11472]
#define sipNameNr_setBaseColor 11485
#define sipName_setBaseColor &sipStrings_QtGraphs[11485]
#define sipNameNr_setDataArray 11498
#define sipName_setDataArray &sipStrings_QtGraphs[11498]
#define sipNameNr_setDataProxy 11511
#define sipName_setDataProxy &sipStrings_QtGraphs[11511]
#define sipNameNr_setDraggable 11524
#define sipName_setDraggable &sipStrings_QtGraphs[11524]
#define sipNameNr_setFormatter 11537
#define sipName_setFormatter &sipStrings_QtGraphs[11537]
#define sipNameNr_setHeightMap 11550
#define sipName_setHeightMap &sipStrings_QtGraphs[11550]
#define sipNameNr_setHoverable 11563
#define sipName_setHoverable &sipStrings_QtGraphs[11563]
#define sipNameNr_setItemModel 11576
#define sipName_setItemModel &sipStrings_QtGraphs[11576]
#define sipNameNr_setLabelFont 11589
#define sipName_setLabelFont &sipStrings_QtGraphs[11589]
#define sipNameNr_setMainColor 11602
#define sipName_setMainColor &sipStrings_QtGraphs[11602]
#define sipNameNr_setMainWidth 11615
#define sipName_setMainWidth &sipStrings_QtGraphs[11615]
#define sipNameNr_setMaxXValue 11628
#define sipName_setMaxXValue &sipStrings_QtGraphs[11628]
#define sipNameNr_setMaxYValue 11641
#define sipName_setMaxYValue &sipStrings_QtGraphs[11641]
#define sipNameNr_setMaxZValue 11654
#define sipName_setMaxZValue &sipStrings_QtGraphs[11654]
#define sipNameNr_setMeshAngle 11667
#define sipName_setMeshAngle &sipStrings_QtGraphs[11667]
#define sipNameNr_setMinXValue 11680
#define sipName_setMinXValue &sipStrings_QtGraphs[11680]
#define sipNameNr_setMinYValue 11693
#define sipName_setMinYValue &sipStrings_QtGraphs[11693]
#define sipNameNr_setMinZValue 11706
#define sipName_setMinZValue &sipStrings_QtGraphs[11706]
#define sipNameNr_setRowColors 11719
#define sipName_setRowColors &sipStrings_QtGraphs[11719]
#define sipNameNr_setRowLabels 11732
#define sipName_setRowLabels &sipStrings_QtGraphs[11732]
#define sipNameNr_setTextColor 11745
#define sipName_setTextColor &sipStrings_QtGraphs[11745]
#define sipNameNr_setTitleFont 11758
#define sipName_setTitleFont &sipStrings_QtGraphs[11758]
#define sipNameNr_setTitleText 11771
#define sipName_setTitleText &sipStrings_QtGraphs[11771]
#define sipNameNr_setValueRole 11784
#define sipName_setValueRole &sipStrings_QtGraphs[11784]
#define sipNameNr_subTickCount 11797
#define sipName_subTickCount &sipStrings_QtGraphs[11797]
#define sipNameNr_textureDepth 11810
#define sipName_textureDepth &sipStrings_QtGraphs[11810]
#define sipNameNr_textureWidth 11823
#define sipName_textureWidth &sipStrings_QtGraphs[11823]
#define sipNameNr_themeChanged 11836
#define sipName_themeChanged &sipStrings_QtGraphs[11836]
#define sipNameNr_tickInterval 11849
#define sipName_tickInterval &sipStrings_QtGraphs[11849]
#define sipNameNr_titleChanged 11862
#define sipName_titleChanged &sipStrings_QtGraphs[11862]
#define sipNameNr_valueChanged 11875
#define sipName_valueChanged &sipStrings_QtGraphs[11875]
#define sipNameNr_valueRemoved 11888
#define sipName_valueRemoved &sipStrings_QtGraphs[11888]
#define sipNameNr_widthChanged 11901
#define sipName_widthChanged &sipStrings_QtGraphs[11901]
#define sipNameNr_BarCategory 11914
#define sipName_BarCategory &sipStrings_QtGraphs[11914]
#define sipNameNr_BehindBelow 11926
#define sipName_BehindBelow &sipStrings_QtGraphs[11926]
#define sipNameNr_ColorScheme 1269
#define sipName_ColorScheme &sipStrings_QtGraphs[1269]
#define sipNameNr_CumulativeY 11938
#define sipName_CumulativeY &sipStrings_QtGraphs[11938]
#define sipNameNr_DrawSurface 11950
#define sipName_DrawSurface &sipStrings_QtGraphs[11950]
#define sipNameNr_ElementType 2251
#define sipName_ElementType &sipStrings_QtGraphs[2251]
#define sipNameNr_MultiSeries 11962
#define sipName_MultiSeries &sipStrings_QtGraphs[11962]
#define sipNameNr_QAreaSeries 11974
#define sipName_QAreaSeries &sipStrings_QtGraphs[11974]
#define sipNameNr_QGraphsLine 11986
#define sipName_QGraphsLine &sipStrings_QtGraphs[11986]
#define sipNameNr_QLegendData 11998
#define sipName_QLegendData &sipStrings_QtGraphs[11998]
#define sipNameNr_QLineSeries 12010
#define sipName_QLineSeries &sipStrings_QtGraphs[12010]
#define sipNameNr_QtGreenNeon 12022
#define sipName_QtGreenNeon &sipStrings_QtGraphs[12022]
#define sipNameNr_UserDefined 12034
#define sipName_UserDefined &sipStrings_QtGraphs[12034]
#define sipNameNr___getitem__ 12046
#define sipName___getitem__ &sipStrings_QtGraphs[12046]
#define sipNameNr_autoSubGrid 12058
#define sipName_autoSubGrid &sipStrings_QtGraphs[12058]
#define sipNameNr_barDelegate 12070
#define sipName_barDelegate &sipStrings_QtGraphs[12070]
#define sipNameNr_baseChanged 12082
#define sipName_baseChanged &sipStrings_QtGraphs[12082]
#define sipNameNr_borderColor 12094
#define sipName_borderColor &sipStrings_QtGraphs[12094]
#define sipNameNr_borderWidth 12106
#define sipName_borderWidth &sipStrings_QtGraphs[12106]
#define sipNameNr_colorScheme 12118
#define sipName_colorScheme &sipStrings_QtGraphs[12118]
#define sipNameNr_columnCount 12130
#define sipName_columnCount &sipStrings_QtGraphs[12130]
#define sipNameNr_customEvent 12142
#define sipName_customEvent &sipStrings_QtGraphs[12142]
#define sipNameNr_deselectBar 12154
#define sipName_deselectBar &sipStrings_QtGraphs[12154]
#define sipNameNr_eventFilter 12166
#define sipName_eventFilter &sipStrings_QtGraphs[12166]
#define sipNameNr_fontChanged 12178
#define sipName_fontChanged &sipStrings_QtGraphs[12178]
#define sipNameNr_gridChanged 12190
#define sipName_gridChanged &sipStrings_QtGraphs[12190]
#define sipNameNr_insertItems 12202
#define sipName_insertItems &sipStrings_QtGraphs[12202]
#define sipNameNr_isDraggable 12214
#define sipName_isDraggable &sipStrings_QtGraphs[12214]
#define sipNameNr_isHoverable 12226
#define sipName_isHoverable &sipStrings_QtGraphs[12226]
#define sipNameNr_itemChanged 12238
#define sipName_itemChanged &sipStrings_QtGraphs[12238]
#define sipNameNr_labelFormat 12250
#define sipName_labelFormat &sipStrings_QtGraphs[12250]
#define sipNameNr_labelsAngle 12262
#define sipName_labelsAngle &sipStrings_QtGraphs[12262]
#define sipNameNr_lowerSeries 12274
#define sipName_lowerSeries &sipStrings_QtGraphs[12274]
#define sipNameNr_meshChanged 12286
#define sipName_meshChanged &sipStrings_QtGraphs[12286]
#define sipNameNr_nameChanged 12298
#define sipName_nameChanged &sipStrings_QtGraphs[12298]
#define sipNameNr_orientation 12310
#define sipName_orientation &sipStrings_QtGraphs[12310]
#define sipNameNr_recalculate 12322
#define sipName_recalculate &sipStrings_QtGraphs[12322]
#define sipNameNr_removeItems 12334
#define sipName_removeItems &sipStrings_QtGraphs[12334]
#define sipNameNr_renderSlice 12346
#define sipName_renderSlice &sipStrings_QtGraphs[12346]
#define sipNameNr_rowsChanged 12358
#define sipName_rowsChanged &sipStrings_QtGraphs[12358]
#define sipNameNr_rowsRemoved 12370
#define sipName_rowsRemoved &sipStrings_QtGraphs[12370]
#define sipNameNr_selectPoint 10422
#define sipName_selectPoint &sipStrings_QtGraphs[10422]
#define sipNameNr_selectedBar 12382
#define sipName_selectedBar &sipStrings_QtGraphs[12382]
#define sipNameNr_setBarWidth 12394
#define sipName_setBarWidth &sipStrings_QtGraphs[12394]
#define sipNameNr_setBarsType 12406
#define sipName_setBarsType &sipStrings_QtGraphs[12406]
#define sipNameNr_setCapStyle 12418
#define sipName_setCapStyle &sipStrings_QtGraphs[12418]
#define sipNameNr_setDrawMode 12430
#define sipName_setDrawMode &sipStrings_QtGraphs[12430]
#define sipNameNr_setEndAngle 12442
#define sipName_setEndAngle &sipStrings_QtGraphs[12442]
#define sipNameNr_setExploded 12454
#define sipName_setExploded &sipStrings_QtGraphs[12454]
#define sipNameNr_setHoleSize 12466
#define sipName_setHoleSize &sipStrings_QtGraphs[12466]
#define sipNameNr_setItemSize 12478
#define sipName_setItemSize &sipStrings_QtGraphs[12478]
#define sipNameNr_setMeshFile 12490
#define sipName_setMeshFile &sipStrings_QtGraphs[12490]
#define sipNameNr_setPosition 12502
#define sipName_setPosition &sipStrings_QtGraphs[12502]
#define sipNameNr_setReversed 12514
#define sipName_setReversed &sipStrings_QtGraphs[12514]
#define sipNameNr_setRotation 12526
#define sipName_setRotation &sipStrings_QtGraphs[12526]
#define sipNameNr_setSelected 12538
#define sipName_setSelected &sipStrings_QtGraphs[12538]
#define sipNameNr_setSubColor 12550
#define sipName_setSubColor &sipStrings_QtGraphs[12550]
#define sipNameNr_setSubWidth 12562
#define sipName_setSubWidth &sipStrings_QtGraphs[12562]
#define sipNameNr_setXPosRole 12574
#define sipName_setXPosRole &sipStrings_QtGraphs[12574]
#define sipNameNr_setXSection 12586
#define sipName_setXSection &sipStrings_QtGraphs[12586]
#define sipNameNr_setYPosRole 12598
#define sipName_setYPosRole &sipStrings_QtGraphs[12598]
#define sipNameNr_setYSection 12610
#define sipName_setYSection &sipStrings_QtGraphs[12610]
#define sipNameNr_setZPosRole 12622
#define sipName_setZPosRole &sipStrings_QtGraphs[12622]
#define sipNameNr_sliceIndexX 12634
#define sipName_sliceIndexX &sipStrings_QtGraphs[12634]
#define sipNameNr_sliceIndexY 12646
#define sipName_sliceIndexY &sipStrings_QtGraphs[12646]
#define sipNameNr_sliceIndexZ 12658
#define sipName_sliceIndexZ &sipStrings_QtGraphs[12658]
#define sipNameNr_textChanged 12670
#define sipName_textChanged &sipStrings_QtGraphs[12670]
#define sipNameNr_textureData 12682
#define sipName_textureData &sipStrings_QtGraphs[12682]
#define sipNameNr_textureFile 12694
#define sipName_textureFile &sipStrings_QtGraphs[12694]
#define sipNameNr_titleOffset 12706
#define sipName_titleOffset &sipStrings_QtGraphs[12706]
#define sipNameNr_updatedBars 12718
#define sipName_updatedBars &sipStrings_QtGraphs[12718]
#define sipNameNr_upperSeries 12730
#define sipName_upperSeries &sipStrings_QtGraphs[12730]
#define sipNameNr_valuesAdded 12742
#define sipName_valuesAdded &sipStrings_QtGraphs[12742]
#define sipNameNr_AxisXLabel 12754
#define sipName_AxisXLabel &sipStrings_QtGraphs[12754]
#define sipNameNr_AxisYLabel 12765
#define sipName_AxisYLabel &sipStrings_QtGraphs[12765]
#define sipNameNr_AxisZLabel 12776
#define sipName_AxisZLabel &sipStrings_QtGraphs[12776]
#define sipNameNr_BehindHigh 12787
#define sipName_BehindHigh &sipStrings_QtGraphs[12787]
#define sipNameNr_BlueSeries 12798
#define sipName_BlueSeries &sipStrings_QtGraphs[12798]
#define sipNameNr_ColorStyle 1685
#define sipName_ColorStyle &sipStrings_QtGraphs[1685]
#define sipNameNr_Cumulative 12809
#define sipName_Cumulative &sipStrings_QtGraphs[12809]
#define sipNameNr_CustomItem 12820
#define sipName_CustomItem &sipStrings_QtGraphs[12820]
#define sipNameNr_FrontBelow 12831
#define sipName_FrontBelow &sipStrings_QtGraphs[12831]
#define sipNameNr_GreySeries 12842
#define sipName_GreySeries &sipStrings_QtGraphs[12842]
#define sipNameNr_InsideBase 12853
#define sipName_InsideBase &sipStrings_QtGraphs[12853]
#define sipNameNr_ItemAndRow 12864
#define sipName_ItemAndRow &sipStrings_QtGraphs[12864]
#define sipNameNr_OutsideEnd 12875
#define sipName_OutsideEnd &sipStrings_QtGraphs[12875]
#define sipNameNr_QBarSeries 12886
#define sipName_QBarSeries &sipStrings_QtGraphs[12886]
#define sipNameNr_QPieSeries 12897
#define sipName_QPieSeries &sipStrings_QtGraphs[12897]
#define sipNameNr_QValueAxis 12908
#define sipName_QValueAxis &sipStrings_QtGraphs[12908]
#define sipNameNr_QtGraphs3D 12919
#define sipName_QtGraphs3D &sipStrings_QtGraphs[12919]
#define sipNameNr_RightBelow 12930
#define sipName_RightBelow &sipStrings_QtGraphs[12930]
#define sipNameNr_SeriesType 405
#define sipName_SeriesType &sipStrings_QtGraphs[405]
#define sipNameNr_SoftMedium 12941
#define sipName_SoftMedium &sipStrings_QtGraphs[12941]
#define sipNameNr___lshift__ 12952
#define sipName___lshift__ &sipStrings_QtGraphs[12952]
#define sipNameNr_arrayReset 12963
#define sipName_arrayReset &sipStrings_QtGraphs[12963]
#define sipNameNr_autoScaleY 12974
#define sipName_autoScaleY &sipStrings_QtGraphs[12974]
#define sipNameNr_categories 12985
#define sipName_categories &sipStrings_QtGraphs[12985]
#define sipNameNr_childEvent 12996
#define sipName_childEvent &sipStrings_QtGraphs[12996]
#define sipNameNr_classBegin 13007
#define sipName_classBegin &sipStrings_QtGraphs[13007]
#define sipNameNr_clearArray 13018
#define sipName_clearArray &sipStrings_QtGraphs[13018]
#define sipNameNr_colorStyle 13029
#define sipName_colorStyle &sipStrings_QtGraphs[13029]
#define sipNameNr_colorTable 13040
#define sipName_colorTable &sipStrings_QtGraphs[13040]
#define sipNameNr_columnRole 13051
#define sipName_columnRole &sipStrings_QtGraphs[13051]
#define sipNameNr_drawSlices 13062
#define sipName_drawSlices &sipStrings_QtGraphs[13062]
#define sipNameNr_hoverEnter 13073
#define sipName_hoverEnter &sipStrings_QtGraphs[13073]
#define sipNameNr_insertItem 13084
#define sipName_insertItem &sipStrings_QtGraphs[13084]
#define sipNameNr_insertRows 13095
#define sipName_insertRows &sipStrings_QtGraphs[13095]
#define sipNameNr_isExploded 13106
#define sipName_isExploded &sipStrings_QtGraphs[13106]
#define sipNameNr_isSelected 13117
#define sipName_isSelected &sipStrings_QtGraphs[13117]
#define sipNameNr_itemsAdded 13128
#define sipName_itemsAdded &sipStrings_QtGraphs[13128]
#define sipNameNr_labelColor 13139
#define sipName_labelColor &sipStrings_QtGraphs[13139]
#define sipNameNr_legendData 13150
#define sipName_legendData &sipStrings_QtGraphs[13150]
#define sipNameNr_maxChanged 13161
#define sipName_maxChanged &sipStrings_QtGraphs[13161]
#define sipNameNr_minChanged 13172
#define sipName_minChanged &sipStrings_QtGraphs[13172]
#define sipNameNr_percentage 13183
#define sipName_percentage &sipStrings_QtGraphs[13183]
#define sipNameNr_positionAt 13194
#define sipName_positionAt &sipStrings_QtGraphs[13194]
#define sipNameNr_removeRows 13205
#define sipName_removeRows &sipStrings_QtGraphs[13205]
#define sipNameNr_resetArray 13216
#define sipName_resetArray &sipStrings_QtGraphs[13216]
#define sipNameNr_selectBars 11175
#define sipName_selectBars &sipStrings_QtGraphs[11175]
#define sipNameNr_setOpacity 13227
#define sipName_setOpacity &sipStrings_QtGraphs[13227]
#define sipNameNr_setPieSize 13238
#define sipName_setPieSize &sipStrings_QtGraphs[13238]
#define sipNameNr_setRowRole 13249
#define sipName_setRowRole &sipStrings_QtGraphs[13249]
#define sipNameNr_setScaling 13260
#define sipName_setScaling &sipStrings_QtGraphs[13260]
#define sipNameNr_setShading 13271
#define sipName_setShading &sipStrings_QtGraphs[13271]
#define sipNameNr_setTexture 13282
#define sipName_setTexture &sipStrings_QtGraphs[13282]
#define sipNameNr_setVisible 13293
#define sipName_setVisible &sipStrings_QtGraphs[13293]
#define sipNameNr_startAngle 13304
#define sipName_startAngle &sipStrings_QtGraphs[13304]
#define sipNameNr_sumChanged 13315
#define sipName_sumChanged &sipStrings_QtGraphs[13315]
#define sipNameNr_tickAnchor 13326
#define sipName_tickAnchor &sipStrings_QtGraphs[13326]
#define sipNameNr_timerEvent 13337
#define sipName_timerEvent &sipStrings_QtGraphs[13337]
#define sipNameNr_titleColor 13348
#define sipName_titleColor &sipStrings_QtGraphs[13348]
#define sipNameNr_valueAdded 13359
#define sipName_valueAdded &sipStrings_QtGraphs[13359]
#define sipNameNr_Automatic 13370
#define sipName_Automatic &sipStrings_QtGraphs[13370]
#define sipNameNr_BehindLow 13380
#define sipName_BehindLow &sipStrings_QtGraphs[13380]
#define sipNameNr_BevelCube 13390
#define sipName_BevelCube &sipStrings_QtGraphs[13390]
#define sipNameNr_FrontHigh 13400
#define sipName_FrontHigh &sipStrings_QtGraphs[13400]
#define sipNameNr_InsideEnd 13410
#define sipName_InsideEnd &sipStrings_QtGraphs[13410]
#define sipNameNr_LeftBelow 13420
#define sipName_LeftBelow &sipStrings_QtGraphs[13420]
#define sipNameNr_MixSeries 13430
#define sipName_MixSeries &sipStrings_QtGraphs[13430]
#define sipNameNr_QPieSlice 13440
#define sipName_QPieSlice &sipStrings_QtGraphs[13440]
#define sipNameNr_QXYSeries 13450
#define sipName_QXYSeries &sipStrings_QtGraphs[13450]
#define sipNameNr_RightHigh 5392
#define sipName_RightHigh &sipStrings_QtGraphs[5392]
#define sipNameNr_allowZero 13460
#define sipName_allowZero &sipStrings_QtGraphs[13460]
#define sipNameNr_angleSpan 13470
#define sipName_angleSpan &sipStrings_QtGraphs[13470]
#define sipNameNr_baseColor 13480
#define sipName_baseColor &sipStrings_QtGraphs[13480]
#define sipNameNr_dataArray 13490
#define sipName_dataArray &sipStrings_QtGraphs[13490]
#define sipNameNr_dataProxy 13500
#define sipName_dataProxy &sipStrings_QtGraphs[13500]
#define sipNameNr_formatter 13510
#define sipName_formatter &sipStrings_QtGraphs[13510]
#define sipNameNr_heightMap 13520
#define sipName_heightMap &sipStrings_QtGraphs[13520]
#define sipNameNr_hoverExit 13530
#define sipName_hoverExit &sipStrings_QtGraphs[13530]
#define sipNameNr_insertRow 13540
#define sipName_insertRow &sipStrings_QtGraphs[13540]
#define sipNameNr_isVisible 13550
#define sipName_isVisible &sipStrings_QtGraphs[13550]
#define sipNameNr_itemCount 13560
#define sipName_itemCount &sipStrings_QtGraphs[13560]
#define sipNameNr_itemLabel 13570
#define sipName_itemLabel &sipStrings_QtGraphs[13570]
#define sipNameNr_itemModel 13580
#define sipName_itemModel &sipStrings_QtGraphs[13580]
#define sipNameNr_labelFont 13590
#define sipName_labelFont &sipStrings_QtGraphs[13590]
#define sipNameNr_mainColor 13600
#define sipName_mainColor &sipStrings_QtGraphs[13600]
#define sipNameNr_mainWidth 13610
#define sipName_mainWidth &sipStrings_QtGraphs[13610]
#define sipNameNr_markDirty 13620
#define sipName_markDirty &sipStrings_QtGraphs[13620]
#define sipNameNr_maxXValue 13630
#define sipName_maxXValue &sipStrings_QtGraphs[13630]
#define sipNameNr_maxYValue 13640
#define sipName_maxYValue &sipStrings_QtGraphs[13640]
#define sipNameNr_maxZValue 13650
#define sipName_maxZValue &sipStrings_QtGraphs[13650]
#define sipNameNr_meshAngle 13660
#define sipName_meshAngle &sipStrings_QtGraphs[13660]
#define sipNameNr_minXValue 13670
#define sipName_minXValue &sipStrings_QtGraphs[13670]
#define sipNameNr_minYValue 13680
#define sipName_minYValue &sipStrings_QtGraphs[13680]
#define sipNameNr_minZValue 13690
#define sipName_minZValue &sipStrings_QtGraphs[13690]
#define sipNameNr_rowColors 13700
#define sipName_rowColors &sipStrings_QtGraphs[13700]
#define sipNameNr_rowLabels 13710
#define sipName_rowLabels &sipStrings_QtGraphs[13710]
#define sipNameNr_rowsAdded 13720
#define sipName_rowsAdded &sipStrings_QtGraphs[13720]
#define sipNameNr_selectBar 12156
#define sipName_selectBar &sipStrings_QtGraphs[12156]
#define sipNameNr_setLabels 13730
#define sipName_setLabels &sipStrings_QtGraphs[13730]
#define sipNameNr_setLocale 13740
#define sipName_setLocale &sipStrings_QtGraphs[13740]
#define sipNameNr_setSeries 13750
#define sipName_setSeries &sipStrings_QtGraphs[13750]
#define sipNameNr_setValues 13760
#define sipName_setValues &sipStrings_QtGraphs[13760]
#define sipNameNr_textColor 13770
#define sipName_textColor &sipStrings_QtGraphs[13770]
#define sipNameNr_titleFont 13780
#define sipName_titleFont &sipStrings_QtGraphs[13780]
#define sipNameNr_titleText 13790
#define sipName_titleText &sipStrings_QtGraphs[13790]
#define sipNameNr_valueRole 13800
#define sipName_valueRole &sipStrings_QtGraphs[13800]
#define sipNameNr_AxisType 1246
#define sipName_AxisType &sipStrings_QtGraphs[1246]
#define sipNameNr_BarsType 3926
#define sipName_BarsType &sipStrings_QtGraphs[3926]
#define sipNameNr_BevelBar 13810
#define sipName_BevelBar &sipStrings_QtGraphs[13810]
#define sipNameNr_Category 11917
#define sipName_Category &sipStrings_QtGraphs[11917]
#define sipNameNr_Cylinder 13819
#define sipName_Cylinder &sipStrings_QtGraphs[13819]
#define sipNameNr_DataType 526
#define sipName_DataType &sipStrings_QtGraphs[526]
#define sipNameNr_DateTime 13828
#define sipName_DateTime &sipStrings_QtGraphs[13828]
#define sipNameNr_DrawFlag 1058
#define sipName_DrawFlag &sipStrings_QtGraphs[1058]
#define sipNameNr_FrontLow 13837
#define sipName_FrontLow &sipStrings_QtGraphs[13837]
#define sipNameNr_Geometry 13846
#define sipName_Geometry &sipStrings_QtGraphs[13846]
#define sipNameNr_Indirect 13855
#define sipName_Indirect &sipStrings_QtGraphs[13855]
#define sipNameNr_LeftHigh 6341
#define sipName_LeftHigh &sipStrings_QtGraphs[6341]
#define sipNameNr_NoPreset 13864
#define sipName_NoPreset &sipStrings_QtGraphs[13864]
#define sipNameNr_Q3DScene 13873
#define sipName_Q3DScene &sipStrings_QtGraphs[13873]
#define sipNameNr_RightLow 13882
#define sipName_RightLow &sipStrings_QtGraphs[13882]
#define sipNameNr_SoftHigh 13891
#define sipName_SoftHigh &sipStrings_QtGraphs[13891]
#define sipNameNr_addItems 13900
#define sipName_addItems &sipStrings_QtGraphs[13900]
#define sipNameNr_barWidth 13909
#define sipName_barWidth &sipStrings_QtGraphs[13909]
#define sipNameNr_barsType 13918
#define sipName_barsType &sipStrings_QtGraphs[13918]
#define sipNameNr_capStyle 13927
#define sipName_capStyle &sipStrings_QtGraphs[13927]
#define sipNameNr_clearRow 13936
#define sipName_clearRow &sipStrings_QtGraphs[13936]
#define sipNameNr_colCount 13945
#define sipName_colCount &sipStrings_QtGraphs[13945]
#define sipNameNr_drawMode 13954
#define sipName_drawMode &sipStrings_QtGraphs[13954]
#define sipNameNr_endAngle 13963
#define sipName_endAngle &sipStrings_QtGraphs[13963]
#define sipNameNr_holeSize 13972
#define sipName_holeSize &sipStrings_QtGraphs[13972]
#define sipNameNr_itemSize 13981
#define sipName_itemSize &sipStrings_QtGraphs[13981]
#define sipNameNr_meshFile 13990
#define sipName_meshFile &sipStrings_QtGraphs[13990]
#define sipNameNr_position 13999
#define sipName_position &sipStrings_QtGraphs[13999]
#define sipNameNr_replaced 14008
#define sipName_replaced &sipStrings_QtGraphs[14008]
#define sipNameNr_reversed 14017
#define sipName_reversed &sipStrings_QtGraphs[14017]
#define sipNameNr_rotation 14026
#define sipName_rotation &sipStrings_QtGraphs[14026]
#define sipNameNr_rowCount 14035
#define sipName_rowCount &sipStrings_QtGraphs[14035]
#define sipNameNr_setAxisX 14044
#define sipName_setAxisX &sipStrings_QtGraphs[14044]
#define sipNameNr_setAxisY 14053
#define sipName_setAxisY &sipStrings_QtGraphs[14053]
#define sipNameNr_setAxisZ 14062
#define sipName_setAxisZ &sipStrings_QtGraphs[14062]
#define sipNameNr_setColor 14071
#define sipName_setColor &sipStrings_QtGraphs[14071]
#define sipNameNr_setCount 14080
#define sipName_setCount &sipStrings_QtGraphs[14080]
#define sipNameNr_setFirst 14089
#define sipName_setFirst &sipStrings_QtGraphs[14089]
#define sipNameNr_setItems 14098
#define sipName_setItems &sipStrings_QtGraphs[14098]
#define sipNameNr_setLabel 14107
#define sipName_setLabel &sipStrings_QtGraphs[14107]
#define sipNameNr_setModel 14116
#define sipName_setModel &sipStrings_QtGraphs[14116]
#define sipNameNr_setRange 14125
#define sipName_setRange &sipStrings_QtGraphs[14125]
#define sipNameNr_setTheme 14134
#define sipName_setTheme &sipStrings_QtGraphs[14134]
#define sipNameNr_setTitle 14143
#define sipName_setTitle &sipStrings_QtGraphs[14143]
#define sipNameNr_setValue 14152
#define sipName_setValue &sipStrings_QtGraphs[14152]
#define sipNameNr_setWidth 14161
#define sipName_setWidth &sipStrings_QtGraphs[14161]
#define sipNameNr_subColor 14170
#define sipName_subColor &sipStrings_QtGraphs[14170]
#define sipNameNr_subWidth 14179
#define sipName_subWidth &sipStrings_QtGraphs[14179]
#define sipNameNr_viewport 14188
#define sipName_viewport &sipStrings_QtGraphs[14188]
#define sipNameNr_xPosRole 14197
#define sipName_xPosRole &sipStrings_QtGraphs[14197]
#define sipNameNr_xSection 14206
#define sipName_xSection &sipStrings_QtGraphs[14206]
#define sipNameNr_yPosRole 14215
#define sipName_yPosRole &sipStrings_QtGraphs[14215]
#define sipNameNr_ySection 14224
#define sipName_ySection &sipStrings_QtGraphs[14224]
#define sipNameNr_zPosRole 14233
#define sipName_zPosRole &sipStrings_QtGraphs[14233]
#define sipNameNr_Average 14242
#define sipName_Average &sipStrings_QtGraphs[14242]
#define sipNameNr_Default 14250
#define sipName_Default &sipStrings_QtGraphs[14250]
#define sipNameNr_LeftLow 14258
#define sipName_LeftLow &sipStrings_QtGraphs[14258]
#define sipNameNr_Minimal 14266
#define sipName_Minimal &sipStrings_QtGraphs[14266]
#define sipNameNr_Outside 14274
#define sipName_Outside &sipStrings_QtGraphs[14274]
#define sipNameNr_Pyramid 14282
#define sipName_Pyramid &sipStrings_QtGraphs[14282]
#define sipNameNr_QBarSet 14290
#define sipName_QBarSet &sipStrings_QtGraphs[14290]
#define sipNameNr_QtGreen 14298
#define sipName_QtGreen &sipStrings_QtGraphs[14298]
#define sipNameNr_Scatter 14306
#define sipName_Scatter &sipStrings_QtGraphs[14306]
#define sipNameNr_Shading 1299
#define sipName_Shading &sipStrings_QtGraphs[1299]
#define sipNameNr_SoftLow 14314
#define sipName_SoftLow &sipStrings_QtGraphs[14314]
#define sipNameNr_Stacked 14322
#define sipName_Stacked &sipStrings_QtGraphs[14322]
#define sipNameNr_Surface 11954
#define sipName_Surface &sipStrings_QtGraphs[11954]
#define sipNameNr_Uniform 14330
#define sipName_Uniform &sipStrings_QtGraphs[14330]
#define sipNameNr___len__ 14338
#define sipName___len__ &sipStrings_QtGraphs[14338]
#define sipNameNr_addItem 14346
#define sipName_addItem &sipStrings_QtGraphs[14346]
#define sipNameNr_addRows 14354
#define sipName_addRows &sipStrings_QtGraphs[14354]
#define sipNameNr_barSets 14362
#define sipName_barSets &sipStrings_QtGraphs[14362]
#define sipNameNr_isEmpty 14370
#define sipName_isEmpty &sipStrings_QtGraphs[14370]
#define sipNameNr_opacity 14378
#define sipName_opacity &sipStrings_QtGraphs[14378]
#define sipNameNr_pieSize 14386
#define sipName_pieSize &sipStrings_QtGraphs[14386]
#define sipNameNr_removed 14394
#define sipName_removed &sipStrings_QtGraphs[14394]
#define sipNameNr_replace 14402
#define sipName_replace &sipStrings_QtGraphs[14402]
#define sipNameNr_rowRole 14410
#define sipName_rowRole &sipStrings_QtGraphs[14410]
#define sipNameNr_scaling 14418
#define sipName_scaling &sipStrings_QtGraphs[14418]
#define sipNameNr_setBase 14426
#define sipName_setBase &sipStrings_QtGraphs[14426]
#define sipNameNr_setFont 14434
#define sipName_setFont &sipStrings_QtGraphs[14434]
#define sipNameNr_setGrid 14442
#define sipName_setGrid &sipStrings_QtGraphs[14442]
#define sipNameNr_setItem 14450
#define sipName_setItem &sipStrings_QtGraphs[14450]
#define sipNameNr_setMesh 14458
#define sipName_setMesh &sipStrings_QtGraphs[14458]
#define sipNameNr_setName 14466
#define sipName_setName &sipStrings_QtGraphs[14466]
#define sipNameNr_setRows 14474
#define sipName_setRows &sipStrings_QtGraphs[14474]
#define sipNameNr_setText 14482
#define sipName_setText &sipStrings_QtGraphs[14482]
#define sipNameNr_shading 14490
#define sipName_shading &sipStrings_QtGraphs[14490]
#define sipNameNr_texture 14498
#define sipName_texture &sipStrings_QtGraphs[14498]
#define sipNameNr_valueAt 14506
#define sipName_valueAt &sipStrings_QtGraphs[14506]
#define sipNameNr_visible 14514
#define sipName_visible &sipStrings_QtGraphs[14514]
#define sipNameNr_Behind 14522
#define sipName_Behind &sipStrings_QtGraphs[14522]
#define sipNameNr_Center 14529
#define sipName_Center &sipStrings_QtGraphs[14529]
#define sipNameNr_Column 7186
#define sipName_Column &sipStrings_QtGraphs[7186]
#define sipNameNr_Groups 14536
#define sipName_Groups &sipStrings_QtGraphs[14536]
#define sipNameNr_Legacy 14543
#define sipName_Legacy &sipStrings_QtGraphs[14543]
#define sipNameNr_Medium 12945
#define sipName_Medium &sipStrings_QtGraphs[12945]
#define sipNameNr_Series 6361
#define sipName_Series &sipStrings_QtGraphs[6361]
#define sipNameNr_Shader 5158
#define sipName_Shader &sipStrings_QtGraphs[5158]
#define sipNameNr_Smooth 10791
#define sipName_Smooth &sipStrings_QtGraphs[10791]
#define sipNameNr_Sphere 14550
#define sipName_Sphere &sipStrings_QtGraphs[14550]
#define sipNameNr_Spline 14557
#define sipName_Spline &sipStrings_QtGraphs[14557]
#define sipNameNr___eq__ 14564
#define sipName___eq__ &sipStrings_QtGraphs[14564]
#define sipNameNr___ne__ 14571
#define sipName___ne__ &sipStrings_QtGraphs[14571]
#define sipNameNr_addRow 14578
#define sipName_addRow &sipStrings_QtGraphs[14578]
#define sipNameNr_append 14585
#define sipName_append &sipStrings_QtGraphs[14585]
#define sipNameNr_insert 14592
#define sipName_insert &sipStrings_QtGraphs[14592]
#define sipNameNr_itemAt 14599
#define sipName_itemAt &sipStrings_QtGraphs[14599]
#define sipNameNr_labels 14606
#define sipName_labels &sipStrings_QtGraphs[14606]
#define sipNameNr_locale 14613
#define sipName_locale &sipStrings_QtGraphs[14613]
#define sipNameNr_parent 14620
#define sipName_parent &sipStrings_QtGraphs[14620]
#define sipNameNr_points 14627
#define sipName_points &sipStrings_QtGraphs[14627]
#define sipNameNr_remove 14634
#define sipName_remove &sipStrings_QtGraphs[14634]
#define sipNameNr_series 14641
#define sipName_series &sipStrings_QtGraphs[14641]
#define sipNameNr_setMax 14648
#define sipName_setMax &sipStrings_QtGraphs[14648]
#define sipNameNr_setMin 14655
#define sipName_setMin &sipStrings_QtGraphs[14655]
#define sipNameNr_setRow 14662
#define sipName_setRow &sipStrings_QtGraphs[14662]
#define sipNameNr_slices 14669
#define sipName_slices &sipStrings_QtGraphs[14669]
#define sipNameNr_update 14676
#define sipName_update &sipStrings_QtGraphs[14676]
#define sipNameNr_values 14683
#define sipName_values &sipStrings_QtGraphs[14683]
#define sipNameNr_Arrow 14690
#define sipName_Arrow &sipStrings_QtGraphs[14690]
#define sipNameNr_First 14092
#define sipName_First &sipStrings_QtGraphs[14092]
#define sipNameNr_Front 14696
#define sipName_Front &sipStrings_QtGraphs[14696]
#define sipNameNr_Light 14702
#define sipName_Light &sipStrings_QtGraphs[14702]
#define sipNameNr_None_ 14708
#define sipName_None_ &sipStrings_QtGraphs[14708]
#define sipNameNr_Point 3512
#define sipName_Point &sipStrings_QtGraphs[3512]
#define sipNameNr_Right 9406
#define sipName_Right &sipStrings_QtGraphs[9406]
#define sipNameNr_Slice 12352
#define sipName_Slice &sipStrings_QtGraphs[12352]
#define sipNameNr_Theme 4599
#define sipName_Theme &sipStrings_QtGraphs[4599]
#define sipNameNr_Value 10201
#define sipName_Value &sipStrings_QtGraphs[10201]
#define sipNameNr_added 14714
#define sipName_added &sipStrings_QtGraphs[14714]
#define sipNameNr_axisX 14720
#define sipName_axisX &sipStrings_QtGraphs[14720]
#define sipNameNr_axisY 14726
#define sipName_axisY &sipStrings_QtGraphs[14726]
#define sipNameNr_axisZ 14732
#define sipName_axisZ &sipStrings_QtGraphs[14732]
#define sipNameNr_clear 14738
#define sipName_clear &sipStrings_QtGraphs[14738]
#define sipNameNr_color 14744
#define sipName_color &sipStrings_QtGraphs[14744]
#define sipNameNr_count 14750
#define sipName_count &sipStrings_QtGraphs[14750]
#define sipNameNr_event 14756
#define sipName_event &sipStrings_QtGraphs[14756]
#define sipNameNr_first 14762
#define sipName_first &sipStrings_QtGraphs[14762]
#define sipNameNr_force 14768
#define sipName_force &sipStrings_QtGraphs[14768]
#define sipNameNr_hover 14774
#define sipName_hover &sipStrings_QtGraphs[14774]
#define sipNameNr_label 14780
#define sipName_label &sipStrings_QtGraphs[14780]
#define sipNameNr_model 14786
#define sipName_model &sipStrings_QtGraphs[14786]
#define sipNameNr_remap 14792
#define sipName_remap &sipStrings_QtGraphs[14792]
#define sipNameNr_rowAt 14798
#define sipName_rowAt &sipStrings_QtGraphs[14798]
#define sipNameNr_theme 14804
#define sipName_theme &sipStrings_QtGraphs[14804]
#define sipNameNr_title 14810
#define sipName_title &sipStrings_QtGraphs[14810]
#define sipNameNr_value 14816
#define sipName_value &sipStrings_QtGraphs[14816]
#define sipNameNr_width 14822
#define sipName_width &sipStrings_QtGraphs[14822]
#define sipNameNr_Area 14828
#define sipName_Area &sipStrings_QtGraphs[14828]
#define sipNameNr_Cone 14833
#define sipName_Cone &sipStrings_QtGraphs[14833]
#define sipNameNr_Cube 13395
#define sipName_Cube &sipStrings_QtGraphs[13395]
#define sipNameNr_Dark 14838
#define sipName_Dark &sipStrings_QtGraphs[14838]
#define sipNameNr_Flat 14843
#define sipName_Flat &sipStrings_QtGraphs[14843]
#define sipNameNr_High 5397
#define sipName_High &sipStrings_QtGraphs[5397]
#define sipNameNr_Item 7239
#define sipName_Item &sipStrings_QtGraphs[7239]
#define sipNameNr_Last 14848
#define sipName_Last &sipStrings_QtGraphs[14848]
#define sipNameNr_Left 10303
#define sipName_Left &sipStrings_QtGraphs[10303]
#define sipNameNr_Line 11993
#define sipName_Line &sipStrings_QtGraphs[11993]
#define sipNameNr_Mesh 2162
#define sipName_Mesh &sipStrings_QtGraphs[2162]
#define sipNameNr_axis 14853
#define sipName_axis &sipStrings_QtGraphs[14853]
#define sipNameNr_base 14858
#define sipName_base &sipStrings_QtGraphs[14858]
#define sipNameNr_find 14863
#define sipName_find &sipStrings_QtGraphs[14863]
#define sipNameNr_font 14868
#define sipName_font &sipStrings_QtGraphs[14868]
#define sipNameNr_grid 14873
#define sipName_grid &sipStrings_QtGraphs[14873]
#define sipNameNr_hide 14878
#define sipName_hide &sipStrings_QtGraphs[14878]
#define sipNameNr_mesh 14883
#define sipName_mesh &sipStrings_QtGraphs[14883]
#define sipNameNr_name 14888
#define sipName_name &sipStrings_QtGraphs[14888]
#define sipNameNr_setX 14893
#define sipName_setX &sipStrings_QtGraphs[14893]
#define sipNameNr_setY 14898
#define sipName_setY &sipStrings_QtGraphs[14898]
#define sipNameNr_setZ 14903
#define sipName_setZ &sipStrings_QtGraphs[14903]
#define sipNameNr_show 14908
#define sipName_show &sipStrings_QtGraphs[14908]
#define sipNameNr_swap 14913
#define sipName_swap &sipStrings_QtGraphs[14913]
#define sipNameNr_take 14918
#define sipName_take &sipStrings_QtGraphs[14918]
#define sipNameNr_text 14923
#define sipName_text &sipStrings_QtGraphs[14923]
#define sipNameNr_type 14928
#define sipName_type &sipStrings_QtGraphs[14928]
#define sipNameNr_Bar 10038
#define sipName_Bar &sipStrings_QtGraphs[10038]
#define sipNameNr_Low 13386
#define sipName_Low &sipStrings_QtGraphs[13386]
#define sipNameNr_Pie 14933
#define sipName_Pie &sipStrings_QtGraphs[14933]
#define sipNameNr_Row 12871
#define sipName_Row &sipStrings_QtGraphs[12871]
#define sipNameNr_max 14937
#define sipName_max &sipStrings_QtGraphs[14937]
#define sipNameNr_min 14941
#define sipName_min &sipStrings_QtGraphs[14941]
#define sipNameNr_sum 14945
#define sipName_sum &sipStrings_QtGraphs[14945]
#define sipNameNr_at 3603
#define sipName_at &sipStrings_QtGraphs[3603]
#define sipNameNr_X 10055
#define sipName_X &sipStrings_QtGraphs[10055]
#define sipNameNr_Y 10070
#define sipName_Y &sipStrings_QtGraphs[10070]
#define sipNameNr_Z 10085
#define sipName_Z &sipStrings_QtGraphs[10085]
#define sipNameNr_x 3494
#define sipName_x &sipStrings_QtGraphs[3494]
#define sipNameNr_y 984
#define sipName_y &sipStrings_QtGraphs[984]
#define sipNameNr_z 14949
#define sipName_z &sipStrings_QtGraphs[14949]

#define sipMalloc                   sipAPI_QtGraphs->api_malloc
#define sipFree                     sipAPI_QtGraphs->api_free
#define sipBuildResult              sipAPI_QtGraphs->api_build_result
#define sipCallMethod               sipAPI_QtGraphs->api_call_method
#define sipCallProcedureMethod      sipAPI_QtGraphs->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtGraphs->api_call_error_handler
#define sipParseResultEx            sipAPI_QtGraphs->api_parse_result_ex
#define sipParseResult              sipAPI_QtGraphs->api_parse_result
#define sipParseArgs                sipAPI_QtGraphs->api_parse_args
#define sipParseKwdArgs             sipAPI_QtGraphs->api_parse_kwd_args
#define sipParsePair                sipAPI_QtGraphs->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtGraphs->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtGraphs->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtGraphs->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtGraphs->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtGraphs->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtGraphs->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtGraphs->api_add_exception
#define sipNoFunction               sipAPI_QtGraphs->api_no_function
#define sipNoMethod                 sipAPI_QtGraphs->api_no_method
#define sipAbstractMethod           sipAPI_QtGraphs->api_abstract_method
#define sipBadClass                 sipAPI_QtGraphs->api_bad_class
#define sipBadCatcherResult         sipAPI_QtGraphs->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtGraphs->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtGraphs->api_bad_operator_arg
#define sipTrace                    sipAPI_QtGraphs->api_trace
#define sipTransferBack             sipAPI_QtGraphs->api_transfer_back
#define sipTransferTo               sipAPI_QtGraphs->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtGraphs->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtGraphs->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtGraphs->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtGraphs->api_voidptr_type
#define sipGetPyObject              sipAPI_QtGraphs->api_get_pyobject
#define sipGetAddress               sipAPI_QtGraphs->api_get_address
#define sipGetMixinAddress          sipAPI_QtGraphs->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtGraphs->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtGraphs->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtGraphs->api_call_hook
#define sipEndThread                sipAPI_QtGraphs->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtGraphs->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtGraphs->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtGraphs->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtGraphs->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtGraphs->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtGraphs->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtGraphs->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtGraphs->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtGraphs->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtGraphs->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtGraphs->api_convert_to_bool
#define sipReleaseType              sipAPI_QtGraphs->api_release_type
#define sipConvertFromType          sipAPI_QtGraphs->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtGraphs->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtGraphs->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtGraphs->api_convert_from_enum
#define sipGetState                 sipAPI_QtGraphs->api_get_state
#define sipExportSymbol             sipAPI_QtGraphs->api_export_symbol
#define sipImportSymbol             sipAPI_QtGraphs->api_import_symbol
#define sipFindType                 sipAPI_QtGraphs->api_find_type
#define sipBytes_AsChar             sipAPI_QtGraphs->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtGraphs->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtGraphs->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtGraphs->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtGraphs->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtGraphs->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtGraphs->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtGraphs->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtGraphs->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtGraphs->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtGraphs->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtGraphs->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtGraphs->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipGetReference             sipAPI_QtGraphs->api_get_reference
#define sipKeepReference            sipAPI_QtGraphs->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtGraphs->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtGraphs->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtGraphs->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtGraphs->api_type_scope
#define sipResolveTypedef           sipAPI_QtGraphs->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtGraphs->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtGraphs->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtGraphs->api_init_mixin
#define sipExportModule             sipAPI_QtGraphs->api_export_module
#define sipInitModule               sipAPI_QtGraphs->api_init_module
#define sipGetInterpreter           sipAPI_QtGraphs->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtGraphs->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtGraphs->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtGraphs->api_py_type_dict
#define sipPyTypeName               sipAPI_QtGraphs->api_py_type_name
#define sipGetCFunction             sipAPI_QtGraphs->api_get_c_function
#define sipGetMethod                sipAPI_QtGraphs->api_get_method
#define sipFromMethod               sipAPI_QtGraphs->api_from_method
#define sipGetDate                  sipAPI_QtGraphs->api_get_date
#define sipFromDate                 sipAPI_QtGraphs->api_from_date
#define sipGetDateTime              sipAPI_QtGraphs->api_get_datetime
#define sipFromDateTime             sipAPI_QtGraphs->api_from_datetime
#define sipGetTime                  sipAPI_QtGraphs->api_get_time
#define sipFromTime                 sipAPI_QtGraphs->api_from_time
#define sipIsUserType               sipAPI_QtGraphs->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtGraphs->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtGraphs->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtGraphs->api_unicode_write
#define sipUnicodeData              sipAPI_QtGraphs->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtGraphs->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtGraphs->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtGraphs->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtGraphs->api_is_derived_class
#define sipGetUserObject            sipAPI_QtGraphs->api_get_user_object
#define sipSetUserObject            sipAPI_QtGraphs->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtGraphs->api_register_event_handler
#define sipConvertToArray           sipAPI_QtGraphs->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtGraphs->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtGraphs->api_enable_gc
#define sipPrintObject              sipAPI_QtGraphs->api_print_object
#define sipLong_AsChar              sipAPI_QtGraphs->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtGraphs->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtGraphs->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtGraphs->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtGraphs->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtGraphs->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtGraphs->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtGraphs->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtGraphs->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtGraphs->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtGraphs->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtGraphs->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtGraphs->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtGraphs->api_register_exit_notifier
#define sipDeprecated               sipAPI_QtGraphs->api_deprecated
#define sipPyTypeDictRef            sipAPI_QtGraphs->api_py_type_dict_ref
#define sipNextExceptionHandler     sipAPI_QtGraphs->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_QtGraphs->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_QtGraphs->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_QtGraphs->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_QtGraphs->api_release_type_us
#define sipIsPyMethod               sipAPI_QtGraphs->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtGraphs[];

#define sipType_Q3DScene sipExportedTypes_QtGraphs[0]

extern sipClassTypeDef sipTypeDef_QtGraphs_Q3DScene;

#define sipType_QAbstract3DAxis sipExportedTypes_QtGraphs[1]

#define sipType_QAbstract3DAxis_AxisType sipExportedTypes_QtGraphs[3]

#define sipType_QAbstract3DAxis_AxisOrientation sipExportedTypes_QtGraphs[2]

extern sipClassTypeDef sipTypeDef_QtGraphs_QAbstract3DAxis;

#define sipType_QAbstract3DSeries sipExportedTypes_QtGraphs[4]

#define sipType_QAbstract3DSeries_Mesh sipExportedTypes_QtGraphs[5]

#define sipType_QAbstract3DSeries_SeriesType sipExportedTypes_QtGraphs[6]

extern sipClassTypeDef sipTypeDef_QtGraphs_QAbstract3DSeries;

#define sipType_QAbstractAxis sipExportedTypes_QtGraphs[7]

#define sipType_QAbstractAxis_AxisType sipExportedTypes_QtGraphs[8]

extern sipClassTypeDef sipTypeDef_QtGraphs_QAbstractAxis;

#define sipType_QAbstractDataProxy sipExportedTypes_QtGraphs[9]

#define sipType_QAbstractDataProxy_DataType sipExportedTypes_QtGraphs[10]

extern sipClassTypeDef sipTypeDef_QtGraphs_QAbstractDataProxy;

#define sipType_QLegendData sipExportedTypes_QtGraphs[41]

extern sipClassTypeDef sipTypeDef_QtGraphs_QLegendData;

#define sipType_QAbstractSeries sipExportedTypes_QtGraphs[11]

#define sipType_QAbstractSeries_SeriesType sipExportedTypes_QtGraphs[12]

extern sipClassTypeDef sipTypeDef_QtGraphs_QAbstractSeries;

#define sipType_QAreaSeries sipExportedTypes_QtGraphs[13]

extern sipClassTypeDef sipTypeDef_QtGraphs_QAreaSeries;

#define sipType_QBar3DSeries sipExportedTypes_QtGraphs[14]

extern sipClassTypeDef sipTypeDef_QtGraphs_QBar3DSeries;

#define sipType_QBarCategoryAxis sipExportedTypes_QtGraphs[15]

extern sipClassTypeDef sipTypeDef_QtGraphs_QBarCategoryAxis;

#define sipType_QBarDataItem sipExportedTypes_QtGraphs[16]

extern sipClassTypeDef sipTypeDef_QtGraphs_QBarDataItem;

#define sipType_QBarDataProxy sipExportedTypes_QtGraphs[17]

extern sipClassTypeDef sipTypeDef_QtGraphs_QBarDataProxy;

#define sipType_QBarModelMapper sipExportedTypes_QtGraphs[18]

extern sipClassTypeDef sipTypeDef_QtGraphs_QBarModelMapper;

#define sipType_QBarSeries sipExportedTypes_QtGraphs[19]

#define sipType_QBarSeries_BarsType sipExportedTypes_QtGraphs[20]

#define sipType_QBarSeries_LabelsPosition sipExportedTypes_QtGraphs[21]

extern sipClassTypeDef sipTypeDef_QtGraphs_QBarSeries;

#define sipType_QBarSet sipExportedTypes_QtGraphs[22]

extern sipClassTypeDef sipTypeDef_QtGraphs_QBarSet;

#define sipType_QCategory3DAxis sipExportedTypes_QtGraphs[23]

extern sipClassTypeDef sipTypeDef_QtGraphs_QCategory3DAxis;

#define sipType_QCustom3DItem sipExportedTypes_QtGraphs[24]

extern sipClassTypeDef sipTypeDef_QtGraphs_QCustom3DItem;

#define sipType_QCustom3DLabel sipExportedTypes_QtGraphs[25]

extern sipClassTypeDef sipTypeDef_QtGraphs_QCustom3DLabel;

#define sipType_QCustom3DVolume sipExportedTypes_QtGraphs[26]

extern sipClassTypeDef sipTypeDef_QtGraphs_QCustom3DVolume;

#define sipType_QDateTimeAxis sipExportedTypes_QtGraphs[27]

extern sipClassTypeDef sipTypeDef_QtGraphs_QDateTimeAxis;

#define sipType_QtGraphs3D sipExportedTypes_QtGraphs[75]

#define sipType_QtGraphs3D_GridLineType sipExportedTypes_QtGraphs[78]

#define sipType_QtGraphs3D_CameraPreset sipExportedTypes_QtGraphs[76]

#define sipType_QtGraphs3D_RenderingMode sipExportedTypes_QtGraphs[80]

#define sipType_QtGraphs3D_OptimizationHint sipExportedTypes_QtGraphs[79]

#define sipType_QtGraphs3D_ElementType sipExportedTypes_QtGraphs[77]

#define sipType_QtGraphs3D_ShadowQuality sipExportedTypes_QtGraphs[82]

#define sipType_QtGraphs3D_SelectionFlag sipExportedTypes_QtGraphs[81]

extern sipClassTypeDef sipTypeDef_QtGraphs_QtGraphs3D;

#define sipType_QGraphsLine sipExportedTypes_QtGraphs[30]

extern sipClassTypeDef sipTypeDef_QtGraphs_QGraphsLine;

#define sipType_QGraphsTheme sipExportedTypes_QtGraphs[31]

#define sipType_QGraphsTheme_ColorScheme sipExportedTypes_QtGraphs[32]

#define sipType_QGraphsTheme_ColorStyle sipExportedTypes_QtGraphs[33]

#define sipType_QGraphsTheme_Theme sipExportedTypes_QtGraphs[34]

extern sipClassTypeDef sipTypeDef_QtGraphs_QGraphsTheme;

#define sipType_QSurfaceDataProxy sipExportedTypes_QtGraphs[69]

extern sipClassTypeDef sipTypeDef_QtGraphs_QSurfaceDataProxy;

#define sipType_QHeightMapSurfaceDataProxy sipExportedTypes_QtGraphs[35]

extern sipClassTypeDef sipTypeDef_QtGraphs_QHeightMapSurfaceDataProxy;

#define sipType_QItemModelBarDataProxy sipExportedTypes_QtGraphs[36]

#define sipType_QItemModelBarDataProxy_MultiMatchBehavior sipExportedTypes_QtGraphs[37]

extern sipClassTypeDef sipTypeDef_QtGraphs_QItemModelBarDataProxy;

#define sipType_QScatterDataProxy sipExportedTypes_QtGraphs[62]

extern sipClassTypeDef sipTypeDef_QtGraphs_QScatterDataProxy;

#define sipType_QItemModelScatterDataProxy sipExportedTypes_QtGraphs[38]

extern sipClassTypeDef sipTypeDef_QtGraphs_QItemModelScatterDataProxy;

#define sipType_QItemModelSurfaceDataProxy sipExportedTypes_QtGraphs[39]

#define sipType_QItemModelSurfaceDataProxy_MultiMatchBehavior sipExportedTypes_QtGraphs[40]

extern sipClassTypeDef sipTypeDef_QtGraphs_QItemModelSurfaceDataProxy;

#define sipType_QXYSeries sipExportedTypes_QtGraphs[74]

extern sipClassTypeDef sipTypeDef_QtGraphs_QXYSeries;

#define sipType_QLineSeries sipExportedTypes_QtGraphs[42]

extern sipClassTypeDef sipTypeDef_QtGraphs_QLineSeries;

#define sipType_QValue3DAxisFormatter sipExportedTypes_QtGraphs[71]

extern sipClassTypeDef sipTypeDef_QtGraphs_QValue3DAxisFormatter;

#define sipType_QLogValue3DAxisFormatter sipExportedTypes_QtGraphs[55]

extern sipClassTypeDef sipTypeDef_QtGraphs_QLogValue3DAxisFormatter;

#define sipType_QPieModelMapper sipExportedTypes_QtGraphs[56]

extern sipClassTypeDef sipTypeDef_QtGraphs_QPieModelMapper;

#define sipType_QPieSeries sipExportedTypes_QtGraphs[57]

extern sipClassTypeDef sipTypeDef_QtGraphs_QPieSeries;

#define sipType_QPieSlice sipExportedTypes_QtGraphs[58]

#define sipType_QPieSlice_LabelPosition sipExportedTypes_QtGraphs[59]

extern sipClassTypeDef sipTypeDef_QtGraphs_QPieSlice;

#define sipType_QScatter3DSeries sipExportedTypes_QtGraphs[60]

extern sipClassTypeDef sipTypeDef_QtGraphs_QScatter3DSeries;

#define sipType_QScatterDataItem sipExportedTypes_QtGraphs[61]

extern sipClassTypeDef sipTypeDef_QtGraphs_QScatterDataItem;

#define sipType_QScatterSeries sipExportedTypes_QtGraphs[63]

extern sipClassTypeDef sipTypeDef_QtGraphs_QScatterSeries;

#define sipType_QSplineSeries sipExportedTypes_QtGraphs[64]

extern sipClassTypeDef sipTypeDef_QtGraphs_QSplineSeries;

#define sipType_QSurface3DSeries sipExportedTypes_QtGraphs[65]

#define sipType_QSurface3DSeries_Shading sipExportedTypes_QtGraphs[67]

#define sipType_QSurface3DSeries_DrawFlag sipExportedTypes_QtGraphs[66]

extern sipClassTypeDef sipTypeDef_QtGraphs_QSurface3DSeries;

#define sipType_QSurfaceDataItem sipExportedTypes_QtGraphs[68]

extern sipClassTypeDef sipTypeDef_QtGraphs_QSurfaceDataItem;

#define sipType_QValue3DAxis sipExportedTypes_QtGraphs[70]

extern sipClassTypeDef sipTypeDef_QtGraphs_QValue3DAxis;

#define sipType_QValueAxis sipExportedTypes_QtGraphs[72]

extern sipClassTypeDef sipTypeDef_QtGraphs_QValueAxis;

#define sipType_QXYModelMapper sipExportedTypes_QtGraphs[73]

extern sipClassTypeDef sipTypeDef_QtGraphs_QXYModelMapper;

#define sipType_QList_0101QPieSlice sipExportedTypes_QtGraphs[51]

extern sipMappedTypeDef sipTypeDef_QtGraphs_QList_0101QPieSlice;

#define sipType_QList_0100QLinearGradient sipExportedTypes_QtGraphs[48]

extern sipMappedTypeDef sipTypeDef_QtGraphs_QList_0100QLinearGradient;

#define sipType_QList_0101QBarSet sipExportedTypes_QtGraphs[44]

extern sipMappedTypeDef sipTypeDef_QtGraphs_QList_0101QBarSet;

#define sipType_QList_0100QColor sipExportedTypes_QtGraphs[45]

extern sipMappedTypeDef sipTypeDef_QtGraphs_QList_0100QColor;

#define sipType_QList_0100QLegendData sipExportedTypes_QtGraphs[47]

extern sipMappedTypeDef sipTypeDef_QtGraphs_QList_0100QLegendData;

#define sipType_QFlags_0100QtGraphs3D_SelectionFlag sipExportedTypes_QtGraphs[29]

extern sipMappedTypeDef sipTypeDef_QtGraphs_QFlags_0100QtGraphs3D_SelectionFlag;

#define sipType_QList_0100QSurfaceDataItem sipExportedTypes_QtGraphs[53]

extern sipMappedTypeDef sipTypeDef_QtGraphs_QList_0100QSurfaceDataItem;

#define sipType_QList_0600QList_0100QSurfaceDataItem sipExportedTypes_QtGraphs[50]

extern sipMappedTypeDef sipTypeDef_QtGraphs_QList_0600QList_0100QSurfaceDataItem;

#define sipType_QFlags_0100QSurface3DSeries_DrawFlag sipExportedTypes_QtGraphs[28]

extern sipMappedTypeDef sipTypeDef_QtGraphs_QFlags_0100QSurface3DSeries_DrawFlag;

#define sipType_QList_0100QScatterDataItem sipExportedTypes_QtGraphs[52]

extern sipMappedTypeDef sipTypeDef_QtGraphs_QList_0100QScatterDataItem;

#define sipType_QList_0100QBarDataItem sipExportedTypes_QtGraphs[43]

extern sipMappedTypeDef sipTypeDef_QtGraphs_QList_0100QBarDataItem;

#define sipType_QList_0600QList_0100QBarDataItem sipExportedTypes_QtGraphs[49]

extern sipMappedTypeDef sipTypeDef_QtGraphs_QList_0600QList_0100QBarDataItem;

#define sipType_QList_1300 sipExportedTypes_QtGraphs[54]

extern sipMappedTypeDef sipTypeDef_QtGraphs_QList_1300;

#define sipType_QList_0101QImage sipExportedTypes_QtGraphs[46]

extern sipMappedTypeDef sipTypeDef_QtGraphs_QList_0101QImage;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtGraphs;
extern sipExportedModuleDef sipModuleAPI_QtGraphs;
extern sipTypeDef *sipExportedTypes_QtGraphs[];

#define sipType_Qt_Axis sipImportedTypes_QtGraphs_QtCore[21].it_td

#define sipType_Qt_PenCapStyle sipImportedTypes_QtGraphs_QtCore[23].it_td

#define sipType_Qt_Orientation sipImportedTypes_QtGraphs_QtCore[22].it_td

#define sipType_QObject sipImportedTypes_QtGraphs_QtCore[12].it_td

#define sipType_QAbstractItemModel sipImportedTypes_QtGraphs_QtCore[0].it_td

#define sipType_QEvent sipImportedTypes_QtGraphs_QtCore[3].it_td

#define sipType_QTimerEvent sipImportedTypes_QtGraphs_QtCore[19].it_td

#define sipType_QChildEvent sipImportedTypes_QtGraphs_QtCore[1].it_td

#define sipType_QDateTime sipImportedTypes_QtGraphs_QtCore[2].it_td

#define sipType_QLocale sipImportedTypes_QtGraphs_QtCore[10].it_td

#define sipType_QMetaMethod sipImportedTypes_QtGraphs_QtCore[11].it_td

#define sipType_QPoint sipImportedTypes_QtGraphs_QtCore[13].it_td

#define sipType_QPointF sipImportedTypes_QtGraphs_QtCore[14].it_td

#define sipType_QRect sipImportedTypes_QtGraphs_QtCore[15].it_td

#define sipType_QRegularExpression sipImportedTypes_QtGraphs_QtCore[16].it_td

#define sipType_QVariant sipImportedTypes_QtGraphs_QtCore[20].it_td

#define sipType_QList_0100QPointF sipImportedTypes_QtGraphs_QtCore[4].it_td

#define sipType_QList_0100QVariant sipImportedTypes_QtGraphs_QtCore[5].it_td

#define sipType_QStringList sipImportedTypes_QtGraphs_QtCore[18].it_td

#define sipType_QList_2400 sipImportedTypes_QtGraphs_QtCore[7].it_td

#define sipType_QList_2200 sipImportedTypes_QtGraphs_QtCore[6].it_td

#define sipType_QList_3800 sipImportedTypes_QtGraphs_QtCore[8].it_td

#define sipType_QList_1900 sipImportedTypes_QtGraphs_QtCore[9].it_td

#define sipType_QString sipImportedTypes_QtGraphs_QtCore[17].it_td
extern sipImportedTypeDef sipImportedTypes_QtGraphs_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtGraphs_QtCore[];

#define sipType_QColor sipImportedTypes_QtGraphs_QtGui[0].it_td

#define sipType_QLinearGradient sipImportedTypes_QtGraphs_QtGui[4].it_td

#define sipType_QFont sipImportedTypes_QtGraphs_QtGui[1].it_td

#define sipType_QImage sipImportedTypes_QtGraphs_QtGui[2].it_td

#define sipType_QImage_Format sipImportedTypes_QtGraphs_QtGui[3].it_td

#define sipType_QQuaternion sipImportedTypes_QtGraphs_QtGui[5].it_td

#define sipType_QSurfaceFormat sipImportedTypes_QtGraphs_QtGui[6].it_td

#define sipType_QVector3D sipImportedTypes_QtGraphs_QtGui[7].it_td
extern sipImportedTypeDef sipImportedTypes_QtGraphs_QtGui[];

#define sipType_QQmlComponent sipImportedTypes_QtGraphs_QtQml[0].it_td

#define sipType_QQmlParserStatus sipImportedTypes_QtGraphs_QtQml[1].it_td
extern sipImportedTypeDef sipImportedTypes_QtGraphs_QtQml[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *, sipTypeDef *);
extern sip_qt_metaobject_func sip_QtGraphs_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *, sipTypeDef *, QMetaObject::Call, int, void **);
extern sip_qt_metacall_func sip_QtGraphs_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtGraphs_qt_metacast;

#endif
