/*
 * Internal module API header file.
 *
 * Generated by SIP 6.9.1
 *
 * Copyright (c) 2024 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6-Graphs.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtGraphsWidgetsAPI_H
#define _QtGraphsWidgetsAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_Vulkan
#define SIP_FEATURE_PyQt_Permissions
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_Linux
#define SIP_TIMELINE_Qt_6_8_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_horizontalAspectRatioChanged 0
#define sipName_horizontalAspectRatioChanged &sipStrings_QtGraphsWidgets[0]
#define sipNameNr_ambientLightStrengthChanged 29
#define sipName_ambientLightStrengthChanged &sipStrings_QtGraphsWidgets[29]
#define sipNameNr_cameraTargetPositionChanged 57
#define sipName_cameraTargetPositionChanged &sipStrings_QtGraphsWidgets[57]
#define sipNameNr_queriedGraphPositionChanged 85
#define sipName_queriedGraphPositionChanged &sipStrings_QtGraphsWidgets[85]
#define sipNameNr_wrapCameraXRotationChanged 113
#define sipName_wrapCameraXRotationChanged &sipStrings_QtGraphsWidgets[113]
#define sipNameNr_wrapCameraYRotationChanged 140
#define sipName_wrapCameraYRotationChanged &sipStrings_QtGraphsWidgets[140]
#define sipNameNr_zoomAtTargetEnabledChanged 167
#define sipName_zoomAtTargetEnabledChanged &sipStrings_QtGraphsWidgets[167]
#define sipNameNr_barSpacingRelativeChanged 194
#define sipName_barSpacingRelativeChanged &sipStrings_QtGraphsWidgets[194]
#define sipNameNr_flipHorizontalGridChanged 220
#define sipName_flipHorizontalGridChanged &sipStrings_QtGraphsWidgets[220]
#define sipNameNr_maxCameraXRotationChanged 246
#define sipName_maxCameraXRotationChanged &sipStrings_QtGraphsWidgets[246]
#define sipNameNr_maxCameraYRotationChanged 272
#define sipName_maxCameraYRotationChanged &sipStrings_QtGraphsWidgets[272]
#define sipNameNr_maxCameraZoomLevelChanged 298
#define sipName_maxCameraZoomLevelChanged &sipStrings_QtGraphsWidgets[298]
#define sipNameNr_minCameraXRotationChanged 324
#define sipName_minCameraXRotationChanged &sipStrings_QtGraphsWidgets[324]
#define sipNameNr_minCameraYRotationChanged 350
#define sipName_minCameraYRotationChanged &sipStrings_QtGraphsWidgets[350]
#define sipNameNr_minCameraZoomLevelChanged 376
#define sipName_minCameraZoomLevelChanged &sipStrings_QtGraphsWidgets[376]
#define sipNameNr_multiSeriesUniformChanged 402
#define sipName_multiSeriesUniformChanged &sipStrings_QtGraphsWidgets[402]
#define sipNameNr_428 428
#define sipName_428 &sipStrings_QtGraphsWidgets[428]
#define sipNameNr_453 453
#define sipName_453 &sipStrings_QtGraphsWidgets[453]
#define sipNameNr_radialLabelOffsetChanged 478
#define sipName_radialLabelOffsetChanged &sipStrings_QtGraphsWidgets[478]
#define sipNameNr_setHorizontalAspectRatio 503
#define sipName_setHorizontalAspectRatio &sipStrings_QtGraphsWidgets[503]
#define sipNameNr_528 528
#define sipName_528 &sipStrings_QtGraphsWidgets[528]
#define sipNameNr_optimizationHintChanged 552
#define sipName_optimizationHintChanged &sipStrings_QtGraphsWidgets[552]
#define sipNameNr_selectedCustomItemIndex 576
#define sipName_selectedCustomItemIndex &sipStrings_QtGraphsWidgets[576]
#define sipNameNr_selectionEnabledChanged 600
#define sipName_selectionEnabledChanged &sipStrings_QtGraphsWidgets[600]
#define sipNameNr_setAmbientLightStrength 624
#define sipName_setAmbientLightStrength &sipStrings_QtGraphsWidgets[624]
#define sipNameNr_setCameraTargetPosition 648
#define sipName_setCameraTargetPosition &sipStrings_QtGraphsWidgets[648]
#define sipNameNr_barSeriesMarginChanged 672
#define sipName_barSeriesMarginChanged &sipStrings_QtGraphsWidgets[672]
#define sipNameNr_cameraXRotationChanged 695
#define sipName_cameraXRotationChanged &sipStrings_QtGraphsWidgets[695]
#define sipNameNr_cameraYRotationChanged 718
#define sipName_cameraYRotationChanged &sipStrings_QtGraphsWidgets[718]
#define sipNameNr_cameraZoomLevelChanged 741
#define sipName_cameraZoomLevelChanged &sipStrings_QtGraphsWidgets[741]
#define sipNameNr_orthoProjectionChanged 764
#define sipName_orthoProjectionChanged &sipStrings_QtGraphsWidgets[764]
#define sipNameNr_rotationEnabledChanged 787
#define sipName_rotationEnabledChanged &sipStrings_QtGraphsWidgets[787]
#define sipNameNr_selectedElementChanged 810
#define sipName_selectedElementChanged &sipStrings_QtGraphsWidgets[810]
#define sipNameNr_setWrapCameraXRotation 833
#define sipName_setWrapCameraXRotation &sipStrings_QtGraphsWidgets[833]
#define sipNameNr_setWrapCameraYRotation 856
#define sipName_setWrapCameraYRotation &sipStrings_QtGraphsWidgets[856]
#define sipNameNr_setZoomAtTargetEnabled 879
#define sipName_setZoomAtTargetEnabled &sipStrings_QtGraphsWidgets[879]
#define sipNameNr_PyQt6_QtGraphsWidgets 902
#define sipName_PyQt6_QtGraphsWidgets &sipStrings_QtGraphsWidgets[902]
#define sipNameNr_924 924
#define sipName_924 &sipStrings_QtGraphsWidgets[924]
#define sipNameNr_horizontalAspectRatio 946
#define sipName_horizontalAspectRatio &sipStrings_QtGraphsWidgets[946]
#define sipNameNr_isZoomAtTargetEnabled 968
#define sipName_isZoomAtTargetEnabled &sipStrings_QtGraphsWidgets[968]
#define sipNameNr_selectedSeriesChanged 990
#define sipName_selectedSeriesChanged &sipStrings_QtGraphsWidgets[990]
#define sipNameNr_setBarSpacingRelative 1012
#define sipName_setBarSpacingRelative &sipStrings_QtGraphsWidgets[1012]
#define sipNameNr_setFlipHorizontalGrid 1034
#define sipName_setFlipHorizontalGrid &sipStrings_QtGraphsWidgets[1034]
#define sipNameNr_setMaxCameraXRotation 1056
#define sipName_setMaxCameraXRotation &sipStrings_QtGraphsWidgets[1056]
#define sipNameNr_setMaxCameraYRotation 1078
#define sipName_setMaxCameraYRotation &sipStrings_QtGraphsWidgets[1078]
#define sipNameNr_setMaxCameraZoomLevel 1100
#define sipName_setMaxCameraZoomLevel &sipStrings_QtGraphsWidgets[1100]
#define sipNameNr_setMinCameraXRotation 1122
#define sipName_setMinCameraXRotation &sipStrings_QtGraphsWidgets[1122]
#define sipNameNr_setMinCameraYRotation 1144
#define sipName_setMinCameraYRotation &sipStrings_QtGraphsWidgets[1144]
#define sipNameNr_setMinCameraZoomLevel 1166
#define sipName_setMinCameraZoomLevel &sipStrings_QtGraphsWidgets[1166]
#define sipNameNr_setMultiSeriesUniform 1188
#define sipName_setMultiSeriesUniform &sipStrings_QtGraphsWidgets[1188]
#define sipNameNr_shadowStrengthChanged 1210
#define sipName_shadowStrengthChanged &sipStrings_QtGraphsWidgets[1210]
#define sipNameNr_Q3DScatterWidgetItem 1232
#define sipName_Q3DScatterWidgetItem &sipStrings_QtGraphsWidgets[1232]
#define sipNameNr_Q3DSurfaceWidgetItem 1253
#define sipName_Q3DSurfaceWidgetItem &sipStrings_QtGraphsWidgets[1253]
#define sipNameNr_1274 1274
#define sipName_1274 &sipStrings_QtGraphsWidgets[1274]
#define sipNameNr_1295 1295
#define sipName_1295 &sipStrings_QtGraphsWidgets[1295]
#define sipNameNr_1316 1316
#define sipName_1316 &sipStrings_QtGraphsWidgets[1316]
#define sipNameNr_ambientLightStrength 1337
#define sipName_ambientLightStrength &sipStrings_QtGraphsWidgets[1337]
#define sipNameNr_cameraTargetPosition 1358
#define sipName_cameraTargetPosition &sipStrings_QtGraphsWidgets[1358]
#define sipNameNr_isBarSpacingRelative 1379
#define sipName_isBarSpacingRelative &sipStrings_QtGraphsWidgets[1379]
#define sipNameNr_isMultiSeriesUniform 1400
#define sipName_isMultiSeriesUniform &sipStrings_QtGraphsWidgets[1400]
#define sipNameNr_lightStrengthChanged 1421
#define sipName_lightStrengthChanged &sipStrings_QtGraphsWidgets[1421]
#define sipNameNr_primarySeriesChanged 1442
#define sipName_primarySeriesChanged &sipStrings_QtGraphsWidgets[1442]
#define sipNameNr_queriedGraphPosition 1463
#define sipName_queriedGraphPosition &sipStrings_QtGraphsWidgets[1463]
#define sipNameNr_selectionModeChanged 1484
#define sipName_selectionModeChanged &sipStrings_QtGraphsWidgets[1484]
#define sipNameNr_setRadialLabelOffset 1505
#define sipName_setRadialLabelOffset &sipStrings_QtGraphsWidgets[1505]
#define sipNameNr_shadowQualityChanged 1526
#define sipName_shadowQualityChanged &sipStrings_QtGraphsWidgets[1526]
#define sipNameNr_Q3DGraphsWidgetItem 1547
#define sipName_Q3DGraphsWidgetItem &sipStrings_QtGraphsWidgets[1547]
#define sipNameNr_barThicknessChanged 1567
#define sipName_barThicknessChanged &sipStrings_QtGraphsWidgets[1567]
#define sipNameNr_cameraPresetChanged 1587
#define sipName_cameraPresetChanged &sipStrings_QtGraphsWidgets[1587]
#define sipNameNr_gridLineTypeChanged 1607
#define sipName_gridLineTypeChanged &sipStrings_QtGraphsWidgets[1607]
#define sipNameNr_setOptimizationHint 1627
#define sipName_setOptimizationHint &sipStrings_QtGraphsWidgets[1627]
#define sipNameNr_setSelectionEnabled 1647
#define sipName_setSelectionEnabled &sipStrings_QtGraphsWidgets[1647]
#define sipNameNr_wrapCameraXRotation 1667
#define sipName_wrapCameraXRotation &sipStrings_QtGraphsWidgets[1667]
#define sipNameNr_wrapCameraYRotation 1687
#define sipName_wrapCameraYRotation &sipStrings_QtGraphsWidgets[1687]
#define sipNameNr_activeThemeChanged 1707
#define sipName_activeThemeChanged &sipStrings_QtGraphsWidgets[1707]
#define sipNameNr_aspectRatioChanged 1726
#define sipName_aspectRatioChanged &sipStrings_QtGraphsWidgets[1726]
#define sipNameNr_flipHorizontalGrid 1745
#define sipName_flipHorizontalGrid &sipStrings_QtGraphsWidgets[1745]
#define sipNameNr_isSelectionEnabled 1764
#define sipName_isSelectionEnabled &sipStrings_QtGraphsWidgets[1764]
#define sipNameNr_labelMarginChanged 1783
#define sipName_labelMarginChanged &sipStrings_QtGraphsWidgets[1783]
#define sipNameNr_maxCameraXRotation 1802
#define sipName_maxCameraXRotation &sipStrings_QtGraphsWidgets[1802]
#define sipNameNr_maxCameraYRotation 1821
#define sipName_maxCameraYRotation &sipStrings_QtGraphsWidgets[1821]
#define sipNameNr_maxCameraZoomLevel 1840
#define sipName_maxCameraZoomLevel &sipStrings_QtGraphsWidgets[1840]
#define sipNameNr_minCameraXRotation 1859
#define sipName_minCameraXRotation &sipStrings_QtGraphsWidgets[1859]
#define sipNameNr_minCameraYRotation 1878
#define sipName_minCameraYRotation &sipStrings_QtGraphsWidgets[1878]
#define sipNameNr_minCameraZoomLevel 1897
#define sipName_minCameraZoomLevel &sipStrings_QtGraphsWidgets[1897]
#define sipNameNr_msaaSamplesChanged 1916
#define sipName_msaaSamplesChanged &sipStrings_QtGraphsWidgets[1916]
#define sipNameNr_removeCustomItemAt 1935
#define sipName_removeCustomItemAt &sipStrings_QtGraphsWidgets[1935]
#define sipNameNr_selectedCustomItem 1954
#define sipName_selectedCustomItem &sipStrings_QtGraphsWidgets[1954]
#define sipNameNr_selectedLabelIndex 1973
#define sipName_selectedLabelIndex &sipStrings_QtGraphsWidgets[1973]
#define sipNameNr_setBarSeriesMargin 1992
#define sipName_setBarSeriesMargin &sipStrings_QtGraphsWidgets[1992]
#define sipNameNr_setCameraXRotation 2011
#define sipName_setCameraXRotation &sipStrings_QtGraphsWidgets[2011]
#define sipNameNr_setCameraYRotation 2030
#define sipName_setCameraYRotation &sipStrings_QtGraphsWidgets[2030]
#define sipNameNr_setCameraZoomLevel 2049
#define sipName_setCameraZoomLevel &sipStrings_QtGraphsWidgets[2049]
#define sipNameNr_setOrthoProjection 2068
#define sipName_setOrthoProjection &sipStrings_QtGraphsWidgets[2068]
#define sipNameNr_setRotationEnabled 2087
#define sipName_setRotationEnabled &sipStrings_QtGraphsWidgets[2087]
#define sipNameNr_zoomEnabledChanged 2106
#define sipName_zoomEnabledChanged &sipStrings_QtGraphsWidgets[2106]
#define sipNameNr_Q3DBarsWidgetItem 2125
#define sipName_Q3DBarsWidgetItem &sipStrings_QtGraphsWidgets[2125]
#define sipNameNr_barSpacingChanged 2143
#define sipName_barSpacingChanged &sipStrings_QtGraphsWidgets[2143]
#define sipNameNr_columnAxisChanged 2161
#define sipName_columnAxisChanged &sipStrings_QtGraphsWidgets[2161]
#define sipNameNr_currentFpsChanged 2179
#define sipName_currentFpsChanged &sipStrings_QtGraphsWidgets[2179]
#define sipNameNr_floorLevelChanged 2197
#define sipName_floorLevelChanged &sipStrings_QtGraphsWidgets[2197]
#define sipNameNr_isOrthoProjection 2215
#define sipName_isOrthoProjection &sipStrings_QtGraphsWidgets[2215]
#define sipNameNr_isRotationEnabled 2233
#define sipName_isRotationEnabled &sipStrings_QtGraphsWidgets[2233]
#define sipNameNr_lightColorChanged 2251
#define sipName_lightColorChanged &sipStrings_QtGraphsWidgets[2251]
#define sipNameNr_measureFpsChanged 2269
#define sipName_measureFpsChanged &sipStrings_QtGraphsWidgets[2269]
#define sipNameNr_radialLabelOffset 2287
#define sipName_radialLabelOffset &sipStrings_QtGraphsWidgets[2287]
#define sipNameNr_releaseCustomItem 2305
#define sipName_releaseCustomItem &sipStrings_QtGraphsWidgets[2305]
#define sipNameNr_removeCustomItems 2323
#define sipName_removeCustomItems &sipStrings_QtGraphsWidgets[2323]
#define sipNameNr_setCameraPosition 2341
#define sipName_setCameraPosition &sipStrings_QtGraphsWidgets[2341]
#define sipNameNr_setShadowStrength 2359
#define sipName_setShadowStrength &sipStrings_QtGraphsWidgets[2359]
#define sipNameNr_disconnectNotify 2377
#define sipName_disconnectNotify &sipStrings_QtGraphsWidgets[2377]
#define sipNameNr_optimizationHint 2394
#define sipName_optimizationHint &sipStrings_QtGraphsWidgets[2394]
#define sipNameNr_removeCustomItem 2411
#define sipName_removeCustomItem &sipStrings_QtGraphsWidgets[2411]
#define sipNameNr_setLightStrength 2428
#define sipName_setLightStrength &sipStrings_QtGraphsWidgets[2428]
#define sipNameNr_setPrimarySeries 2445
#define sipName_setPrimarySeries &sipStrings_QtGraphsWidgets[2445]
#define sipNameNr_setSelectionMode 2462
#define sipName_setSelectionMode &sipStrings_QtGraphsWidgets[2462]
#define sipNameNr_setShadowQuality 2479
#define sipName_setShadowQuality &sipStrings_QtGraphsWidgets[2479]
#define sipNameNr_valueAxisChanged 2496
#define sipName_valueAxisChanged &sipStrings_QtGraphsWidgets[2496]
#define sipNameNr_barSeriesMargin 2513
#define sipName_barSeriesMargin &sipStrings_QtGraphsWidgets[2513]
#define sipNameNr_cameraXRotation 2529
#define sipName_cameraXRotation &sipStrings_QtGraphsWidgets[2529]
#define sipNameNr_cameraYRotation 2545
#define sipName_cameraYRotation &sipStrings_QtGraphsWidgets[2545]
#define sipNameNr_cameraZoomLevel 2561
#define sipName_cameraZoomLevel &sipStrings_QtGraphsWidgets[2561]
#define sipNameNr_selectedElement 2577
#define sipName_selectedElement &sipStrings_QtGraphsWidgets[2577]
#define sipNameNr_setBarThickness 2593
#define sipName_setBarThickness &sipStrings_QtGraphsWidgets[2593]
#define sipNameNr_setCameraPreset 2609
#define sipName_setCameraPreset &sipStrings_QtGraphsWidgets[2609]
#define sipNameNr_setGridLineType 2625
#define sipName_setGridLineType &sipStrings_QtGraphsWidgets[2625]
#define sipNameNr_clearSelection 2641
#define sipName_clearSelection &sipStrings_QtGraphsWidgets[2641]
#define sipNameNr_rowAxisChanged 2656
#define sipName_rowAxisChanged &sipStrings_QtGraphsWidgets[2656]
#define sipNameNr_selectedSeries 2671
#define sipName_selectedSeries &sipStrings_QtGraphsWidgets[2671]
#define sipNameNr_setActiveTheme 2686
#define sipName_setActiveTheme &sipStrings_QtGraphsWidgets[2686]
#define sipNameNr_setAspectRatio 2701
#define sipName_setAspectRatio &sipStrings_QtGraphsWidgets[2701]
#define sipNameNr_setLabelMargin 2716
#define sipName_setLabelMargin &sipStrings_QtGraphsWidgets[2716]
#define sipNameNr_setMsaaSamples 2731
#define sipName_setMsaaSamples &sipStrings_QtGraphsWidgets[2731]
#define sipNameNr_setZoomEnabled 2746
#define sipName_setZoomEnabled &sipStrings_QtGraphsWidgets[2746]
#define sipNameNr_shadowStrength 2761
#define sipName_shadowStrength &sipStrings_QtGraphsWidgets[2761]
#define sipNameNr_addCustomItem 2776
#define sipName_addCustomItem &sipStrings_QtGraphsWidgets[2776]
#define sipNameNr_connectNotify 2380
#define sipName_connectNotify &sipStrings_QtGraphsWidgets[2380]
#define sipNameNr_isZoomEnabled 2790
#define sipName_isZoomEnabled &sipStrings_QtGraphsWidgets[2790]
#define sipNameNr_lightStrength 2804
#define sipName_lightStrength &sipStrings_QtGraphsWidgets[2804]
#define sipNameNr_localeChanged 2818
#define sipName_localeChanged &sipStrings_QtGraphsWidgets[2818]
#define sipNameNr_marginChanged 2832
#define sipName_marginChanged &sipStrings_QtGraphsWidgets[2832]
#define sipNameNr_primarySeries 2846
#define sipName_primarySeries &sipStrings_QtGraphsWidgets[2846]
#define sipNameNr_renderToImage 2860
#define sipName_renderToImage &sipStrings_QtGraphsWidgets[2860]
#define sipNameNr_selectionMode 2874
#define sipName_selectionMode &sipStrings_QtGraphsWidgets[2874]
#define sipNameNr_setBarSpacing 2888
#define sipName_setBarSpacing &sipStrings_QtGraphsWidgets[2888]
#define sipNameNr_setColumnAxis 2902
#define sipName_setColumnAxis &sipStrings_QtGraphsWidgets[2902]
#define sipNameNr_setFloorLevel 2916
#define sipName_setFloorLevel &sipStrings_QtGraphsWidgets[2916]
#define sipNameNr_setLightColor 2930
#define sipName_setLightColor &sipStrings_QtGraphsWidgets[2930]
#define sipNameNr_setMeasureFps 2944
#define sipName_setMeasureFps &sipStrings_QtGraphsWidgets[2944]
#define sipNameNr_shadowQuality 2958
#define sipName_shadowQuality &sipStrings_QtGraphsWidgets[2958]
#define sipNameNr_axisXChanged 2972
#define sipName_axisXChanged &sipStrings_QtGraphsWidgets[2972]
#define sipNameNr_axisYChanged 2985
#define sipName_axisYChanged &sipStrings_QtGraphsWidgets[2985]
#define sipNameNr_axisZChanged 2998
#define sipName_axisZChanged &sipStrings_QtGraphsWidgets[2998]
#define sipNameNr_barThickness 3011
#define sipName_barThickness &sipStrings_QtGraphsWidgets[3011]
#define sipNameNr_cameraPreset 3024
#define sipName_cameraPreset &sipStrings_QtGraphsWidgets[3024]
#define sipNameNr_gridLineType 3037
#define sipName_gridLineType &sipStrings_QtGraphsWidgets[3037]
#define sipNameNr_insertSeries 3050
#define sipName_insertSeries &sipStrings_QtGraphsWidgets[3050]
#define sipNameNr_polarChanged 3063
#define sipName_polarChanged &sipStrings_QtGraphsWidgets[3063]
#define sipNameNr_releaseTheme 3076
#define sipName_releaseTheme &sipStrings_QtGraphsWidgets[3076]
#define sipNameNr_removeSeries 3089
#define sipName_removeSeries &sipStrings_QtGraphsWidgets[3089]
#define sipNameNr_selectedAxis 3102
#define sipName_selectedAxis &sipStrings_QtGraphsWidgets[3102]
#define sipNameNr_setValueAxis 3115
#define sipName_setValueAxis &sipStrings_QtGraphsWidgets[3115]
#define sipNameNr_activeTheme 3128
#define sipName_activeTheme &sipStrings_QtGraphsWidgets[3128]
#define sipNameNr_aspectRatio 3140
#define sipName_aspectRatio &sipStrings_QtGraphsWidgets[3140]
#define sipNameNr_customEvent 3152
#define sipName_customEvent &sipStrings_QtGraphsWidgets[3152]
#define sipNameNr_customItems 3164
#define sipName_customItems &sipStrings_QtGraphsWidgets[3164]
#define sipNameNr_eventFilter 3176
#define sipName_eventFilter &sipStrings_QtGraphsWidgets[3176]
#define sipNameNr_labelMargin 3188
#define sipName_labelMargin &sipStrings_QtGraphsWidgets[3188]
#define sipNameNr_msaaSamples 3200
#define sipName_msaaSamples &sipStrings_QtGraphsWidgets[3200]
#define sipNameNr_releaseAxis 3212
#define sipName_releaseAxis &sipStrings_QtGraphsWidgets[3212]
#define sipNameNr_barSpacing 3224
#define sipName_barSpacing &sipStrings_QtGraphsWidgets[3224]
#define sipNameNr_childEvent 3235
#define sipName_childEvent &sipStrings_QtGraphsWidgets[3235]
#define sipNameNr_columnAxis 3246
#define sipName_columnAxis &sipStrings_QtGraphsWidgets[3246]
#define sipNameNr_currentFps 3257
#define sipName_currentFps &sipStrings_QtGraphsWidgets[3257]
#define sipNameNr_floorLevel 3268
#define sipName_floorLevel &sipStrings_QtGraphsWidgets[3268]
#define sipNameNr_lightColor 3279
#define sipName_lightColor &sipStrings_QtGraphsWidgets[3279]
#define sipNameNr_measureFps 3290
#define sipName_measureFps &sipStrings_QtGraphsWidgets[3290]
#define sipNameNr_seriesList 3301
#define sipName_seriesList &sipStrings_QtGraphsWidgets[3301]
#define sipNameNr_setRowAxis 3312
#define sipName_setRowAxis &sipStrings_QtGraphsWidgets[3312]
#define sipNameNr_timerEvent 3323
#define sipName_timerEvent &sipStrings_QtGraphsWidgets[3323]
#define sipNameNr_addSeries 3334
#define sipName_addSeries &sipStrings_QtGraphsWidgets[3334]
#define sipNameNr_hasSeries 3344
#define sipName_hasSeries &sipStrings_QtGraphsWidgets[3344]
#define sipNameNr_imageSize 3354
#define sipName_imageSize &sipStrings_QtGraphsWidgets[3354]
#define sipNameNr_setLocale 3364
#define sipName_setLocale &sipStrings_QtGraphsWidgets[3364]
#define sipNameNr_setMargin 3374
#define sipName_setMargin &sipStrings_QtGraphsWidgets[3374]
#define sipNameNr_setWidget 3384
#define sipName_setWidget &sipStrings_QtGraphsWidgets[3384]
#define sipNameNr_valueAxis 3394
#define sipName_valueAxis &sipStrings_QtGraphsWidgets[3394]
#define sipNameNr_addTheme 3404
#define sipName_addTheme &sipStrings_QtGraphsWidgets[3404]
#define sipNameNr_setAxisX 3413
#define sipName_setAxisX &sipStrings_QtGraphsWidgets[3413]
#define sipNameNr_setAxisY 3422
#define sipName_setAxisY &sipStrings_QtGraphsWidgets[3422]
#define sipNameNr_setAxisZ 3431
#define sipName_setAxisZ &sipStrings_QtGraphsWidgets[3431]
#define sipNameNr_setPolar 3440
#define sipName_setPolar &sipStrings_QtGraphsWidgets[3440]
#define sipNameNr_addAxis 3449
#define sipName_addAxis &sipStrings_QtGraphsWidgets[3449]
#define sipNameNr_isPolar 3457
#define sipName_isPolar &sipStrings_QtGraphsWidgets[3457]
#define sipNameNr_rowAxis 3465
#define sipName_rowAxis &sipStrings_QtGraphsWidgets[3465]
#define sipNameNr_locale 3473
#define sipName_locale &sipStrings_QtGraphsWidgets[3473]
#define sipNameNr_margin 3480
#define sipName_margin &sipStrings_QtGraphsWidgets[3480]
#define sipNameNr_parent 3487
#define sipName_parent &sipStrings_QtGraphsWidgets[3487]
#define sipNameNr_themes 3494
#define sipName_themes &sipStrings_QtGraphsWidgets[3494]
#define sipNameNr_widget 3501
#define sipName_widget &sipStrings_QtGraphsWidgets[3501]
#define sipNameNr_axisX 3508
#define sipName_axisX &sipStrings_QtGraphsWidgets[3508]
#define sipNameNr_axisY 3514
#define sipName_axisY &sipStrings_QtGraphsWidgets[3514]
#define sipNameNr_axisZ 3520
#define sipName_axisZ &sipStrings_QtGraphsWidgets[3520]
#define sipNameNr_event 3526
#define sipName_event &sipStrings_QtGraphsWidgets[3526]
#define sipNameNr_scene 3532
#define sipName_scene &sipStrings_QtGraphsWidgets[3532]
#define sipNameNr_axes 3538
#define sipName_axes &sipStrings_QtGraphsWidgets[3538]
#define sipNameNr_zoom 3543
#define sipName_zoom &sipStrings_QtGraphsWidgets[3543]

#define sipMalloc                   sipAPI_QtGraphsWidgets->api_malloc
#define sipFree                     sipAPI_QtGraphsWidgets->api_free
#define sipBuildResult              sipAPI_QtGraphsWidgets->api_build_result
#define sipCallMethod               sipAPI_QtGraphsWidgets->api_call_method
#define sipCallProcedureMethod      sipAPI_QtGraphsWidgets->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtGraphsWidgets->api_call_error_handler
#define sipParseResultEx            sipAPI_QtGraphsWidgets->api_parse_result_ex
#define sipParseResult              sipAPI_QtGraphsWidgets->api_parse_result
#define sipParseArgs                sipAPI_QtGraphsWidgets->api_parse_args
#define sipParseKwdArgs             sipAPI_QtGraphsWidgets->api_parse_kwd_args
#define sipParsePair                sipAPI_QtGraphsWidgets->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtGraphsWidgets->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtGraphsWidgets->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtGraphsWidgets->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtGraphsWidgets->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtGraphsWidgets->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtGraphsWidgets->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtGraphsWidgets->api_add_exception
#define sipNoFunction               sipAPI_QtGraphsWidgets->api_no_function
#define sipNoMethod                 sipAPI_QtGraphsWidgets->api_no_method
#define sipAbstractMethod           sipAPI_QtGraphsWidgets->api_abstract_method
#define sipBadClass                 sipAPI_QtGraphsWidgets->api_bad_class
#define sipBadCatcherResult         sipAPI_QtGraphsWidgets->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtGraphsWidgets->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtGraphsWidgets->api_bad_operator_arg
#define sipTrace                    sipAPI_QtGraphsWidgets->api_trace
#define sipTransferBack             sipAPI_QtGraphsWidgets->api_transfer_back
#define sipTransferTo               sipAPI_QtGraphsWidgets->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtGraphsWidgets->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtGraphsWidgets->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtGraphsWidgets->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtGraphsWidgets->api_voidptr_type
#define sipGetPyObject              sipAPI_QtGraphsWidgets->api_get_pyobject
#define sipGetAddress               sipAPI_QtGraphsWidgets->api_get_address
#define sipGetMixinAddress          sipAPI_QtGraphsWidgets->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtGraphsWidgets->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtGraphsWidgets->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtGraphsWidgets->api_call_hook
#define sipEndThread                sipAPI_QtGraphsWidgets->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtGraphsWidgets->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtGraphsWidgets->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtGraphsWidgets->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtGraphsWidgets->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtGraphsWidgets->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtGraphsWidgets->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtGraphsWidgets->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtGraphsWidgets->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtGraphsWidgets->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtGraphsWidgets->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtGraphsWidgets->api_convert_to_bool
#define sipReleaseType              sipAPI_QtGraphsWidgets->api_release_type
#define sipConvertFromType          sipAPI_QtGraphsWidgets->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtGraphsWidgets->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtGraphsWidgets->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtGraphsWidgets->api_convert_from_enum
#define sipGetState                 sipAPI_QtGraphsWidgets->api_get_state
#define sipExportSymbol             sipAPI_QtGraphsWidgets->api_export_symbol
#define sipImportSymbol             sipAPI_QtGraphsWidgets->api_import_symbol
#define sipFindType                 sipAPI_QtGraphsWidgets->api_find_type
#define sipBytes_AsChar             sipAPI_QtGraphsWidgets->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtGraphsWidgets->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtGraphsWidgets->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtGraphsWidgets->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtGraphsWidgets->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtGraphsWidgets->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtGraphsWidgets->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtGraphsWidgets->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtGraphsWidgets->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtGraphsWidgets->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtGraphsWidgets->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtGraphsWidgets->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtGraphsWidgets->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipGetReference             sipAPI_QtGraphsWidgets->api_get_reference
#define sipKeepReference            sipAPI_QtGraphsWidgets->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtGraphsWidgets->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtGraphsWidgets->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtGraphsWidgets->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtGraphsWidgets->api_type_scope
#define sipResolveTypedef           sipAPI_QtGraphsWidgets->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtGraphsWidgets->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtGraphsWidgets->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtGraphsWidgets->api_init_mixin
#define sipExportModule             sipAPI_QtGraphsWidgets->api_export_module
#define sipInitModule               sipAPI_QtGraphsWidgets->api_init_module
#define sipGetInterpreter           sipAPI_QtGraphsWidgets->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtGraphsWidgets->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtGraphsWidgets->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtGraphsWidgets->api_py_type_dict
#define sipPyTypeName               sipAPI_QtGraphsWidgets->api_py_type_name
#define sipGetCFunction             sipAPI_QtGraphsWidgets->api_get_c_function
#define sipGetMethod                sipAPI_QtGraphsWidgets->api_get_method
#define sipFromMethod               sipAPI_QtGraphsWidgets->api_from_method
#define sipGetDate                  sipAPI_QtGraphsWidgets->api_get_date
#define sipFromDate                 sipAPI_QtGraphsWidgets->api_from_date
#define sipGetDateTime              sipAPI_QtGraphsWidgets->api_get_datetime
#define sipFromDateTime             sipAPI_QtGraphsWidgets->api_from_datetime
#define sipGetTime                  sipAPI_QtGraphsWidgets->api_get_time
#define sipFromTime                 sipAPI_QtGraphsWidgets->api_from_time
#define sipIsUserType               sipAPI_QtGraphsWidgets->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtGraphsWidgets->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtGraphsWidgets->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtGraphsWidgets->api_unicode_write
#define sipUnicodeData              sipAPI_QtGraphsWidgets->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtGraphsWidgets->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtGraphsWidgets->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtGraphsWidgets->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtGraphsWidgets->api_is_derived_class
#define sipGetUserObject            sipAPI_QtGraphsWidgets->api_get_user_object
#define sipSetUserObject            sipAPI_QtGraphsWidgets->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtGraphsWidgets->api_register_event_handler
#define sipConvertToArray           sipAPI_QtGraphsWidgets->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtGraphsWidgets->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtGraphsWidgets->api_enable_gc
#define sipPrintObject              sipAPI_QtGraphsWidgets->api_print_object
#define sipLong_AsChar              sipAPI_QtGraphsWidgets->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtGraphsWidgets->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtGraphsWidgets->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtGraphsWidgets->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtGraphsWidgets->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtGraphsWidgets->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtGraphsWidgets->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtGraphsWidgets->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtGraphsWidgets->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtGraphsWidgets->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtGraphsWidgets->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtGraphsWidgets->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtGraphsWidgets->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtGraphsWidgets->api_register_exit_notifier
#define sipDeprecated               sipAPI_QtGraphsWidgets->api_deprecated
#define sipPyTypeDictRef            sipAPI_QtGraphsWidgets->api_py_type_dict_ref
#define sipNextExceptionHandler     sipAPI_QtGraphsWidgets->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_QtGraphsWidgets->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_QtGraphsWidgets->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_QtGraphsWidgets->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_QtGraphsWidgets->api_release_type_us
#define sipIsPyMethod               sipAPI_QtGraphsWidgets->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtGraphsWidgets[];
#line 26 "/usr/lib64/python3.13/site-packages/PyQt6/bindings/QtQuick/qquickitem.sip"
#include <qquickitem.h>
#line 618 "/home/abuild/rpmbuild/BUILD/python-PyQt6-Graphs-6.8.0-build/PyQt6_Graphs-6.8.0/build/QtGraphsWidgets/sipAPIQtGraphsWidgets.h"


class sipQQuickItem : public ::QQuickItem
{
public:
    sipQQuickItem(::QQuickItem*);
    virtual ~sipQQuickItem();

    int qt_metacall(QMetaObject::Call, int, void **) SIP_OVERRIDE;
    void *qt_metacast(const char *) SIP_OVERRIDE;
    const QMetaObject *metaObject() const SIP_OVERRIDE;

    /*
     * There is a protected method for every virtual method visible from
     * this class.
     */
protected:
    void updatePolish() SIP_OVERRIDE;
    void releaseResources() SIP_OVERRIDE;
    ::QSGNode* updatePaintNode(::QSGNode*, ::QQuickItem::UpdatePaintNodeData*) SIP_OVERRIDE;
    void geometryChange(const ::QRectF&, const ::QRectF&) SIP_OVERRIDE;
    bool childMouseEventFilter(::QQuickItem*, ::QEvent*) SIP_OVERRIDE;
    void dropEvent(::QDropEvent*) SIP_OVERRIDE;
    void dragLeaveEvent(::QDragLeaveEvent*) SIP_OVERRIDE;
    void dragMoveEvent(::QDragMoveEvent*) SIP_OVERRIDE;
    void dragEnterEvent(::QDragEnterEvent*) SIP_OVERRIDE;
    void hoverLeaveEvent(::QHoverEvent*) SIP_OVERRIDE;
    void hoverMoveEvent(::QHoverEvent*) SIP_OVERRIDE;
    void hoverEnterEvent(::QHoverEvent*) SIP_OVERRIDE;
    void touchEvent(::QTouchEvent*) SIP_OVERRIDE;
    void wheelEvent(::QWheelEvent*) SIP_OVERRIDE;
    void touchUngrabEvent() SIP_OVERRIDE;
    void mouseUngrabEvent() SIP_OVERRIDE;
    void mouseDoubleClickEvent(::QMouseEvent*) SIP_OVERRIDE;
    void mouseReleaseEvent(::QMouseEvent*) SIP_OVERRIDE;
    void mouseMoveEvent(::QMouseEvent*) SIP_OVERRIDE;
    void mousePressEvent(::QMouseEvent*) SIP_OVERRIDE;
    void focusOutEvent(::QFocusEvent*) SIP_OVERRIDE;
    void focusInEvent(::QFocusEvent*) SIP_OVERRIDE;
    void inputMethodEvent(::QInputMethodEvent*) SIP_OVERRIDE;
    void keyReleaseEvent(::QKeyEvent*) SIP_OVERRIDE;
    void keyPressEvent(::QKeyEvent*) SIP_OVERRIDE;
    void itemChange(::QQuickItem::ItemChange, const ::QQuickItem::ItemChangeData&) SIP_OVERRIDE;
    ::QSGTextureProvider* textureProvider() const SIP_OVERRIDE;
    bool isTextureProvider() const SIP_OVERRIDE;
    ::QVariant inputMethodQuery(::Qt::InputMethodQuery) const SIP_OVERRIDE;
    bool contains(const ::QPointF&) const SIP_OVERRIDE;
    void classBegin() SIP_OVERRIDE;
    void componentComplete() SIP_OVERRIDE;
    bool event(::QEvent*) SIP_OVERRIDE;
    bool eventFilter(::QObject*, ::QEvent*) SIP_OVERRIDE;
    void timerEvent(::QTimerEvent*) SIP_OVERRIDE;
    void childEvent(::QChildEvent*) SIP_OVERRIDE;
    void customEvent(::QEvent*) SIP_OVERRIDE;
    void connectNotify(const ::QMetaMethod&) SIP_OVERRIDE;
    void disconnectNotify(const ::QMetaMethod&) SIP_OVERRIDE;

public:
    sipSimpleWrapper *sipPySelf;

private:
    sipQQuickItem(const sipQQuickItem &);
    sipQQuickItem &operator = (const sipQQuickItem &);

    char sipPyMethods[39];
};
#line 28 "/usr/lib64/python3.13/site-packages/PyQt6/bindings/QtQuick/qquickframebufferobject.sip"
#include <qquickframebufferobject.h>
#line 687 "/home/abuild/rpmbuild/BUILD/python-PyQt6-Graphs-6.8.0-build/PyQt6_Graphs-6.8.0/build/QtGraphsWidgets/sipAPIQtGraphsWidgets.h"


class sipQQuickFramebufferObject : public ::QQuickFramebufferObject
{
public:
    sipQQuickFramebufferObject(::QQuickItem*);
    virtual ~sipQQuickFramebufferObject();

    int qt_metacall(QMetaObject::Call, int, void **) SIP_OVERRIDE;
    void *qt_metacast(const char *) SIP_OVERRIDE;
    const QMetaObject *metaObject() const SIP_OVERRIDE;

    /*
     * There is a protected method for every virtual method visible from
     * this class.
     */
protected:
    ::QQuickFramebufferObject::Renderer* createRenderer() const SIP_OVERRIDE;
    void disconnectNotify(const ::QMetaMethod&) SIP_OVERRIDE;
    void connectNotify(const ::QMetaMethod&) SIP_OVERRIDE;
    void customEvent(::QEvent*) SIP_OVERRIDE;
    void childEvent(::QChildEvent*) SIP_OVERRIDE;
    void timerEvent(::QTimerEvent*) SIP_OVERRIDE;
    bool eventFilter(::QObject*, ::QEvent*) SIP_OVERRIDE;
    bool event(::QEvent*) SIP_OVERRIDE;
    void componentComplete() SIP_OVERRIDE;
    void classBegin() SIP_OVERRIDE;
    bool contains(const ::QPointF&) const SIP_OVERRIDE;
    ::QVariant inputMethodQuery(::Qt::InputMethodQuery) const SIP_OVERRIDE;
    bool isTextureProvider() const SIP_OVERRIDE;
    ::QSGTextureProvider* textureProvider() const SIP_OVERRIDE;
    void itemChange(::QQuickItem::ItemChange, const ::QQuickItem::ItemChangeData&) SIP_OVERRIDE;
    void keyPressEvent(::QKeyEvent*) SIP_OVERRIDE;
    void keyReleaseEvent(::QKeyEvent*) SIP_OVERRIDE;
    void inputMethodEvent(::QInputMethodEvent*) SIP_OVERRIDE;
    void focusInEvent(::QFocusEvent*) SIP_OVERRIDE;
    void focusOutEvent(::QFocusEvent*) SIP_OVERRIDE;
    void mousePressEvent(::QMouseEvent*) SIP_OVERRIDE;
    void mouseMoveEvent(::QMouseEvent*) SIP_OVERRIDE;
    void mouseReleaseEvent(::QMouseEvent*) SIP_OVERRIDE;
    void mouseDoubleClickEvent(::QMouseEvent*) SIP_OVERRIDE;
    void mouseUngrabEvent() SIP_OVERRIDE;
    void touchUngrabEvent() SIP_OVERRIDE;
    void wheelEvent(::QWheelEvent*) SIP_OVERRIDE;
    void touchEvent(::QTouchEvent*) SIP_OVERRIDE;
    void hoverEnterEvent(::QHoverEvent*) SIP_OVERRIDE;
    void hoverMoveEvent(::QHoverEvent*) SIP_OVERRIDE;
    void hoverLeaveEvent(::QHoverEvent*) SIP_OVERRIDE;
    void dragEnterEvent(::QDragEnterEvent*) SIP_OVERRIDE;
    void dragMoveEvent(::QDragMoveEvent*) SIP_OVERRIDE;
    void dragLeaveEvent(::QDragLeaveEvent*) SIP_OVERRIDE;
    void dropEvent(::QDropEvent*) SIP_OVERRIDE;
    bool childMouseEventFilter(::QQuickItem*, ::QEvent*) SIP_OVERRIDE;
    void geometryChange(const ::QRectF&, const ::QRectF&) SIP_OVERRIDE;
    ::QSGNode* updatePaintNode(::QSGNode*, ::QQuickItem::UpdatePaintNodeData*) SIP_OVERRIDE;
    void releaseResources() SIP_OVERRIDE;
    void updatePolish() SIP_OVERRIDE;

public:
    sipSimpleWrapper *sipPySelf;

private:
    sipQQuickFramebufferObject(const sipQQuickFramebufferObject &);
    sipQQuickFramebufferObject &operator = (const sipQQuickFramebufferObject &);

    char sipPyMethods[40];
};
#line 26 "/usr/lib64/python3.13/site-packages/PyQt6/bindings/QtQuick/qquickpainteditem.sip"
#include <qquickpainteditem.h>
#line 757 "/home/abuild/rpmbuild/BUILD/python-PyQt6-Graphs-6.8.0-build/PyQt6_Graphs-6.8.0/build/QtGraphsWidgets/sipAPIQtGraphsWidgets.h"


class sipQQuickPaintedItem : public ::QQuickPaintedItem
{
public:
    sipQQuickPaintedItem(::QQuickItem*);
    virtual ~sipQQuickPaintedItem();

    int qt_metacall(QMetaObject::Call, int, void **) SIP_OVERRIDE;
    void *qt_metacast(const char *) SIP_OVERRIDE;
    const QMetaObject *metaObject() const SIP_OVERRIDE;

    /*
     * There is a protected method for every virtual method visible from
     * this class.
     */
protected:
    void paint(::QPainter*) SIP_OVERRIDE;
    void disconnectNotify(const ::QMetaMethod&) SIP_OVERRIDE;
    void connectNotify(const ::QMetaMethod&) SIP_OVERRIDE;
    void customEvent(::QEvent*) SIP_OVERRIDE;
    void childEvent(::QChildEvent*) SIP_OVERRIDE;
    void timerEvent(::QTimerEvent*) SIP_OVERRIDE;
    bool eventFilter(::QObject*, ::QEvent*) SIP_OVERRIDE;
    bool event(::QEvent*) SIP_OVERRIDE;
    void componentComplete() SIP_OVERRIDE;
    void classBegin() SIP_OVERRIDE;
    bool contains(const ::QPointF&) const SIP_OVERRIDE;
    ::QVariant inputMethodQuery(::Qt::InputMethodQuery) const SIP_OVERRIDE;
    bool isTextureProvider() const SIP_OVERRIDE;
    ::QSGTextureProvider* textureProvider() const SIP_OVERRIDE;
    void itemChange(::QQuickItem::ItemChange, const ::QQuickItem::ItemChangeData&) SIP_OVERRIDE;
    void keyPressEvent(::QKeyEvent*) SIP_OVERRIDE;
    void keyReleaseEvent(::QKeyEvent*) SIP_OVERRIDE;
    void inputMethodEvent(::QInputMethodEvent*) SIP_OVERRIDE;
    void focusInEvent(::QFocusEvent*) SIP_OVERRIDE;
    void focusOutEvent(::QFocusEvent*) SIP_OVERRIDE;
    void mousePressEvent(::QMouseEvent*) SIP_OVERRIDE;
    void mouseMoveEvent(::QMouseEvent*) SIP_OVERRIDE;
    void mouseReleaseEvent(::QMouseEvent*) SIP_OVERRIDE;
    void mouseDoubleClickEvent(::QMouseEvent*) SIP_OVERRIDE;
    void mouseUngrabEvent() SIP_OVERRIDE;
    void touchUngrabEvent() SIP_OVERRIDE;
    void wheelEvent(::QWheelEvent*) SIP_OVERRIDE;
    void touchEvent(::QTouchEvent*) SIP_OVERRIDE;
    void hoverEnterEvent(::QHoverEvent*) SIP_OVERRIDE;
    void hoverMoveEvent(::QHoverEvent*) SIP_OVERRIDE;
    void hoverLeaveEvent(::QHoverEvent*) SIP_OVERRIDE;
    void dragEnterEvent(::QDragEnterEvent*) SIP_OVERRIDE;
    void dragMoveEvent(::QDragMoveEvent*) SIP_OVERRIDE;
    void dragLeaveEvent(::QDragLeaveEvent*) SIP_OVERRIDE;
    void dropEvent(::QDropEvent*) SIP_OVERRIDE;
    bool childMouseEventFilter(::QQuickItem*, ::QEvent*) SIP_OVERRIDE;
    void geometryChange(const ::QRectF&, const ::QRectF&) SIP_OVERRIDE;
    ::QSGNode* updatePaintNode(::QSGNode*, ::QQuickItem::UpdatePaintNodeData*) SIP_OVERRIDE;
    void releaseResources() SIP_OVERRIDE;
    void updatePolish() SIP_OVERRIDE;

public:
    sipSimpleWrapper *sipPySelf;

private:
    sipQQuickPaintedItem(const sipQQuickPaintedItem &);
    sipQQuickPaintedItem &operator = (const sipQQuickPaintedItem &);

    char sipPyMethods[40];
};
#line 26 "/usr/lib64/python3.13/site-packages/PyQt6/bindings/QtQuick/qquickwindow.sip"
#include <qquickwindow.h>
#line 827 "/home/abuild/rpmbuild/BUILD/python-PyQt6-Graphs-6.8.0-build/PyQt6_Graphs-6.8.0/build/QtGraphsWidgets/sipAPIQtGraphsWidgets.h"


class sipQQuickWindow : public ::QQuickWindow
{
public:
    sipQQuickWindow(::QWindow*);
    virtual ~sipQQuickWindow();

    int qt_metacall(QMetaObject::Call, int, void **) SIP_OVERRIDE;
    void *qt_metacast(const char *) SIP_OVERRIDE;
    const QMetaObject *metaObject() const SIP_OVERRIDE;

    /*
     * There is a protected method for every virtual method visible from
     * this class.
     */
protected:
    void disconnectNotify(const ::QMetaMethod&) SIP_OVERRIDE;
    void connectNotify(const ::QMetaMethod&) SIP_OVERRIDE;
    void customEvent(::QEvent*) SIP_OVERRIDE;
    void childEvent(::QChildEvent*) SIP_OVERRIDE;
    void timerEvent(::QTimerEvent*) SIP_OVERRIDE;
    bool eventFilter(::QObject*, ::QEvent*) SIP_OVERRIDE;
    bool event(::QEvent*) SIP_OVERRIDE;
    ::QSize size() const SIP_OVERRIDE;
    ::QSurface::SurfaceType surfaceType() const SIP_OVERRIDE;
    ::QSurfaceFormat format() const SIP_OVERRIDE;
    ::QObject* focusObject() const SIP_OVERRIDE;
    void exposeEvent(::QExposeEvent*) SIP_OVERRIDE;
    void resizeEvent(::QResizeEvent*) SIP_OVERRIDE;
    void moveEvent(::QMoveEvent*) SIP_OVERRIDE;
    void focusInEvent(::QFocusEvent*) SIP_OVERRIDE;
    void focusOutEvent(::QFocusEvent*) SIP_OVERRIDE;
    void showEvent(::QShowEvent*) SIP_OVERRIDE;
    void hideEvent(::QHideEvent*) SIP_OVERRIDE;
    void keyPressEvent(::QKeyEvent*) SIP_OVERRIDE;
    void keyReleaseEvent(::QKeyEvent*) SIP_OVERRIDE;
    void mousePressEvent(::QMouseEvent*) SIP_OVERRIDE;
    void mouseReleaseEvent(::QMouseEvent*) SIP_OVERRIDE;
    void mouseDoubleClickEvent(::QMouseEvent*) SIP_OVERRIDE;
    void mouseMoveEvent(::QMouseEvent*) SIP_OVERRIDE;
    void wheelEvent(::QWheelEvent*) SIP_OVERRIDE;
    void touchEvent(::QTouchEvent*) SIP_OVERRIDE;
    void tabletEvent(::QTabletEvent*) SIP_OVERRIDE;
    void paintEvent(::QPaintEvent*) SIP_OVERRIDE;
    void closeEvent(::QCloseEvent*) SIP_OVERRIDE;
    bool nativeEvent(const ::QByteArray&, void*, ::qintptr*) SIP_OVERRIDE;

public:
    sipSimpleWrapper *sipPySelf;

private:
    sipQQuickWindow(const sipQQuickWindow &);
    sipQQuickWindow &operator = (const sipQQuickWindow &);

    char sipPyMethods[30];
};
#line 26 "/usr/lib64/python3.13/site-packages/PyQt6/bindings/QtQuick/qquickview.sip"
#include <qquickview.h>
#line 887 "/home/abuild/rpmbuild/BUILD/python-PyQt6-Graphs-6.8.0-build/PyQt6_Graphs-6.8.0/build/QtGraphsWidgets/sipAPIQtGraphsWidgets.h"


class sipQQuickView : public ::QQuickView
{
public:
    sipQQuickView(::QWindow*);
    sipQQuickView(::QQmlEngine*, ::QWindow*);
    sipQQuickView(const ::QUrl&, ::QWindow*);
    sipQQuickView(::QAnyStringView, ::QAnyStringView, ::QWindow*);
    virtual ~sipQQuickView();

    int qt_metacall(QMetaObject::Call, int, void **) SIP_OVERRIDE;
    void *qt_metacast(const char *) SIP_OVERRIDE;
    const QMetaObject *metaObject() const SIP_OVERRIDE;

    /*
     * There is a protected method for every virtual method visible from
     * this class.
     */
protected:
    bool nativeEvent(const ::QByteArray&, void*, ::qintptr*) SIP_OVERRIDE;
    void closeEvent(::QCloseEvent*) SIP_OVERRIDE;
    void paintEvent(::QPaintEvent*) SIP_OVERRIDE;
    void tabletEvent(::QTabletEvent*) SIP_OVERRIDE;
    void touchEvent(::QTouchEvent*) SIP_OVERRIDE;
    void wheelEvent(::QWheelEvent*) SIP_OVERRIDE;
    void mouseMoveEvent(::QMouseEvent*) SIP_OVERRIDE;
    void mouseDoubleClickEvent(::QMouseEvent*) SIP_OVERRIDE;
    void mouseReleaseEvent(::QMouseEvent*) SIP_OVERRIDE;
    void mousePressEvent(::QMouseEvent*) SIP_OVERRIDE;
    void keyReleaseEvent(::QKeyEvent*) SIP_OVERRIDE;
    void keyPressEvent(::QKeyEvent*) SIP_OVERRIDE;
    void hideEvent(::QHideEvent*) SIP_OVERRIDE;
    void showEvent(::QShowEvent*) SIP_OVERRIDE;
    void focusOutEvent(::QFocusEvent*) SIP_OVERRIDE;
    void focusInEvent(::QFocusEvent*) SIP_OVERRIDE;
    void moveEvent(::QMoveEvent*) SIP_OVERRIDE;
    void resizeEvent(::QResizeEvent*) SIP_OVERRIDE;
    void exposeEvent(::QExposeEvent*) SIP_OVERRIDE;
    ::QObject* focusObject() const SIP_OVERRIDE;
    ::QSurfaceFormat format() const SIP_OVERRIDE;
    ::QSurface::SurfaceType surfaceType() const SIP_OVERRIDE;
    ::QSize size() const SIP_OVERRIDE;
    bool event(::QEvent*) SIP_OVERRIDE;
    bool eventFilter(::QObject*, ::QEvent*) SIP_OVERRIDE;
    void timerEvent(::QTimerEvent*) SIP_OVERRIDE;
    void childEvent(::QChildEvent*) SIP_OVERRIDE;
    void customEvent(::QEvent*) SIP_OVERRIDE;
    void connectNotify(const ::QMetaMethod&) SIP_OVERRIDE;
    void disconnectNotify(const ::QMetaMethod&) SIP_OVERRIDE;

public:
    sipSimpleWrapper *sipPySelf;

private:
    sipQQuickView(const sipQQuickView &);
    sipQQuickView &operator = (const sipQQuickView &);

    char sipPyMethods[30];
};

#define sipType_Q3DGraphsWidgetItem sipExportedTypes_QtGraphsWidgets[1]

extern sipClassTypeDef sipTypeDef_QtGraphsWidgets_Q3DGraphsWidgetItem;

#define sipType_Q3DBarsWidgetItem sipExportedTypes_QtGraphsWidgets[0]

extern sipClassTypeDef sipTypeDef_QtGraphsWidgets_Q3DBarsWidgetItem;

#define sipType_Q3DScatterWidgetItem sipExportedTypes_QtGraphsWidgets[2]

extern sipClassTypeDef sipTypeDef_QtGraphsWidgets_Q3DScatterWidgetItem;

#define sipType_Q3DSurfaceWidgetItem sipExportedTypes_QtGraphsWidgets[3]

extern sipClassTypeDef sipTypeDef_QtGraphsWidgets_Q3DSurfaceWidgetItem;

#define sipType_QList_0101QSurface3DSeries sipExportedTypes_QtGraphsWidgets[9]

extern sipMappedTypeDef sipTypeDef_QtGraphsWidgets_QList_0101QSurface3DSeries;

#define sipType_QList_0101QValue3DAxis sipExportedTypes_QtGraphsWidgets[10]

extern sipMappedTypeDef sipTypeDef_QtGraphsWidgets_QList_0101QValue3DAxis;

#define sipType_QList_0101QScatter3DSeries sipExportedTypes_QtGraphsWidgets[8]

extern sipMappedTypeDef sipTypeDef_QtGraphsWidgets_QList_0101QScatter3DSeries;

#define sipType_QList_0101QAbstract3DAxis sipExportedTypes_QtGraphsWidgets[4]

extern sipMappedTypeDef sipTypeDef_QtGraphsWidgets_QList_0101QAbstract3DAxis;

#define sipType_QList_0101QBar3DSeries sipExportedTypes_QtGraphsWidgets[5]

extern sipMappedTypeDef sipTypeDef_QtGraphsWidgets_QList_0101QBar3DSeries;

#define sipType_QList_0101QCustom3DItem sipExportedTypes_QtGraphsWidgets[6]

extern sipMappedTypeDef sipTypeDef_QtGraphsWidgets_QList_0101QCustom3DItem;

#define sipType_QList_0101QGraphsTheme sipExportedTypes_QtGraphsWidgets[7]

extern sipMappedTypeDef sipTypeDef_QtGraphsWidgets_QList_0101QGraphsTheme;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtGraphsWidgets;
extern sipExportedModuleDef sipModuleAPI_QtGraphsWidgets;
extern sipTypeDef *sipExportedTypes_QtGraphsWidgets[];

#define sipType_QObject sipImportedTypes_QtGraphsWidgets_QtCore[4].it_td

#define sipType_QEvent sipImportedTypes_QtGraphsWidgets_QtCore[1].it_td

#define sipType_QTimerEvent sipImportedTypes_QtGraphsWidgets_QtCore[7].it_td

#define sipType_QChildEvent sipImportedTypes_QtGraphsWidgets_QtCore[0].it_td

#define sipType_QLocale sipImportedTypes_QtGraphsWidgets_QtCore[2].it_td

#define sipType_QMetaMethod sipImportedTypes_QtGraphsWidgets_QtCore[3].it_td

#define sipType_QSize sipImportedTypes_QtGraphsWidgets_QtCore[5].it_td

#define sipType_QSizeF sipImportedTypes_QtGraphsWidgets_QtCore[6].it_td
extern sipImportedTypeDef sipImportedTypes_QtGraphsWidgets_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtGraphsWidgets_QtCore[];

#define sipType_QColor sipImportedTypes_QtGraphsWidgets_QtGui[0].it_td

#define sipType_QVector3D sipImportedTypes_QtGraphsWidgets_QtGui[1].it_td
extern sipImportedTypeDef sipImportedTypes_QtGraphsWidgets_QtGui[];

#define sipType_Q3DScene sipImportedTypes_QtGraphsWidgets_QtGraphs[0].it_td

#define sipType_QAbstract3DAxis sipImportedTypes_QtGraphsWidgets_QtGraphs[1].it_td

#define sipType_QAbstract3DSeries sipImportedTypes_QtGraphsWidgets_QtGraphs[2].it_td

#define sipType_QBar3DSeries sipImportedTypes_QtGraphsWidgets_QtGraphs[3].it_td

#define sipType_QCategory3DAxis sipImportedTypes_QtGraphsWidgets_QtGraphs[4].it_td

#define sipType_QCustom3DItem sipImportedTypes_QtGraphsWidgets_QtGraphs[5].it_td

#define sipType_QtGraphs3D_GridLineType sipImportedTypes_QtGraphsWidgets_QtGraphs[13].it_td

#define sipType_QtGraphs3D_CameraPreset sipImportedTypes_QtGraphsWidgets_QtGraphs[11].it_td

#define sipType_QtGraphs3D_OptimizationHint sipImportedTypes_QtGraphsWidgets_QtGraphs[14].it_td

#define sipType_QtGraphs3D_ElementType sipImportedTypes_QtGraphsWidgets_QtGraphs[12].it_td

#define sipType_QtGraphs3D_ShadowQuality sipImportedTypes_QtGraphsWidgets_QtGraphs[15].it_td

#define sipType_QGraphsTheme sipImportedTypes_QtGraphsWidgets_QtGraphs[7].it_td

#define sipType_QScatter3DSeries sipImportedTypes_QtGraphsWidgets_QtGraphs[8].it_td

#define sipType_QSurface3DSeries sipImportedTypes_QtGraphsWidgets_QtGraphs[9].it_td

#define sipType_QValue3DAxis sipImportedTypes_QtGraphsWidgets_QtGraphs[10].it_td

#define sipType_QFlags_0100QtGraphs3D_SelectionFlag sipImportedTypes_QtGraphsWidgets_QtGraphs[6].it_td
extern sipImportedTypeDef sipImportedTypes_QtGraphsWidgets_QtGraphs[];

#define sipType_QQuickItemGrabResult sipImportedTypes_QtGraphsWidgets_QtQuick[0].it_td
extern sipImportedTypeDef sipImportedTypes_QtGraphsWidgets_QtQuick[];

#define sipType_QQuickWidget sipImportedTypes_QtGraphsWidgets_QtQuickWidgets[0].it_td
extern sipImportedTypeDef sipImportedTypes_QtGraphsWidgets_QtQuickWidgets[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *, sipTypeDef *);
extern sip_qt_metaobject_func sip_QtGraphsWidgets_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *, sipTypeDef *, QMetaObject::Call, int, void **);
extern sip_qt_metacall_func sip_QtGraphsWidgets_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtGraphsWidgets_qt_metacast;

#endif
